<?php
include_once('includes/global.php');
loadStrings(BOOT.'account_types/strings.txt');

$doc->title .= ' :: '.getResource('account.types.title');

required_access('account_types');

$account_types = new PTable($db,BOOT.'account_types/table.php');
$account_types->readonly = !$oper->system_access['account_types'];

$doc->page->contents['account_types'] = new PMyAccess($account_types,array(
	'title'=>getResource('account.types.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/dollar.gif',
'icon_attributes'=>'width=29 height=42',
	'grid_boot'=>BOOT.'account_types/grid.php',
	'form_boot'=>BOOT.'account_types/form.php',
));

if($account_types->isOn()){
	loadStrings(BOOT.'account_types/resource_types/strings.txt');
	$resource_types = new PTable($db,BOOT.'account_types/resource_types/table.php');
	$resource_types->readonly = $account_types->readonly;
	$doc->page->contents['resource_types'] = new PMyAccess($resource_types, array(
		'title'=>getResource('account.resource.types.title'),
		'icon'=>HREF.'images/hpro.gif',
		'grid_boot'=>BOOT.'account_types/resource_types/grid.php',
		'form_boot'=>BOOT.'account_types/resource_types/form.php',
	));
}
echo $doc->Paint();
?>