<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/12/23 09:08:50 $
$Revision: 1.20 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
loadStrings(BOOT.'asterisk_ban/strings.txt');

$doc->title .= ' :: '.getResource('asterisk.ban.title');

required_access('asterisk_ban');

function before_ban_insert($table){
	$arr = loadRecord("SELECT max(priority) last FROM asterisk.permissions");
	$table->new_record['priority'] = max(500, $arr['last']) + 1;
}

//$db->debug = 1;

$ban = new PTable($db,BOOT.'asterisk_ban/table.php');
$ban->filters['500+'] = '(p.priority >= 500)';
addCityPolicy($polls, 'p.city');

$doc->page->contents['ban'] = new PMyAccess($ban,array(
	'title'=>getResource('asterisk.ban.title'),
	'help'=>HELP_PATH.'//Asterisk',
	'icon'=>HREF.'images/calls.gif',
	'grid_boot'=>forceCity(BOOT.'asterisk_ban/grid.php'),
	'form_boot'=>forceCity(BOOT.'asterisk_ban/form.php'),
));

echo $doc->Paint();
?>