<?
$obj = array(
	'fields'=>array(
		'name'=>array(
			'title'=>getResource('ads.name'),
			'required'=>1,
		),
		'number'=>array(
			'title'=>getResource('ads.number'),
			'control'=>'short',
			'default'=>0,
		),
		'city'=>array(
			'title'=>getResource('ads.city'),
			'control'=>'select',
			'list'=>'getCities',
			'link'=>'cities.php?id=[city]',
		),
		'query'=>array(
			'title'=>getResource('ads.query'),
			'control'=>'select',
			'list'=>'getQueries',
			'link'=>'queries.php?id=[query]',
		),
		'period_begin'=>array(
			'title'=>getResource('ads.period.begin'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
		),
		'period_end'=>array(
			'title'=>getResource('ads.period.end'),
			'control'=>'date',
			'with_time'=>1,
		),
		'body'=>array(
			'title'=>getResource('ads.body'),
			'control'=>'editor',
			'width'=>'60em',
			'height'=>16,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('ads.created'),
		),
		'created_name'=>array(
			'title'=>getResource('ads.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('ads.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('ads.modified.by'),
			'readonly'=>1,
		),
	),
);
?>