<?
$obj = array(
	'name'=>'ads',
	'nick'=>'adds',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'ads a
	LEFT JOIN cities ci ON ci.id=a.city
	LEFT JOIN queries q ON q.id=a.query
	LEFT JOIN stamps st ON st.id=a.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'a.id',
		),
		'city'=>array(
			'selector'=>'a.city',
			'nullable'=>1,
		),
		'city_name'=>array(
			'selector'=>'ci.name',
		),
		'name'=>array(
			'desc'=>1,
			'selector'=>'a.name',
		),
		'period_begin'=>array(
			'selector'=>'a.period_begin',
			'nullable'=>1,
		),
		'period_end'=>array(
			'selector'=>'a.period_end',
			'nullable'=>1,
		),
		'number'=>array(
			'selector'=>'a.number',
		),
		'body'=>array(
			'selector'=>'a.body',
		),
		'query'=>array(
			'selector'=>'a.query',
			'nullable'=>1,
			'log_by'=>'query_name',
		),
		'query_name'=>array(
			'selector'=>'q.name',
		),
		'stamp'=>array(
			'selector'=>'a.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>