<?
$obj = array(
	'fields'=>array(
		'host'=>array(
			'title'=>getResource('block.schedule.host'),
			'control'=>'lookup',
			'label'=>'[host_name]',
			'source'=>'?lookup=host',
			'required'=>1,
			'link'=>'hosts.php?id=[host]',
		),
		'type'=>array(
			'title'=>getResource('block.schedule.type'),
			'control'=>'select',
			'skip_finder'=>1,
			'list'=>array(
				'0'=>getResource('block.schedule.type.0'),
				'1'=>getResource('block.schedule.type.1'),
			)
		),
		'date'=>array(
			'title'=>getResource('block.schedule.date'),
			'control'=>'date',
			'default'=>date("Y-m-d"),
		),
		'day_bits'=>array(
			'title'=>getResource('block.schedule.day.bits'),
			'control'=>'bitset',
			'default'=>'127',
			'inline'=>1,
			'list'=>array(
				'1'=>getResource('block.schedule.day.bits.1'),
				'2'=>getResource('block.schedule.day.bits.2'),
				'4'=>getResource('block.schedule.day.bits.3'),
				'8'=>getResource('block.schedule.day.bits.4'),
				'16'=>getResource('block.schedule.day.bits.5'),
				'32'=>getResource('block.schedule.day.bits.6'),
				'64'=>getResource('block.schedule.day.bits.7'),
			),
		),
		'from_time'=>array(
			'title'=>getResource('block.schedule.from.time'),
			'default'=>'00:00:00',
			'control'=>'short',
			'format'=>$GLOBALS['fTimeHM'],
		),
		'to_time'=>array(
			'title'=>getResource('block.schedule.to.time'),
			'control'=>'short',
			'format'=>$GLOBALS['fTimeHM'],
			'default'=>'23:59:00',
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('block.schedule.created'),
		),
		'created_name'=>array(
			'title'=>getResource('block.schedule.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('block.schedule.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('block.schedule.modified.by'),
			'readonly'=>1,
		),
	),
);
?>