<?
$beans = array(
	'classLoader'=>array(
		'class'=>'FileClassLoader',
		'properties'=>array(
			'root'=>'classes',
			'registry'=>array(
				'/.+/'=>'accounting/$0.php',
			),
		),
	),

	'xobot.rule.driver.world-host'=>array(
		'class'=>'IptAccountingDriver',
		'properties'=>array(
			'iptAccounter:ref'=>'xobot.ipt.accounter.world-host',
			'blockBuilder:ref'=>'xobot.ipset.blocker.world-host',
			'allowBuilder:ref'=>'xobot.ipset.ulog.world-host',
		),
	),
	'xobot.rule.driver.world-host.no-ulog'=>array(
		'class'=>'IptAccountingDriver',
		'properties'=>array(
			'iptAccounter:ref'=>'xobot.ipt.accounter.world-host',
			'blockBuilder:ref'=>'xobot.ipset.blocker.world-host',
		),
	),
	'xobot.ipt.accounter.world-host'=>array(
		'class'=>'IptAccounter',
		'properties'=>array(
			'tablesPattern'=>'|.*world-host.*|',
			'clientIsSource'=>false,
		),
	),
	'xobot.ipset.blocker.world-host'=>array(
		'class'=>'IpSetBuilder',
		'properties'=>array(
			'ipHashName'=>'block-1-world-host',
		),
	),
	'xobot.ipset.ulog.world-host'=>array(
		'class'=>'IpSetBuilder',
		'properties'=>array(
			'ipHashName'=>'ulog-world-host',
		),
	),

	'xobot.rule.driver.host-world'=>array(
		'class'=>'IptAccountingDriver',
		'properties'=>array(
			'iptAccounter:ref'=>'xobot.ipt.accounter.host-world',
			'blockBuilder:ref'=>'xobot.ipset.blocker.host-world',
			'allowBuilder:ref'=>'xobot.ipset.ulog.host-world',
		),
	),
	'xobot.rule.driver.host-world.no-ulog'=>array(
		'class'=>'IptAccountingDriver',
		'properties'=>array(
			'iptAccounter:ref'=>'xobot.ipt.accounter.host-world',
			'blockBuilder:ref'=>'xobot.ipset.blocker.host-world',
		),
	),
	'xobot.ipt.accounter.host-world'=>array(
		'class'=>'IptAccounter',
		'properties'=>array(
			'tablesPattern'=>'|.*host-world.*|',
			'clientIsSource'=>true,
		),
	),
	'xobot.ipset.blocker.host-world'=>array(
		'class'=>'IpSetBuilder',
		'properties'=>array(
			'ipHashName'=>'block-1-host-world',
		),
	),
	'xobot.ipset.ulog.host-world'=>array(
		'class'=>'IpSetBuilder',
		'properties'=>array(
			'ipHashName'=>'ulog-host-world',
		),
	),

	'xobot.rule.driver.ua-host'=>array(
		'class'=>'IptAccountingDriver',
		'properties'=>array(
			'iptAccounter:ref'=>'xobot.ipt.accounter.ua-host',
			'blockBuilder:ref'=>'xobot.ipset.blocker.ua-host',
			'allowBuilder:ref'=>'xobot.ipset.ulog.ua-host',
		),
	),
	'xobot.rule.driver.ua-host.no-ulog'=>array(
		'class'=>'IptAccountingDriver',
		'properties'=>array(
			'iptAccounter:ref'=>'xobot.ipt.accounter.ua-host',
			'blockBuilder:ref'=>'xobot.ipset.blocker.ua-host',
		),
	),
	'xobot.ipt.accounter.ua-host'=>array(
		'class'=>'IptAccounter',
		'properties'=>array(
			'tablesPattern'=>'|.*ua-host.*|',
			'clientIsSource'=>false,
		),
	),
	'xobot.ipset.blocker.ua-host'=>array(
		'class'=>'IpSetBuilder',
		'properties'=>array(
			'ipHashName'=>'block-1-ua-host',
		),
	),
	'xobot.ipset.ulog.ua-host'=>array(
		'class'=>'IpSetBuilder',
		'properties'=>array(
			'ipHashName'=>'ulog-ua-host',
		),
	),

	'xobot.rule.driver.host-ua'=>array(
		'class'=>'IptAccountingDriver',
		'properties'=>array(
			'iptAccounter:ref'=>'xobot.ipt.accounter.host-ua',
			'blockBuilder:ref'=>'xobot.ipset.blocker.host-ua',
			'allowBuilder:ref'=>'xobot.ipset.ulog.host-ua',
		),
	),
	'xobot.rule.driver.host-ua.no-ulog'=>array(
		'class'=>'IptAccountingDriver',
		'properties'=>array(
			'iptAccounter:ref'=>'xobot.ipt.accounter.host-ua',
			'blockBuilder:ref'=>'xobot.ipset.blocker.host-ua',
		),
	),
	'xobot.ipt.accounter.host-ua'=>array(
		'class'=>'IptAccounter',
		'properties'=>array(
			'tablesPattern'=>'|.*host-ua.*|',
			'clientIsSource'=>true,
		),
	),
	'xobot.ipset.blocker.host-ua'=>array(
		'class'=>'IpSetBuilder',
		'properties'=>array(
			'ipHashName'=>'block-1-host-ua',
		),
	),
	'xobot.ipset.ulog.host-ua'=>array(
		'class'=>'IpSetBuilder',
		'properties'=>array(
			'ipHashName'=>'ulog-host-ua',
		),
	),
);
?>