<?
$beans = array(
	'classLoader'=>array(
		'class'=>'FileClassLoader',
		'properties'=>array(
			'root'=>'classes',
			'registry'=>array(
				'/.+/'=>'tasks/$0.php',
			),
		),
	),

	'taskManager'=>array(
		'class'=>'TaskManager',
		'properties'=>array(
			'taskProcessors'=>array(
				'1:ref'=>'cliProcessor',
				'2:ref'=>'phpProcessor',
				'3:ref'=>'toiProcessor',
			),
		),
	),
	'phpProcessor'=>array(
		'class'=>'PHPCodeProcessor',
	),
	'cliProcessor'=>array(
		'class'=>'CommandLineProcessor',
	),
	'toiProcessor'=>array(
		'class'=>'TaskObjectProcessor',
	),

	'scriptExecutor'=>array(
		'class'=>'ScriptExecutor',
	),

	'namedService'=>array(
		'class'=>'NamedService',
	),

	'dhcpSubnetFinder'=>array(
		'class'=>'DhcpSubnetFinder',
	),

	'dhcpSubnetBuilder'=>array(
		'class'=>'DhcpSubnetBuilder',
	),

	'task.dns.restart'=>array(
		'class'=>'TaskDNSRestart',
	),
	'task.dns.remake.domain'=>array(
		'class'=>'TaskDNSRemakeDomain',
	),
	'task.dns.remake.network'=>array(
		'class'=>'TaskDNSRemakeNetwork',
	),
	'task.dhcp.remake'=>array(
		'class'=>'TaskDHCPRemake2',
	),
	'task.arp.remake'=>array(
		'class'=>'TaskARPRemake',
	),
	'task.arp.tree'=>array(
		'class'=>'TaskTreeARP',
	),
	'task.build.profile'=>array(
		'class'=>'TaskBuildProfile',
		'properties'=>array(
			'profileBuilder:ref'=>'profileBuilder2',
		),
	),
	'task.shapers.remake'=>array(
		'class'=>'TaskShapersRemake',
	),

);
?>