<?
$beans = array(
	'classLoader'=>array(
		'class'=>'FileClassLoader',
		'properties'=>array(
			'root'=>'classes',
			'registry'=>array(
				'/.+/'=>'log/$0.php',
			),
		),
	),
	'appender.file'=>array(
		'class'=>'FileAppender',
		'properties'=>array(
			'fileName'=>'/var/log/caban',
		),
	),
	'appender.webout'=>array(
		'class'=>'WeboutAppender',
	),
	'logger.debug-to-webout'=>array(
		'class'=>'DefaultLoggerFactory',
		'properties'=>array(
			'appender:ref'=>'appender.webout',
			'level'=>'DEBUG',
		),
	),
	'logger.info-to-webout'=>array(
		'class'=>'DefaultLoggerFactory',
		'properties'=>array(
			'appender:ref'=>'appender.webout',
			'level'=>'INFO',
		),
	),
	'logger.info-to-file'=>array(
		'class'=>'DefaultLoggerFactory',
		'properties'=>array(
			'appender:ref'=>'appender.file',
			'level'=>'INFO',
		),
	),
	'logger.debug-to-file'=>array(
		'class'=>'DefaultLoggerFactory',
		'properties'=>array(
			'appender:ref'=>'appender.file',
			'level'=>'DEBUG',
		),
	),
	'logger.mysql'=>array(
		'class'=>'ChainLoggerFactory',
		'properties'=>array(
			'chain'=>array(
				'0:ref'=>'logger.info-to-webout',
				'1:ref'=>'logger.info-to-file',
			),
		),
	),
	'logger.default'=>array(
		'class'=>'ChainLoggerFactory',
		'properties'=>array(
			'chain'=>array(
				'0:ref'=>'logger.debug-to-webout',
				'1:ref'=>'logger.info-to-file',
			),
		),
	),
	'loggerFactory'=>array(
		'class'=>'LoggerRegistryFactory',
		'properties'=>array(
			'registry'=>array(
				'default:ref'=>'logger.default',
				'mysql:ref'=>'logger.mysql',
			),
		),
	),
	'logfactory'=>array(
		'alias'=>'loggerFactory',
	),
	'logFactory'=>array(
		'alias'=>'loggerFactory',
	),
	'loggerfactory'=>array(
		'alias'=>'loggerFactory',
	),
);
?>