<?
$obj = array(
	'name'=>'calls_stats',
	'nick'=>'cclst',
	'source'=>'calls_stats cs
	LEFT JOIN cities ci ON ci.id=cs.city',
	'fields'=>array(
		'id'=>array(
			'selector'=>'cs.id',
			'key'=>1,
		),
		'city'=>array(
			'selector'=>'cs.city',
		),
		'city_name'=>array(
			'selector'=>'ci.name',
		),
		'date'=>array(
			'selector'=>'cs.date',
		),
		'type'=>array(
			'selector'=>'cs.type',
			'log_by'=>'type_name',
		),
		'type_name'=>array(
			'selector'=>'case cs.type
				when 1 then "'.getResource('client.calls.type.1').'"
				when 2 then "'.getResource('client.calls.type.2').'"
				when 3 then "'.getResource('client.calls.type.3').'"
				when 4 then "'.getResource('client.calls.type.4').'"
				when 5 then "'.getResource('client.calls.type.5').'"
				when 6 then "'.getResource('client.calls.type.6').'"
				when 7 then "'.getResource('client.calls.type.7').'"
				else "" end',
		),
		'amount'=>array(
			'selector'=>'cs.amount',
			'aggregate'=>'sum',
		),
		'status_1'=>array(
			'selector'=>'cs.status_1',
			'aggregate'=>'sum',
		),
		'status_2'=>array(
			'selector'=>'cs.status_2',
			'aggregate'=>'sum',
		),
		'status_3'=>array(
			'selector'=>'cs.status_3',
			'aggregate'=>'sum',
		),
		'status_4'=>array(
			'selector'=>'cs.status_4',
			'aggregate'=>'sum',
		),
		'status_5'=>array(
			'selector'=>'cs.status_5',
			'aggregate'=>'sum',
		),
		'refuse_1'=>array(
			'selector'=>'cs.refuse_1',
			'aggregate'=>'sum',
		),
		'refuse_2'=>array(
			'selector'=>'cs.refuse_2',
			'aggregate'=>'sum',
		),
		'refuse_3'=>array(
			'selector'=>'cs.refuse_3',
			'aggregate'=>'sum',
		),
		'refuse_4'=>array(
			'selector'=>'cs.refuse_4',
			'aggregate'=>'sum',
		),
		'refuse_5'=>array(
			'selector'=>'cs.refuse_5',
			'aggregate'=>'sum',
		),
	),
);

?>