<?
$obj = array(
	'can_delete'=>!$GLOBALS['cards']->current_record['movement'],
	'can_post'=>!$GLOBALS['cards']->current_record['movement'],
	'fields'=>array(
		'code_public'=>array(
			'title'=>getResource('cards.code.public'),
			'required'=>1,
		),
		'code_private'=>array(
			'title'=>getResource('cards.code.private'),
			'required'=>1,
		),
		'amount'=>array(
			'title'=>getResource('cards.amount'),
			'comment'=>getResource('cards.amount.comment'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'positive'=>1,
			'required'=>1,
		),
		'expire'=>array(
			'title'=>getResource('cards.expire'),
			'control'=>'date',
			'required'=>1,
		),
		'account'=>array(
			'title'=>getResource('cards.account'),
			'comment'=>getResource('cards.account.comment'),
			'control'=>'select',
			'list'=>getSystemSrcAccounts(),
			'link'=>'system_accounts.php?id=[account]',
			'required'=>1,
		),
		'movement_date'=>array(
			'title'=>getResource('cards.movement.date'),
			'readonly'=>1,
		),
		'client_name'=>array(
			'title'=>getResource('cards.movement.client'),
			'readonly'=>1,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('cards.created'),
		),
		'created_name'=>array(
			'title'=>getResource('cards.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('cards.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('cards.modified.by'),
			'readonly'=>1,
		),
	),
);
?>