<?
$obj = array(
	'name'=>'cards',
	'nick'=>'cds',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'cards ca
	LEFT JOIN system_accounts sa ON sa.account=ca.account
	LEFT JOIN movements m ON m.id=ca.movement
	LEFT JOIN clients c ON c.account=m.dst
	LEFT JOIN stamps st ON st.id=ca.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'ca.id',
		),
		'code_public'=>array(
			'desc'=>1,
		),
		'code_private'=>array(
		),
		'amount'=>array(
			'selector'=>'ca.amount',
		),
		'amount_cur'=>array(
			'selector'=>'ca.amount/100',
		),
		'account'=>array(
			'selector'=>'ca.id',
		),
		'account_name'=>array(
			'bin'=>1,
			'selector'=>'sa.name',
		),
		'expire'=>array(),
		'movement'=>array(
			'nullable'=>1,
			'selector'=>'ca.movement',
		),
		'client_name'=>array (
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login, ")")',
		),
		'movement_date'=>array (
			'bin'=>1,
			'selector'=>'m.date',
		),
		'movement_client'=>array (
			'selector'=>'c.id',
		),
		'stamp'=>array(
			'selector'=>'ca.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>