<?
$obj = array(
	'name'=>'drweb_subscriptions',
	'nick'=>'dss',
	'readonly'=>1,
	'masters'=>array(
		'clients'=>array(
			'table'=>$GLOBALS['clients'],
			'on'=>'id',
			'by'=>'client',
		),
	),
	'source'=>'drweb_subscriptions ds
	LEFT JOIN drweb_types t ON t.id=ds.drweb_type
	LEFT JOIN charge_subscriptions s ON s.id=ds.subscription
	LEFT JOIN charge_types ct ON ct.id=s.type',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'ds.id',
		),
		'drweb_user'=>array(
			'selector'=>'ds.drweb_user',
		),
		'client'=>array(
			'selector'=>'s.client',
		),
		'price'=>array(
			'selector'=>'ct.price/100',
			'aggregate'=>'sum',
		),
		'group_name'=>array(
			'selector'=>'t.group_name',
		),
		'drweb_type_name'=>array(
			'selector'=>'t.name',
		),
		'drweb_type_description'=>array(
			'selector'=>'t.description',
		),
		'driver'=>array(
			'selector'=>'ct.driver',
		),
	),
);
?>