<?
$obj = array(
	'name'=>'client_mailboxes',
	'nick'=>'cmbs',
	'BeforePost'=>'before_mailbox_post',
	'AfterPost'=>'after_mailbox_post,after_logged_post',
	'masters'=>array(
		'clients'=>array(
			'table'=>$GLOBALS['clients'],
			'on'=>'id',
			'by'=>'client',
		),
	),
	'source'=>'client_mailboxes m LEFT JOIN mailbox_types mt ON mt.id=m.type',
	'fields'=>array(
		'id'=>array(
			'selector'=>'m.id',
			'key'=>1,
		),
		'client'=>array(
			'selector'=>'m.client',
			'desc'=>1,
		),
		'type'=>array(
			'selector'=>'m.type',
		),
		'type_name'=>array(
			'selector'=>'mt.name',
		),
		'boxsize'=>array(
			'selector'=>'CONCAT(FLOOR(mt.boxsize/1000000), "M")',
		),
		'login'=>array(
			'selector'=>'m.login',
			'desc'=>1,
		),
		'password'=>array(
			'selector'=>'m.password',
		),
		'active'=>array(
			'selector'=>'m.active',
		),
	),
);
?>