<?
$obj = array(
	'fields'=>array(
		'client_lang'=>array(
			'title'=>getResource('clients.lang'),
			'comment'=>getResource('clients.lang.comment'),
			'control'=>'select',
			'list'=>'getLangs',
			'required'=>1,
		),
		'type'=>array(
			'title'=>getResource('client.calls.type'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.type.1'),
				'2'=>getResource('client.calls.type.2'),
				'4'=>getResource('client.calls.type.4'),
				'5'=>getResource('client.calls.type.5'),
				'6'=>getResource('client.calls.type.6'),
				'3'=>getResource('client.calls.type.3'),
				'7'=>getResource('client.calls.type.7'),
				'8'=>getResource('client.calls.type.8'),
				'9'=>getResource('client.calls.type.9'),
				'10'=>getResource('client.calls.type.10'),
			),
		),
		'status'=>array(
			'title'=>getResource('client.calls.status'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.status.1'),
				'2'=>getResource('client.calls.status.2'),
				'3'=>getResource('client.calls.status.3'),
				'4'=>getResource('client.calls.status.4'),
				'5'=>getResource('client.calls.status.5'),
			),
		),
		'debts_reason'=>array(
			'title'=>getResource('client.calls.debts.reason'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.debts.reason.1'),
				'2'=>getResource('client.calls.debts.reason.2'),
				'3'=>getResource('client.calls.debts.reason.3'),
				'4'=>getResource('client.calls.debts.reason.4'),
				'5'=>getResource('client.calls.debts.reason.5'),
			),
		),
		'debts_promise'=>array(
			'title'=>getResource('client.calls.debts.promise'),
			'control'=>'date',
		),
		'refuse_reason'=>array(
			'title'=>getResource('client.calls.refuse.reason'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.refuse.reason.1'),
				'2'=>getResource('client.calls.refuse.reason.2'),
				'3'=>getResource('client.calls.refuse.reason.3'),
				'4'=>getResource('client.calls.refuse.reason.4'),
				'5'=>getResource('client.calls.refuse.reason.5'),
			),
		),
		'recall_date'=>array(
			'title'=>getResource('client.calls.recall.date'),
			'control'=>'date',
			'with_time'=>1,
		),
		'start_ticket'=>array(
			'title'=>getResource('client.calls.start.ticket'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.start.ticket.1'),
				'2'=>getResource('client.calls.start.ticket.2'),
			),
		),
		'start_uniform'=>array(
			'title'=>getResource('client.calls.start.uniform'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.start.uniform.1'),
				'2'=>getResource('client.calls.start.uniform.2'),
				'3'=>getResource('client.calls.start.uniform.3'),
				'4'=>getResource('client.calls.start.uniform.4'),
			),
		),
		'start_iptv'=>array(
			'title'=>getResource('client.calls.start.iptv'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.start.iptv.1'),
				'2'=>getResource('client.calls.start.iptv.2'),
				'3'=>getResource('client.calls.start.iptv.3'),
			),
		),
		'start_rating'=>array(
			'title'=>getResource('client.calls.start.rating'),
			'control'=>'select',
			'list'=>array(
				'1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5',
				'6'=>'6','7'=>'7','8'=>'8','9'=>'9','10'=>'10',
			),
		),
		'off_rating'=>array(
			'title'=>getResource('client.calls.off.rating'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.off.rating.1'),
				'2'=>getResource('client.calls.off.rating.2'),
				'3'=>getResource('client.calls.off.rating.3'),
				'4'=>getResource('client.calls.off.rating.4'),
			),
		),
		'off_reason'=>array(
			'title'=>getResource('client.calls.off.reason'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.off.reason.1'),
				'2'=>getResource('client.calls.off.reason.2'),
				'3'=>getResource('client.calls.off.reason.3'),
			),
		),
		'concurrent'=>array(
			'title'=>getResource('client.calls.concurrent'),
			'control'=>'select',
			'list'=>'getConcurrents',
		),
		'off_return'=>array(
			'title'=>getResource('client.calls.off.return'),
			'control'=>'checkbox',
		),
		'rating_tv_rating'=>array(
			'title'=>getResource('client.calls.rating.tv.rating'),
			'control'=>'select',
			'list'=>array(
				'1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5',
			),
		),
		'rating_tv_bad'=>array(
			'title'=>getResource('client.calls.rating.tv.bad'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.rating.tv.bad.1'),
				'2'=>getResource('client.calls.rating.tv.bad.2'),
				'3'=>getResource('client.calls.rating.tv.bad.3'),
				'4'=>getResource('client.calls.rating.tv.bad.4'),
			),
		),
		'repair_done'=>array(
			'title'=>getResource('client.calls.repair.done'),
			'control'=>'checkbox',
		),
		'repair_rating'=>array(
			'title'=>getResource('client.calls.repair.rating'),
			'control'=>'select',
			'list'=>array(
				'1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5',
				'6'=>'6','7'=>'7','8'=>'8','9'=>'9','10'=>'10',
			),
		),
		'repair_reason'=>array(
			'title'=>getResource('client.calls.repair.reason'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.repair.reason.1'),
				'2'=>getResource('client.calls.repair.reason.2'),
				'3'=>getResource('client.calls.repair.reason.3'),
				'4'=>getResource('client.calls.repair.reason.4'),
			),
		),
		'cabinet'=>array(
			'title'=>getResource('client.calls.cabinet'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.cabinet.1'),
				'2'=>getResource('client.calls.cabinet.2'),
				'3'=>getResource('client.calls.cabinet.3'),
			),
		),
		'consult'=>array(
			'title'=>getResource('client.calls.consult'),
			'control'=>'checkbox',
		),
		'office'=>array(
			'title'=>getResource('client.calls.office'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.office.1'),
				'2'=>getResource('client.calls.office.2'),
				'3'=>getResource('client.calls.office.3'),
				'4'=>getResource('client.calls.office.4'),
			),
		),
		'office_reason'=>array(
			'title'=>getResource('client.calls.office.reason'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.office.reason.1'),
				'2'=>getResource('client.calls.office.reason.2'),
				'3'=>getResource('client.calls.office.reason.3'),
				'4'=>getResource('client.calls.office.reason.4'),
				'5'=>getResource('client.calls.office.reason.5'),
				'6'=>getResource('client.calls.office.reason.6'),
				'7'=>getResource('client.calls.office.reason.7'),
				'8'=>getResource('client.calls.office.reason.8'),
			),
		),
		'office_rating'=>array(
			'title'=>getResource('client.calls.office.rating'),
			'control'=>'select',
			'list'=>array(
				'1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5',
			),
		),
		'commercial'=>array(
			'title'=>getResource('client.calls.commercial'),
			'control'=>'checkbox',
		),
		'service_rating'=>array(
			'title'=>getResource('client.calls.service.rating'),
			'control'=>'select',
			'list'=>array(
				'1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5',
			),
		),
		'complaint'=>array(
			'title'=>getResource('client.calls.complaint'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('client.calls.complaint.1'),
				'2'=>getResource('client.calls.complaint.2'),
				'4'=>getResource('client.calls.complaint.4'),
				'5'=>getResource('client.calls.complaint.5'),
			),
		),
		'note'=>array(
			'title'=>getResource('client.calls.note'),
			'control'=>'textarea',
			'height'=>6,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('client.calls.created'),
		),
		'created_name'=>array(
			'title'=>getResource('client.calls.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('client.calls.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('client.calls.modified.by'),
			'readonly'=>1,
		),
	),
);
?>