<?
$obj = array(
	'name'=>'client_mailboxes',
	'nick'=>'cmbs',
	'BeforeInsert'=>'before_mailbox_insert,before_stamped_insert',
	'BeforePost'=>'before_mailbox_post,before_stamped_post',
	'AfterInsert'=>'after_mailbox_insert, after_logged_insert',
	'AfterPost'=>'after_mailbox_post, after_logged_post',
	'AfterDelete'=>'after_mailbox_delete,after_stamped_delete, after_logged_delete',
	'masters'=>array(
		'clients'=>array(
			'table'=>$GLOBALS['clients'],
			'on'=>'id',
			'by'=>'client',
		),
	),
	'source'=>'client_mailboxes cm
	LEFT JOIN clients c ON c.id = cm.client
	LEFT JOIN mailbox_types t ON t.id = cm.type
	LEFT JOIN stamps st ON st.id=cm.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'cm.id',
		),
		'client'=>array(
			'selector'=>'cm.client',
			'desc'=>1,
			'log_by'=>'client_name',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'type'=>array(
			'selector'=>'cm.type',
			'desc'=>1,
			'log_by'=>'type_name',
		),
		'type_name'=>array(
			'bin'=>1,
			'selector'=>'t.name',
		),
		'login'=>array(
			'desc'=>1,
			'selector'=>'cm.login',
		),
		'password'=>array(
			'selector'=>'cm.password',
		),
		'active'=>array(
			'selector'=>'cm.active',
		),
		'stamp'=>array(
			'selector'=>'cm.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>