<?
$obj = array(
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('ci.city'),
			'required'=>1,
			'link'=>'cities.php?id=[city]',
			'control'=>'select',
			'list'=>'getCities',
			'skip_finder'=>1,
		),
		'code'=>array(
			'title'=>getResource('ci.code'),
			'control' => 'short',
			'required' => 1,
		),
		'supply'=>array(
			'title'=>getResource('ci.supply'),
			'control' => 'select',
			'list'=>'getCoilSupplies',
		),
		'cable_type'=>array(
			'title'=>getResource('cs.cable_type'),
			'required'=>1,
			'control' => 'select',
			'list' => array(
				'1'=>getResource('cs.cable_type.1'),
				'2'=>getResource('cs.cable_type.2'),
				'4'=>getResource('cs.cable_type.4'),
			),
		),
        'length'=>array(
			'title'=>getResource('ci.length'),
            'control' => 'short',
		),
        'rest'=>array(
			'title'=>getResource('ci.rest'),
            'control' => 'short',
		),
        'state'=>array(
			'title'=>getResource('ci.state'),
            'control' => 'checkbox',
		),

        'created'=>array(
			'readonly'=>1,
			'title'=>getResource('cs.created'),
		),
		'created_name'=>array(
			'title'=>getResource('cs.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('cs.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('cs.modified.by'),
			'readonly'=>1,
		),
	),
);
?>