<?
$obj = array(
	'fields'=>array(
		'source'=>array(
			'title'=>getResource('con.requests.source'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('con.requests.source.1'),
				'2'=>getResource('con.requests.source.2'),
				'3'=>getResource('con.requests.source.3'),
				'4'=>getResource('con.requests.source.4'),
			),
		),
		'type'=>array(
			'title'=>getResource('con.requests.type'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('con.requests.type.1'),
				'2'=>getResource('con.requests.type.2'),
				'3'=>getResource('con.requests.type.3'),
			),
		),
		'city'=>array(
			'title'=>getResource('con.requests.city'),
			'control'=>'select',
			'list'=>'getCities',
			'link'=>'cities.php?id=[city]',
		),
		'house_id'=>array(
			'title'=>getResource('con.requests.house.billing'),
			'required_by'=>'state',
			'required_if'=>1,
			'comment'=>'[district_name]',
			'link'=>'houses.php?id=[house_id]',
			'control'=>'lookup',
			'label'=>'[street_name] [house]',
			'source'=>'?lookup=house',
			'id'=>'lookup_house',
		),
		'street_name'=>array(
			'title'=>getResource('con.requests.street'),
		),
		'house'=>array(
			'title'=>getResource('con.requests.house'),
			'control'=>'short',
		),
		'appartment'=>array(
			'title'=>getResource('con.requests.appartment'),
			'control'=>'short',
		),
		'floor'=>array(
			'title'=>getResource('con.requests.floor'),
			'control'=>'short',
		),
		'entrance'=>array(
			'title'=>getResource('con.requests.entrance'),
			'control'=>'short',
		),
		'phone'=>array(
			'title'=>getResource('con.requests.phone'),
		),
		'email'=>array(
			'title'=>getResource('con.requests.email'),
		),
		'client'=>array(
			'title'=>getResource('con.requests.client'),
		),
		'notes'=>array(
			'title'=>getResource('con.requests.notes'),
			'control'=>'textarea',
			'height'=>4,
		),
		'state'=>array(
			'title'=>getResource('con.requests.state'),
			'control'=>'select',
			'default'=>2,
			'list'=>array(
				'1'=>getResource('con.requests.state.1'),
				'2'=>getResource('con.requests.state.2'),
				'3'=>getResource('con.requests.state.3'),
				'4'=>getResource('con.requests.state.4'),
				'5'=>getResource('con.requests.state.5'),
				'6'=>getResource('con.requests.state.6'),
			),
		),
		'accept_date'=>array(
			'title'=>getResource('con.requests.accept.date'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
		),
		'recall_date'=>array(
			'title'=>getResource('con.requests.recall.date'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
			'required_by'=>'state',
			'required_if'=>'3',
		),
		/*
		'inzone'=>array(
			'title'=>getResource('con.requests.inzone'),
			'control'=>'checkbox',
		),
		*/
		'created'=>array(
			'title'=>getResource('con.requests.created'),
			'readonly'=>1,
		),
		'created_name'=>array(
			'title'=>getResource('con.requests.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'title'=>getResource('con.requests.modified'),
			'readonly'=>1,
		),
		'modified_name'=>array(
			'title'=>getResource('con.requests.modified.by'),
			'readonly'=>1,
		),
	),
);
?>