<?
$obj = array(
	'name'=>'config',
	'nick'=>'cfg',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_config_post, before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_config_post, after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'config c
	LEFT JOIN config_desc cd ON cd.id = c.id
	LEFT JOIN stamps st ON st.id=c.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'c.id',
		),
		'description'=>array(
			'selector'=>'cd.description',
		),
		'value'=>array(
			'selector'=>'c.value',
		),
		'control'=>array(
			'selector'=>'c.control',
		),
		'list'=>array(
			'selector'=>'c.list',
		),
		'actual'=>array(
			'selector'=>'c.actual',
		),
		'actual_sign'=>array(
			'selector'=>'IF(c.actual=1, "+", "-")',
			'aggregate'=>'sum(c.actual)',
		),
		'allow_city_alt'=>array(
			'selector'=>'c.allow_city_alt',
		),
		'stamp'=>array(
			'selector'=>'c.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>