<?
$obj = array(
	'name'=>'delayed_tasks',
	'nick'=>'dtsk',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'delayed_tasks t
	LEFT JOIN stamps st ON st.id=t.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'t.id',
		),
		'data'=>array(
			'selector'=>'t.data',
		),
		'proc_type'=>array(
			'selector'=>'t.proc_type',
		),
		'proc_type_name'=>array(
			'selector'=>'CASE t.proc_type
				WHEN 1 THEN "'.getResource('delayed.tasks.proc.type.1').'"
				WHEN 2 THEN "'.getResource('delayed.tasks.proc.type.2').'"
				WHEN 3 THEN "'.getResource('delayed.tasks.proc.type.3').'"
				ELSE "" END',
		),
		'exec_time'=>array(
			'selector'=>'t.exec_time/1000',
			'aggregate'=>'sum',
		),
		'max_attempts'=>array(
			'selector'=>'t.max_attempts',
		),
		'try_count'=>array(
			'selector'=>'t.try_count',
		),
		'status'=>array(
			'selector'=>'t.status',
		),
		'status_name'=>array(
			'selector'=>'CASE t.status
				WHEN 0 THEN "'.getResource('delayed.tasks.status.0').'"
				WHEN 1 THEN "'.getResource('delayed.tasks.status.1').'"
				WHEN 2 THEN "'.getResource('delayed.tasks.status.2').'"
				WHEN 3 THEN "'.getResource('delayed.tasks.status.3').'"
				WHEN 4 THEN "'.getResource('delayed.tasks.status.4').'"
				ELSE "" END',
		),
		'stamp'=>array(
			'selector'=>'t.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
			'order_by'=>'t.id',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>