<?php 

/**
 * @author tregub
 * @copyright 2010
 */

$obj = array(
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('dispatching.city'),
			'link'=>'cities.php?id=[city]',
			'required'=>1,
			'control'=>'select',
			'list'=>'getCities',
			'skip_finder'=>1,
		),
		'kp_reo'=>array(
			'title'=>getResource('dispatching.kp_reo'),
			'link'=>'kpreos.php?id=[kp_reo]',
			'control'=>'lookup',
			'label'=>'[kp_reo_name]',
			'source'=>'?lookup=kpreo',
			'id'=>'lookup_kpreo',
		),
		'street'=>array(
			'title'=>getResource('dispatching.street'),
			'link'=>'streets.php?id=[street]',
			'control'=>'lookup',
			'label'=>'[street_name]',
			'source'=>'?lookup=street',
			'id'=>'lookup_street',
		),
		'house'=>array(
			'title'=>getResource('dispatching.house'),
		),
		'phone'=>array(
			'title'=>getResource('dispatching.phone'),
		),
		'notes'=>array(
			'title'=>getResource('dispatching.notes'),
			'control' => 'textarea'
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('dispatching.created'),
		),
		'created_name'=>array(
			'title'=>getResource('dispatching.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('dispatching.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('dispatching.modified.by'),
			'readonly'=>1,
		),
	),
);
?>