<?
$obj = array(
	'name'=>'personal_period_resource_uses',
	'nick'=>'ppru',
	'source'=>'personal_period_resource_uses ppru
	LEFT JOIN resource_uses ru ON ru.id=ppru.resource_use
	LEFT JOIN personal_periods pp ON pp.id=ppru.personal_period
	LEFT JOIN clients c ON c.id = pp.client',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'ppru.id',
		),
		'resource_type'=>array(
			'selector'=>'ru.resource_type',
		),
		'client'=>array(
			'selector'=>'pp.client',
			'desc'=>1,
			'log_by'=>'client_name',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'period_begin'=>array(
			'desc'=>1,
			'selector'=>'pp.period_begin',
		),
		'period_end'=>array(
			'desc'=>1,
			'selector'=>'pp.period_end',
		),
	),
);
$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>