<?
$obj = array(
	'name'=>'exp_executors',
	'nick'=>'exe',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'exp_executors s
	LEFT JOIN stamps st ON st.id=s.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'s.id',
		),
		'name'=>array(
			'desc'=>1,
			'selector'=>'s.name',
		),
		'type'=>array(
			'selector'=>'s.type',
			'log_by'=>'type_name',
		),
		'type_name'=>array(
			'selector'=>'case s.type
				when 1 then "'.getResource('exp.executors.type.1').'"
				when 2 then "'.getResource('exp.executors.type.2').'"
				else "" end',
		),
		'func'=>array(
			'selector'=>'s.func',
			'log_by'=>'func_name',
		),
		'func_name'=>array(
			'selector'=>'case s.func
				when 1 then "'.getResource('exp.executors.func.1').'"
				when 2 then "'.getResource('exp.executors.func.2').'"
				when 3 then "'.getResource('exp.executors.func.3').'"
				when 4 then "'.getResource('exp.executors.func.4').'"
				else "" end',
		),
		'notes'=>array(
			'selector'=>'s.notes',
		),
		'stamp'=>array(
			'selector'=>'s.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>