<?
$obj = array(
	'name'=>'exp_movements_details',
	'nick'=>'exssr',
	'masters'=>array(
		'jobs'=>array(
		'table'=>$GLOBALS['exp_movements'],
		'on'=>'id',
		'by'=>'movement',
	 	),
	),
	'BeforeInsert'=>'before_stamped_insert,check_rest_over',
	'BeforePost'=>'before_stamped_post,check_rest_over',
	'AfterInsert'=>'after_logged_insert,update_storages',
	'AfterPost'=>'after_logged_post,update_storages',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete,update_storages',
	'source'=>'exp_movements_details p
	LEFT JOIN exp_materials em ON em.id = p.material
	LEFT JOIN exp_storages s ON s.material=p.material AND s.place='.$GLOBALS['mov']['src'].'
	LEFT JOIN stamps st ON st.id=p.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'p.id',
		),
		'movement'=> array(
			'selector'=>'p.movement',
		),
		'name'=>array(
			'selector'=>'em.name',
		),
		'uid'=>array(
			'selector'=>'em.code',
		),
		'unit'=>array(
			'selector'=>'em.unit',
			'log_by'=>'unit_name',
		),
		'material' => array(
			'selector' => 'p.material',
			'log_by'=>'name',
		),
		'unit_name'=>array(
			'selector'=>'case em.unit
				when 1 then "'.getResource('exp.materials.unit.1').'"
				when 2 then "'.getResource('exp.materials.unit.2').'"
				when 3 then "'.getResource('exp.materials.unit.3').'"
				when 4 then "'.getResource('exp.materials.unit.4').'"
				else "" end',
		),
		'amount'=>array(
			'selector'=>'p.amount',
			'aggregate'=>'sum',
		),
		'rest'=>array(
			'selector'=>'s.amount',
			'aggregate'=>'sum',
		),
		'stamp'=>array(
			'selector'=>'p.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>