<?
$mov = $GLOBALS['exp_movements']->active_record;
$obj = array(
	'fields'=>array(
		'id'=>array(
			'readonly'=>1,
			'title'=>getResource('exp_movements.id'),
		),
		
		'date'=>array(
			'title'=>getResource('exp_movements.date'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
			'required'=>$mov['state']!=3,
			'readonly'=>$mov['state']==3,
		),
		'src_name'=>array(
			'title'=>getResource('exp_movements.src'),
			'readonly'=>1,
		),
		'src'=>array(
			'title'=>getResource('exp_movements.src'),
			'link'=>'exp_storage_places.php?id=[src]',
			'control'=>'lookup',
			'label'=>'[src_name]',
			'source'=>'?lookup=place',
			'required'=>1,
		),
		'dst_name'=>array(
			'title'=>getResource('exp_movements.dst'),
			'readonly'=>1,
		),
		'dst'=>array(
			'title'=>getResource('exp_movements.dst'),
			'link'=>'exp_storage_places.php?id=[dst]',
			'control'=>'lookup',
			'label'=>'[dst_name]',
			'source'=>'?lookup=place',
			'required'=>1,
		),
		'state'=>array(
			'title'=>getResource('exp_movements.state'),
			'control' => 'select',
			'list'=>array(
				'1'=>getResource('exp_movements.state.1'),
				'2'=>getResource('exp_movements.state.2'),
				'3'=>getResource('exp_movements.state.3'),
			),
			'required'=>1,
		),
		'state_name'=>array(
			'title'=>getResource('exp_movements.state'),
			'readonly'=>1,
		),
		'notes'=>array(
			'title'=>getResource('exp_movements.notes'),
			'control' => 'textarea',
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('exp_movements.created'),
		),
		'created_name'=>array(
			'title'=>getResource('exp_movements.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('exp_movements.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('exp_movements.modified.by'),
			'readonly'=>1,
		),
	),
);
if($mov['state']==3){
	unset($obj['fields']['state']);
	$obj['fields']['src']['type'] = 'hidden';
	$obj['fields']['dst']['type'] = 'hidden';
}else{
	unset($obj['fields']['state_name']);
	unset($obj['fields']['src_name']);
	unset($obj['fields']['dst_name']);
}

?>