<?
$obj = array(
	'name'=>'exp_movements',
	'nick'=>'exspr',
	'BeforeInsert'=>'before_stamped_insert, auto_mov_state',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post,update_storages',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete, update_storages',
	'source'=>'exp_movements p
	
	LEFT JOIN (SELECT count(*) as cnt, movement FROM exp_movements_details GROUP BY movement) x ON x.movement=p.id
	LEFT JOIN exp_storage_places es ON es.id = p.dst
	LEFT JOIN exp_storage_places est ON est.id = p.src
	LEFT JOIN stamps st ON st.id=p.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'p.id',
		),
		
		'date'=>array(
			'selector'=>'p.date',
			'desc'=>1,
		),
		
		'src'=>array(
			'selector'=>'p.src',
			'log_by'=>'src_name',
			'desc'=>1,
		),
		
		'state'=>array(
			'selector'=>'p.state',
			'log_by'=>'state_name',
		),
		
		'state_name'=>array(
			'selector'=>'case p.state
				when 1 then "'.getResource('exp_movements.state.1').'"
				when 2 then "'.getResource('exp_movements.state.2').'"
				when 3 then "'.getResource('exp_movements.state.3').'"
				else "" end',
		),
		
		'src_name'=>array(
			'selector'=>'est.name',
		),
		'src_account'=>array(
			'selector'=>'est.account',
		),
		'dst'=>array(
			'selector'=>'p.dst',
			'log_by'=>'dst_name',
			'desc'=>1,
		),
		
		'items'=>array(
			'selector'=>'IFNULL(x.cnt, 0)',
			'aggregate'=>'sum',
		),
		
		'dst_name'=>array(
			'selector'=>'es.name',
		),
		
		'notes'=>array(
			'selector'=>'p.notes',
		),
		
		
		
		'stamp'=>array(
			'selector'=>'p.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>