<?
$obj = array(
	'name'=>'modems',
	'nick'=>'pmds',
	'masters'=>array(
		'points'=>array(
			'table'=>$GLOBALS['exp_points'],
			'on'=>'id',
			'by'=>'exp_point',
		),
	),
	'BeforeInsert'=>'before_modem_apply, before_stamped_insert',
	'BeforePost'=>'before_modem_apply, before_stamped_post',
	'BeforeDelete'=>'before_modem_delete',
	'AfterInsert'=>'after_modem_insert, after_logged_insert',
	'AfterPost'=>'after_modem_post, after_logged_post',
	'AfterDelete'=>'after_modem_delete, after_stamped_delete, after_logged_delete',
	'source'=>'modems m
	LEFT JOIN modems ms ON ms.id=m.modem
	LEFT JOIN departments dp ON dp.id = m.department
	LEFT JOIN stamps st ON st.id=m.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'m.id',
		),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'m.name',
		),
		'ip'=>array (
			'desc'=>1,
			'selector'=>'m.ip',
			'order_by'=>'INET_ATON(m.ip)',
		),
		'mac'=>array(
			'selector'=>'m.mac',
			'nullable'=>1,
		),
		'exp_point'=>array(
			'selector'=>'m.exp_point',
			'nullable'=>1,
		),
		'type'=>array(
			'selector'=>'m.type',
		),
		'type_name'=>array(
			'selector'=>'CASE m.type 
				WHEN 1 THEN "'.getResource('modems.type.1').'" 
				WHEN 2 THEN "'.getResource('modems.type.2').'" 
				ELSE "" END',
		),
		'model'=>array(
			'selector'=>'m.model',
		),
		'stamp'=>array(
			'selector'=>'m.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);

$d = $GLOBALS['oper']->department;
if($d){
	$obj['fields']['department']['auto_insert'] = $d;
	$obj['filters']['department'] = "m.department='$d'";
}
?>