<?
$obj = array(
	'name'=>'homedir_types',
	'nick'=>'hmts',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'before_homedir_type_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_homedir_type_post, after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'homedir_types ht
	LEFT JOIN stamps st ON st.id=ht.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'ht.id',
		),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'ht.name',
		),
		'shell'=>array(),
		'home'=>array(),
		'gid'=>array(),
		'base_uid'=>array(),
		'quota'=>array(),
		'stamp'=>array(
			'selector'=>'ht.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>