<?
$obj = array(
	'fields'=>array(
		'client'=>array(
			'title'=>getResource('homedirs.client'),
			'link'=>'clients.php?id=[client]',
			'required'=>1,
			//'control'=>'select',
			//'list'=>'getClients',
			'control'=>'lookup',
			'label'=>'[client_name]',
			'source'=>'?lookup=client',
		),
		'type'=>array(
			'title'=>getResource('homedirs.type'),
			'link'=>'homedir_types.php?id=[type]',
			'required'=>1,
			//'control'=>'select',
			//'list'=>'getHomedirTypes',
			'control'=>'lookup',
			'label'=>'[type_name]',
			'source'=>'?lookup=type',
		),
		'login'=>array(
			'title'=>getResource('homedirs.login'),
			'required'=>1,
		),
		'password'=>array(
			'title'=>getResource('homedirs.password'),
			'required'=>1,
			'control'=>'password',
			'with_confirm'=>1,
		),
		'uid'=>array(
			'title'=>getResource('homedirs.uid'),
			'comment'=>sprintf(getResource('homedirs.uid.comment'), getFreeUids(3)),
			'control'=>'short',
			'positive'=>1,
		),
		'description'=>array(
			'title'=>getResource('homedirs.description'),
			'comment'=>getResource('homedirs.description.comment'),
		),
		'active'=>array(
			'title'=>getResource('homedirs.active'),
			'control'=>'checkbox',
			'default'=>1,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('homedirs.created'),
		),
		'created_name'=>array(
			'title'=>getResource('homedirs.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('homedirs.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('homedirs.modified.by'),
			'readonly'=>1,
		),
	),
);
?>