<?
$obj = array(
	'name'=>'hosts_firewall',
	'nick'=>'hfs',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_logged_delete',
	'source'=>'hosts_firewall hf
	LEFT JOIN hosts h ON h.id=hf.host
	LEFT JOIN clients c ON c.id=h.client
	LEFT JOIN cities ci ON ci.id=c.city
	LEFT JOIN rules r ON r.id=hf.rule',
	'fields'=>array(
		'host'=>array(
			'desc'=>1,
			'key'=>1,
			'log_by'=>'host_ip',
		),
		'client'=>array(
			'selector'=>'h.client',
			'log_by'=>'client_name',
		),
		'host_ip'=>array(
			'bin'=>1,
			'selector'=>'h.ip',
			'order_by'=>'INET_ATON(h.ip)',
		),
		'host_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login, ") - ", h.ip )',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login, ")")',
		),
		'rule'=>array(
			'desc'=>1,
			'key'=>1,
			'log_by'=>'rule_name',
		),
		'rule_name'=>array(
			'bin'=>1,
			'selector'=>'r.name',
		),
		'city'=>array(
			'selector'=>'c.city',
		),
		'city_name'=>array(
			'selector'=>'ci.name',
		),
	),
);
$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>