<?
$obj = array(
	'name'=>'entrance_notes',
	'nick'=>'hns',
	'masters'=>array(
		'entrance'=>array(
			'table'=>$GLOBALS['entrance'],
			'on'=>'id',
			'by'=>'entrance',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert, upload_entrance_note_file',
	'AfterPost'=>'after_logged_post, upload_entrance_note_file',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete, delete_entrance_note_file',
	'source'=>'entrance_notes n
	LEFT JOIN entrances e ON e.id=n.entrance
	LEFT JOIN houses h ON h.id=e.house
	LEFT JOIN streets s ON s.id=h.street
	LEFT JOIN billing_storage.files f ON f.id=n.file
	LEFT JOIN stamps st ON st.id=n.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'n.id',
		),
		'entrance' => array(
			'selector'=>'n.entrance',
			'desc'=>1,
			'log_by'=>'entrance_name',
		),
		'note'=>array(
			'selector'=>'n.note',
			'desc'=>1,
		),
		'entrance_name'=>array(
			'selector'=>'CONCAT(s.name, " ", h.house," ", e.number)',
		),
		'file'=>array(
			'selector'=>'n.file',
		),
		'file_name'=>array(
			'selector'=>'f.name',
		),
		'file_type'=>array(
			'selector'=>'f.type',
		),
		'file_size'=>array(
			'selector'=>'f.size',
		),
		'stamp'=>array(
			'selector'=>'n.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>