<?
$obj = array(
	'name'=>'ibox_pays',
	'nick'=>'ibps',
	'source'=>'ibox_pays i
	LEFT JOIN movements m ON m.id = i.movement
	LEFT JOIN clients c ON c.id = i.client',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'i.id',
		),
		'movement'=>array(
			'selector'=>'i.movement',
		),
		'terminal'=>array(
			'selector'=>'i.terminal',
		),
		'receipt'=>array(
			'selector'=>'i.receipt',
		),
		'date'=>array(
			'selector'=>'i.date',
		),
		'amount'=>array(
			'bin'=>1,
			'selector'=>'i.amount',
		),
		'amount_cur'=>array(
			'bin'=>1,
			'selector'=>'i.amount/100',
			'aggregate'=>'sum',
		),
		'movement_amount'=>array(
			'bin'=>1,
			'selector'=>'m.amount',
		),
		'movement_amount_cur'=>array(
			'bin'=>1,
			'selector'=>'m.amount/100',
			'aggregate'=>'sum',
		),
		'client'=>array(
			'bin'=>1,
			'selector'=>'i.client',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'movement_date'=>array(
			'bin'=>1,
			'selector'=>'m.date',
		),
	),
);

$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>