<?
$obj = array(
	'name'=>'ip_use_log',
	'nick'=>'iul',
	'masters'=>array(
		'ip_uses'=>array(
			'table'=>$GLOBALS['ip_uses'],
			'on'=>'id',
			'by'=>'ip_use',
		),
	),
	'AfterInsert'=>'after_logged_insert, after_ip_use_log_insert',
	'AfterPost'=>'after_logged_post, after_ip_use_log_post',
	'AfterDelete'=>'after_logged_delete, after_ip_use_log_delete',
	'source'=>'ip_use_log l
	LEFT JOIN ip_use_intervals ii ON ii.id=l.ip_use_interval
	LEFT JOIN ip_uses iu ON iu.id=l.ip_use
	LEFT JOIN personal_period_resource_uses ppru ON ppru.id=iu.personal_period_resource_use
	LEFT JOIN resource_uses ru ON ru.id=ppru.resource_use',
	'fields'=>array(
		'ip_use'=>array(
			'selector'=>'l.ip_use',
		),
		'ip_use_interval'=>array(
			'selector'=>'l.ip_use_interval',
			'key'=>1,
		),
		'from_time'=>array(
			'selector'=>'ii.from_time',
		),
		'to_time'=>array(
			'selector'=>'ii.to_time',
		),
		'bytes'=>array(
			'selector'=>'l.bytes',
			'aggregate'=>'sum',
		),
		'cost'=>array(
			'selector'=>'l.bytes * ru.price / ru.unit_size / 100',
			'aggregate'=>'sum',
		),
	),
);
?>