<?
$obj = array(
	'name'=>'ivr_autoreply_internet',
	'nick'=>'ivrats',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'before_street_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'ivr_autoreply_internet s
	LEFT JOIN cities ci ON ci.id=s.city
	LEFT JOIN ivr_messages im ON im.id=s.message
	LEFT JOIN modems tn ON tn.id=s.modem
	LEFT JOIN modems_nest tnn ON tnn.id=tn.id
	LEFT JOIN stamps st ON st.id=s.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'s.id',
		),
		'city'=>array(
			'selector'=>'s.city',
			'log_by'=>'city_name',
			'nullable'=>1,
		),
		'city_name'=>array(
			'selector'=>'ci.name',
		),
		'modem'=>array(
			'selector'=>'s.modem',
			'desc'=>1,
			'log_by'=>'modem_name',
		),
		'modem_name'=>array(
			'selector'=>'tn.name',
		),
		'message'=>array(
			'selector'=>'s.message',
			'log_by'=>'message_name',
			'nullable'=>1,
		),
		'message_name'=>array(
			'selector'=>'im.name',
		),
		'scope'=>array(
			'selector'=>'s.scope',
		),
		'scope_name'=>array(
			'selector'=>'CASE s.scope
				WHEN 0 THEN "'.getResource('ivr.autoreply.internet.scope.0').'"
				WHEN 1 THEN "'.getResource('ivr.autoreply.internet.scope.1').'"
				ELSE "" END',
		),
		'actual_from'=>array(
			'selector'=>'s.actual_from',
			'nullable'=>1,
		),
		'actual_to'=>array(
			'selector'=>'s.actual_to',
			'nullable'=>1,
		),
		'notes'=>array(
			'selector'=>'s.notes',
		),
		'stamp'=>array(
			'selector'=>'s.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>