<?
$obj = array(
	'name'=>'jobs_notes',
	'nick'=>'hns',
	'masters'=>array(
		'jobs'=>array(
		'table'=>$GLOBALS['jobs'],
		'on'=>'id',
		'by'=>'job',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'jobs_notes e
	LEFT JOIN jobs h ON h.id=e.job
	LEFT JOIN job_problem_types jpt ON jpt.id=e.problem_type
	LEFT JOIN stamps st ON st.id=e.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'e.id',
		),
		'job' => array(
			'selector' => 'e.job',
			'desc'=>1,
		),
		'note'=>array(
			'selector'=>'e.note',
			'desc'=>1,
		),
		'problem_type'=>array(
			'selector'=>'e.problem_type',
			'log_by'=>'problem_type_name',
			'nullable'=>1,
		),
		'problem_type_name'=>array(
			'selector'=>'jpt.name',
		),
		'stamp'=>array(
			'selector'=>'e.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>