<?
$obj = array(
	'name'=>'modems',
	'nick'=>'jmds',
	'source'=>'modems m
	LEFT JOIN streets s ON s.id = m.street',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'m.id',
		),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'m.name',
		),
		'ip'=>array (
			'desc'=>1,
			'selector'=>'m.ip',
			'order_by'=>'INET_ATON(m.ip)',
		),
		'mac'=>array(
			'selector'=>'m.mac',
			'nullable'=>1,
		),
		'modem'=>array(
			'selector'=>'m.modem',
			'nullable'=>1,
		),
		'uplink'=>array(
			'selector'=>'m.uplink',
		),
		'port'=>array(
			'selector'=>'m.port',
		),
		'address_space'=>array(
			'selector'=>'m.address_space',
			'bin'=>1,
			'nullable'=>1,
		),
		'domain'=>array(
			'selector'=>'m.domain',
			'nullable'=>1,
		),
		'profile'=>array(
			'selector'=>'m.profile',
		),
		'street'=>array(
			'selector'=>'m.street',
			'nullable'=>1,
		),
		'street_name'=>array(
			'bin'=>1,
			'selector'=>'s.name',
		),
		'house'=>array(
			'selector'=>'m.house',
		),
		'entrance'=>array(
			'selector'=>'m.entrance',
		),
		'floor'=>array(
			'selector'=>'m.floor',
		),
		'check_address'=>array(
			'selector'=>'m.check_address',
		),
		'up_since'=>array(
			'selector'=>'m.up_since',
		),
		'model'=>array(
			'selector'=>'m.model',
		),
		'firmware'=>array(
			'selector'=>'m.firmware',
		),
		'loader'=>array(
			'selector'=>'m.loader',
		),
		'diag'=>array(
			'selector'=>'m.diag',
		),
		'department'=>array(
			'selector'=>'m.department',
		),
		'notes'=>array(
			'selector'=>'m.notes',
		),
	),
);
?>