<?
$obj = array(
	'name'=>'job_types_tv_types',
	'nick'=>'jttt',
	'masters'=>array(
			'job_types'=>array(
				'table'=>$GLOBALS['jt'],
				'on'=>'id',
				'by'=>'job_type',
			),
		),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'before_street_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source' => 'job_types_tv_types jtct
	LEFT JOIN job_types jt ON jt.id = jtct.job_type
	LEFT JOIN tv_types ct ON ct.id = jtct.tv_type
	LEFT JOIN stamps st ON st.id=jtct.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'selector'=>'jtct.id',
		),
		'job_type'=>array(
			'selector'=>'jtct.job_type',
			'log_by'=>'job_type_name',
		),
		'job_type_name'=>array(
			'selector'=>'jt.name',
		),
		'tv_type'=>array(
			'selector'=>'jtct.tv_type',
			'log_by'=>'tv_type_name',
			'key'=>1,
		),
		'tv_type_name'=>array(
			'selector'=>'ct.name',
		),
		'stamp'=>array(
			'selector'=>'jtct.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>