<?
$obj = array(
	'name'=>'koop_pays',
	'nick'=>'kopp',
	'masters'=>array(
		'points'=>array(
			'table'=>$GLOBALS['koops'],
			'on'=>'id',
			'by'=>'koop',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert, after_koop_pay_post',
	'AfterPost'=>'after_logged_post, after_koop_pay_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete, after_koop_pay_delete',
	'source'=>'koop_pays p
	LEFT JOIN stamps st ON st.id=p.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'p.id',
		),
		'koop'=>array(
			'desc'=>1,
			'selector'=>'p.koop',
		),
		'status'=>array(
			'selector'=>'p.status',
		),
		'status_name'=>array(
			'selector'=>'case p.status
				when 1 then "'.getResource('koop.pays.status.1').'"
				when 2 then "'.getResource('koop.pays.status.2').'"
				when 3 then "'.getResource('koop.pays.status.3').'"
				else "" end',
		),
		'act'=>array(
			'desc'=>1,
			'selector'=>'p.act',
		),
		'act_name'=>array(
			'selector'=>'case p.act
				when 1 then "'.getResource('koop.pays.act.1').'"
				when 2 then "'.getResource('koop.pays.act.2').'"
				when 3 then "'.getResource('koop.pays.act.3').'"
				else "" end',
		),
		'act_file'=>array(
			'selector'=>'p.act_file',
			'nullable'=>1,
		),
		'amount'=>array(
			'selector'=>'p.amount',
		),
		'amount_cur'=>array(
			'selector'=>'p.amount/100',
			'aggregate'=>'sum',
		),
		'date'=>array(
			'selector'=>'p.date',
		),
		'date_formated'=>array(
			'selector'=>'date_format(p.date, "%Y-%m")',
		),
		'notes'=>array(
			'selector'=>'p.notes',
		),
		'stamp'=>array(
			'selector'=>'p.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>