<?

/**
 * @author tregub
 * @copyright 2010
 */

$obj = array(
	'name'=>'dispatching',
	'nick'=>'kpr',
'masters'=>array(
				'distr'=>array(
					'table'=>$GLOBALS['kpreos'],
					'on'=>'id',
					'by'=>'kp_reo',
				),
			),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'dispatching d
	LEFT JOIN streets s ON s.id=d.street
	LEFT JOIN kpreos kp ON kp.id=d.kp_reo
	LEFT JOIN stamps st ON st.id=d.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'d.id',
		),
		'kp_reo'=>array(
			'selector'=>'d.kp_reo',
		),
		'street'=>array(
			'selector'=>'d.street',
		),
		'streetn'=>array(
			'selector'=>'s.name',
		),
		'house'=>array(
			'selector'=>'d.house',
		),
		'phone'=>array(
			'selector'=>'d.phone',
		),
		'notes'=>array(
			'selector'=>'d.notes',
		),
/*`kp_reo` int(11) unsigned default NULL,
  `street` int(11) unsigned default NULL,
  `house` varchar(16) default NULL,
  `phone` varchar(64) default NULL,
  `notes` varchar(255) default NULL,*/
		'stamp'=>array(
			'selector'=>'d.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>