<?
$obj = array(
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('kpreos.city'),
			'link'=>'cities.php?id=[city]',
			'required'=>1,
			'control'=>'select',
			'list'=>'getCities',
			'skip_finder'=>1,
		),
		'number'=>array(
			'title'=>getResource('kpreos.number'),
			'required'=>1,
		),
		'street'=>array(
			'title'=>getResource('kpreos.street'),
			'link'=>'streets.php?id=[street]',
			'control'=>'lookup',
			'label'=>'[street_name]',
			'source'=>'?lookup=street',
			'id'=>'lookup_street',
		),
		'house'=>array(
			'title'=>getResource('kpreos.house'),
			'control'=>'short',
		),
		'type'=>array(
			'title'=>getResource('kpreos.type'),
			'control'=>'select',
			'list'=>array(
				'0'=>getResource('kpreos.type.0'),
				'-1'=>getResource('kpreos.type.-1'),
				'1'=>getResource('kpreos.type.1'),
			),
		),
		'dispatcher_phone'=>array(
			'title'=>getResource('kpreos.dispatcher.phone'),
		),
		'commander'=>array(
			'title'=>getResource('kpreos.commander'),
		),
		'commander_phone'=>array(
			'title'=>getResource('kpreos.commander.phone'),
		),
		'chief_engineer'=>array(
			'title'=>getResource('kpreos.chief.engineer'),
		),
		'chief_engineer_phone'=>array(
			'title'=>getResource('kpreos.chief.engineer.phone'),
		),
		'xman'=>array(
			'title'=>getResource('kpreos.xman'),
		),
		'xman_phone'=>array(
			'title'=>getResource('kpreos.xman.phone'),
		),
		'notes'=>array(
			'title'=>getResource('kpreos.notes'),
			'control'=>'textarea',
			'height'=>4,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('kpreos.created'),
		),
		'created_name'=>array(
			'title'=>getResource('kpreos.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('kpreos.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('kpreos.modified.by'),
			'readonly'=>1,
		),
	),
);
?>