<?
$obj = array(
	'id'=>'id',
	'menu'=>array(
		'PrintById'=>getResource('grid.print'),
	),
	'modes'=>array(
		'default'=>getResource('modems.view.default'),
		'locations'=>getResource('modems.view.locations'),
		'clients'=>getResource('modems.view.clients'),
	),
	'columns'=>array(
		'ip'=>array(
			'title'=>getResource('modems.ip'),
			'link'=>'http://[ip]',
			'width'=>'8em',
		),
		'mac'=>array(
			'title'=>getResource('modems.mac'),
			'navigator'=>1,
			'width'=>'10em',
		),
		'name'=>array(
			'title'=>getResource('modems.name'),
			'link'=>'telnet://[ip]',
			'count'=>1,
			'footer_prefix'=>getResource('modems.count').' ',
		),
		'profile_name'=>array(
			'title'=>getResource('modems.profile'),
			'link'=>'modem_profiles.php?id=[profile]',
		),
		'model'=>array(
			'title'=>getResource('modems.model'),
			'width'=>'7em',
//			'modes'=>'default',
			'link'=>'modems_models.php?id=[model_id]',
		),
		'vlan'=>array(
			'title'=>getResource('modems.vlan'),
			'align'=>'right',
			'width'=>'5em',
		),
		'clients_2'=>array(
			'title'=>getResource('modems.clients'),
			'width'=>'5em',
			'align'=>'right',
			'modes'=>'clients',
		),
		'clients'=>array(
			'title'=>getResource('modems.clients.total'),
			'width'=>'8em',
			'align'=>'right',
			'modes'=>'clients',
		),
		'clients_gig'=>array(
			'title'=>getResource('modems.clients.gig'),
			'width'=>'8em',
			'align'=>'right',
			'modes'=>'clients',
		),
		'apartments'=>array(
			'title'=>getResource('modems.apartments'),
			'width'=>'5em',
			'align'=>'right',
			'modes'=>'clients',
		),
		'population'=>array(
			'title'=>getResource('modems.population'),
			'width'=>'5em',
			'align'=>'right',
			'modes'=>'clients',
		),
		'apartments_mask'=>array(
			'title'=>getResource('modems.apartments.mask'),
			'width'=>'5em',
			'align'=>'right',
			'modes'=>'clients',
		),
		'address_space'=>array(
			'title'=>getResource('modems.address.space'),
			'modes'=>'clients',
			'format'=>'nl2br',
		),
		'x_firmware'=>array(
			'title'=>getResource('modems.firmware'),
			'width'=>'6em',
			'modes'=>'default',
			'cell_renderer'=>$GLOBALS['valid_cell'],
		),
		'x_loader'=>array(
			'title'=>getResource('modems.loader'),
			'modes'=>'default',
			'width'=>'5em',
			'cell_renderer'=>$GLOBALS['valid_cell'],
		),
		'x_diag'=>array(
			'title'=>getResource('modems.diag'),
			'modes'=>'default',
			'width'=>'5em',
			'cell_renderer'=>$GLOBALS['valid_cell'],
		),
		'power_name'=>array(
			'title'=>getResource('modems.power'),
			'modes'=>'default',
			'width'=>'6em',
			'cell_renderer'=>$GLOBALS['power_cell'],
		),
/*
		'up_since'=>array(
			'title'=>getResource('modems.up.since'),
			'modes'=>'default',
			'align'=>'center',
			'width'=>'12em',
			'order'=>'desc',
		),
*/
		'state_sign'=>array(
			'title'=>getResource('modems.state.short'),
			'modes'=>'default',
			'align'=>'center',
			'width'=>'1em',
			'cell_renderer'=>$GLOBALS['state_cell'],
		),
		'loss_in'=>array(
			'title'=>getResource('modems.loss.in'),
			'width'=>'5.5em',
			'modes'=>'default',
			'align'=>'right',
		),
		'loss_out'=>array(
			'title'=>getResource('modems.loss.out'),
			'width'=>'6em',
			'modes'=>'default',
			'align'=>'right',
		),
		'off_all'=>array(
			'title'=>getResource('modems.off.all'),
			'modes'=>'default',
			'align'=>'right',
			'width'=>'5.5em',
			'order'=>'desc',
		),
		'off_month'=>array(
			'title'=>getResource('modems.off.month'),
			'modes'=>'default',
			'align'=>'right',
			'width'=>'7em',
			'order'=>'desc',
		),
		'state_date'=>array(
			'title'=>getResource('modems.state.date'),
			'modes'=>'default',
			'align'=>'center',
			'width'=>'12em',
			'order'=>'desc',
			'cell_renderer'=>$GLOBALS['state_date_cell'],
		),
		/*
		'domain_name'=>array(
			'title'=>getResource('modems.domain'),
			'link'=>'domains.php?id=[domain]',
			'modes'=>'default',
		),
		'department_name'=>array(
			'title'=>getResource('operators.department'),
			'link'=>'departments.php?id=[department]',
			'modes'=>'default',
		),
*/
		'city_name'=>array(
			'title'=>getResource('modems.city'),
			'link'=>'cities.php?id=[city]',
			'modes'=>'locations',
		),
		'admin_district_name'=>array(
			'title'=>getResource('districts.admin'),
			'link'=>'admin_districts.php?id=[admin_district]',
			'modes'=>'locations',
		),
		'district_name'=>array(
			'title'=>getResource('houses.district'),
			'link'=>'districts.php?id=[district]',
			'modes'=>'locations',
		),
		'street_name'=>array(
			'title'=>getResource('clients.street'),
			'link'=>'streets.php?id=[street]',
			'modes'=>'locations',
		),
		'house'=>array(
			'title'=>getResource('clients.house'),
			'align'=>'right',
			'width'=>'3em',
			'modes'=>'locations',
		),
		'house_internet'=>array(
			'title'=>getResource('houses.internet'),
			'width'=>'1em',
			'cell_renderer'=>$GLOBALS['UpCellRenderer'],
			'align'=>'center',
			'modes'=>'locations',
		),
		'entrance'=>array(
			'title'=>getResource('clients.grid.entrance'),
			'align'=>'right',
			'width'=>'3em',
			'modes'=>'locations',
		),
		'floor'=>array(
			'title'=>getResource('clients.grid.floor'),
			'align'=>'right',
			'width'=>'4em',
			'modes'=>'locations',
		),
	),
	'aux_filters'=>array(
		'type_name'=>getResource('modems.type'),
		'managment_vlan' => getResource('modems.managment_vlan'),
		'clan'=>getResource('modems.local.vlan'),
		'ip'=>getResource('modems.ip'),
		'mac'=>getResource('modems.mac'),
		'name'=>getResource('modems.name'),
		'domain_name'=>getResource('modems.domain'),
		'profile_name'=>getResource('modems.profile'),
		'notes'=>getResource('modems.notes'),
		'modem_name'=>getResource('modems.modem'),
		'port'=>getResource('modems.port'),
		'uplink'=>getResource('modems.uplink'),
		'address_space'=>getResource('modems.address.space'),
		'department_name'=>getResource('modems.department'),
		'clients_2'=>getResource('modems.clients'),
		'clients'=>getResource('modems.clients.total'),
		'clients_gig'=>getResource('modems.clients.gig'),
		'2'=>'--',
		'city_name'=>getResource('modems.city'),
		'exp_point_name'=>getResource('modems.exp.point'),
		'admin_district_name'=>getResource('districts.admin'),
		'district_name'=>getResource('houses.district'),
		'street_name'=>getResource('clients.street'),
		'house'=>getResource('clients.house'),
		'entrance'=>getResource('clients.entrance'),
		'floor'=>getResource('clients.floor'),
		'3'=>'--',
		'audit'=>getResource('modems.audit'),
		'check_power'=>getResource('modems.check.power'),
		'off_all'=>getResource('modems.off.all'),
		'off_month'=>getResource('modems.off.month'),
		'loss_in'=>getResource('modems.loss.in'),
		'loss_out'=>getResource('modems.loss.out'),
		'up_since'=>getResource('modems.up.since'),
		'model'=>getResource('modems.model'),
		'x_firmware'=>getResource('modems.firmware'),
		'x_loader'=>getResource('modems.loader'),
		'x_diag'=>getResource('modems.diag'),
		'ip_core_route'=>getResource('modems.ip.core.route'),
		'real_ip_vlan'=>getResource('modems.real.ip.vlan'),
		'auto_update' => getResource('modems.auto_update'),
		'4'=>'--',
		'created'=>getResource('modems.created'),
		'created_name'=>getResource('modems.created.by'),
		'modified'=>getResource('modems.modified'),
		'modified_name'=>getResource('modems.modified.by'),
	),
);
if($GLOBALS['oper']->department){
	unset($obj['columns']['department_name']);
}
?>