<?
$obj = array(
	'fields'=>array(
		'src'=>array(
			'title'=>getResource('movements.src'),
			//'control'=>'select',
			//'list'=>'getMovementSourceCandidates',
			'required'=>1,
			'control'=>'lookup',
			'label'=>'[[src_type]] [src_name]',
			'source'=>'?lookup=mov_src&menu='.$GLOBALS['mmenu']->selected,
		),
		'dst'=>array(
			'title'=>getResource('movements.dst'),
			//'control'=>'select',
			//'list'=>'getMovementDestinationCandidates',
			'required'=>1,
			'control'=>'lookup',
			'label'=>'[[dst_type]] [dst_name]',
			'source'=>'?lookup=mov_dst&menu='.$GLOBALS['mmenu']->selected,
		),
		'calendar_period'=>array(
			'title'=>getResource('movements.calendar.period'),
			'required'=>1,
			'control'=>'select',
			'list'=>'getCalendarPeriods',
			'default'=>getCurrentCalendarPeriod(),
			'skip_finder'=>1,
		),
		'date'=>array(
			'title'=>getResource('movements.date'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
			'required'=>1,
		),
		'amount'=>array(
			'title'=>getResource('movements.amount'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'required'=>1,
		),
		'note'=>array(
			'title'=>getResource('movements.note'),
			'control'=>'textarea',
			'height'=>2,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('movements.created'),
		),
		'created_name'=>array(
			'title'=>getResource('movements.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('movements.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('movements.modified.by'),
			'readonly'=>1,
		),
	),
);
?>