<?
$obj = array(
	'name'=>'pays_import_head',
	'nick'=>'pimh',
	'source'=>'pays_import_head pih
	LEFT JOIN (SELECT head, count(*) records FROM pays_import GROUP BY head) x ON x.head=pih.id
	LEFT JOIN stamps st ON st.id=pih.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'pih.id',
		),
		'head'=>array(
			'selector'=>'pih.head',
		),
		'records'=>array(
			'selector'=>'IFNULL(x.records, 0)',
			'aggregate'=>'sum',
		),
		'stamp'=>array(
			'selector'=>'pih.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>