<?
$obj = array(
	'name'=>'penalty_and_bonus',
	'nick'=>'pab',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete,after_logged_delete',
	'source'=>'penalty_and_bonus pab
	LEFT JOIN staff s ON s.id = pab.oper
	LEFT JOIN stamps st ON st.id=pab.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'pab.id',
		),

		'oper'=>array(
			'selector'=>'pab.oper',
			'log_by'=>'name',
		),
		
		'name'=>array(
			'selector'=>'s.name',
		),
		
		'type'=>array(
			'selector'=>'pab.type',
			'log_by'=>'type_name',
		),
		
		'notes' => array(
			'selector' => 'pab.notes'
		),
		
		'type_name' => array(
			'selector' => 'case
				when pab.type=1 then "'.getResource('pab.type.1').'"
				when pab.type=2 then "'.getResource('pab.type.2').'"
				when pab.type=3 then "'.getResource('pab.type.3').'"
				else "" end',
		),
		
		'date'=>array(
			'selector'=>'pab.date',
		),

		'amount'=>array(
			'selector'=>'pab.amount',
		),
		'stamp'=>array(
			'selector'=>'pab.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>