<?
$obj = array(
	'fields'=>array(
		'client'=>array(
			'title'=>getResource('personal.periods.client'),
			'link'=>'clients.php?id=[client]',
			'required'=>1,
			//'control'=>'select',
			//'list'=>'getClients',
			'control'=>'lookup',
			'label'=>'[client_name]',
			'source'=>'?lookup=client',
		),
		'connection_type'=>array(
			'title'=>getResource('personal.periods.connection.type'),
			'link'=>'connection_types.php?id=[connection_type]',
			//'control'=>'select',
			//'list'=>'getConnectionTypes',
			'control'=>'lookup',
			'label'=>'[connection_type_name]',
			'source'=>'?lookup=connection_type',
		),
		'tv_type'=>array(
			'title'=>getResource('personal.periods.tv.type'),
			'link'=>'connection_types.php?ctmenu_selected=tv&id=[tv_type]',
			'control'=>'select',
			'list'=>'getTvTypes',
		),
		'period_begin'=>array(
			'title'=>getResource('personal.periods.period.begin'),
			'required'=>1,
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
		),
		'period_end'=>array(
			'title'=>getResource('personal.periods.period.end'),
			'required'=>1,
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
		),
		'note'=>array(
			'title'=>getResource('personal.periods.note'),
			'control'=>'textarea',
			'height'=>5,
		),
		'state_name'=>array(
			'title'=>getResource('personal.periods.state'),
			'readonly'=>1,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('personal.periods.created'),
		),
		'created_name'=>array(
			'title'=>getResource('personal.periods.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('personal.periods.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('personal.periods.modified.by'),
			'readonly'=>1,
		),
	),
);
?>