<?
$obj = array(
	'name'=>'poll_options',
	'nick'=>'pops',
	'masters'=>array(
		'clients'=>array(
			'table'=>$GLOBALS['polls'],
			'on'=>'id',
			'by'=>'poll',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'poll_options po
	LEFT JOIN polls p ON po.poll = p.id
	LEFT JOIN poll_results pr ON pr.poll_option=po.id
	LEFT JOIN stamps st ON st.id=po.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'selector'=>'po.id',
			'key'=>1,
		),
		'poll'=>array(
			'desc'=>1,
			'selector'=>'po.poll',
			'log_by'=>'poll_title',
		),
		'poll_title'=>array(
			'selector'=>'p.title',
		),
		'code'=>array(
			'selector'=>'po.code',
			'nullable'=>1,
		),
		'body'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'po.body',
			'nullable'=>1,
		),
		'number'=>array(
			'selector'=>'po.number',
		),
		'votes'=>array(
			'selector'=>'IFNULL(pr.votes, 0)',
			'aggregate'=>'sum',
		),
		'votes_p'=>array(
			'selector'=>'IFNULL(pr.votes, 0)/'.$GLOBALS['votes_count'].'*100',
			'aggregate'=>'sum',
		),
		'votes_p1'=>array(
			'selector'=>'IFNULL(pr.votes, 0)/'.$GLOBALS['votes_count'].'*100',
		),
		'stamp'=>array(
			'selector'=>'po.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>