<?
$obj = array(
	'name'=>'private_pays',
	'nick'=>'prips',
	'source'=>'private_pays ups
	LEFT JOIN movements m ON m.id = ups.movement
	LEFT JOIN clients c ON c.id = ups.client',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'ups.id',
		),
		'movement'=>array(
			'selector'=>'ups.movement',
		),
		'order_id'=>array(
			'selector'=>'ups.order_id',
		),
		'amount'=>array(
			'selector'=>'ups.amount',
		),
		'amount_cur'=>array(
			'selector'=>'ups.amount/100',
			'aggregate'=>'sum',
		),
		'movement_amount'=>array(
			'selector'=>'m.amount',
		),
		'movement_date'=>array(
			'selector'=>'m.date',
		),
		'movement_amount_cur'=>array(
			'selector'=>'m.amount/100',
			'aggregate'=>'sum',
		),
		'eci'=>array(
			'selector'=>'ups.eci',
		),
		'onus'=>array(
			'selector'=>'ups.onus',
		),
		'response_code'=>array(
			'selector'=>'ups.response_code',
		),
		'reason_code'=>array(
			'selector'=>'ups.reason_code',
		),
		'reason_code_desc'=>array(
			'selector'=>'ups.reason_code_desc',
		),
		'reference_no'=>array(
			'selector'=>'ups.reference_no',
		),
		'padded_card_no'=>array(
			'selector'=>'ups.padded_card_no',
		),
		'auth_code'=>array(
			'selector'=>'ups.auth_code',
		),
		'client'=>array(
			'selector'=>'ups.client',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'date'=>array(
			'selector'=>'ups.date',
		),
	),
);

$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>