<?
$obj = array(
	'name'=>'tech_zones_graph_template',
	'nick'=>'zone_graph',
	'BeforeInsert'=>'before_stamped_insert, obrabotka',
	'BeforePost'=>'before_stamped_post, obrabotka',
	'BeforeDelete'=>'before_street_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source' => 'tech_zones_graph_template tzg
	LEFT Join tech_zone_times tzt ON tzg.tech_zone_time = tzt.id
	LEFT JOIN staff sf ON sf.id=tzg.person
	LEFT JOIN cities c ON c.id=tzg.city
	LEFT Join tech_zones tz ON tzt.tech_zone = tz.id
	LEFT JOIN stamps st ON st.id=tzg.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person	',
	'fields'=>array(
		'id'=>array(
			'selector'=>'tzg.id',
			'key' => 1,
		),
		'dayname'=>array(
			'selector'=>'case
				when tzg.`day`=1 then "'.getResource('tech_zones_graph.day.1').'"
				when tzg.`day`=2 then "'.getResource('tech_zones_graph.day.2').'"
				when tzg.`day`=3 then "'.getResource('tech_zones_graph.day.3').'"
				when tzg.`day`=4 then "'.getResource('tech_zones_graph.day.4').'"
				when tzg.`day`=5 then "'.getResource('tech_zones_graph.day.5').'"
				when tzg.`day`=6 then "'.getResource('tech_zones_graph.day.6').'"
				when tzg.`day`=7 then "'.getResource('tech_zones_graph.day.7').'"
				else "" end'
		),
		'day' => array(
			'selector' => 'tzg.`day`'),
		'name'=>array(
			'selector'=>'sf.name',
		),
		'person'=>array(
			'selector'=>'tzg.person',
		),
		'city'=>array(
			'selector'=>'tzg.city',
			'nullable'=>1,
			'log_by'=>'city_name',
		),
		'city_name'=>array(
			'selector'=>'c.name',
		),
		'tech_zone_time' => array(
			'selector' => 'tzt.id',
		),
		'tzname'=>array(
			'selector'=>'tz.name',
		),
		'graph' => array(
			'selector'=>'concat(tz.name," -> ",tzt.time_name)',
		),
		'stamp'=>array(
			'selector'=>'tzg.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>