<?
$obj = array(
	'fields'=>array(
		'client'=>array(
			'title'=>getResource('tv.connections.client'),
			'required'=>1,
			'link'=>'clients.php?id=[client]',
			'control'=>'lookup',
			'label'=>'[client_name]',
			'source'=>'?lookup=client',
			'id'=>'lookup_client',
		),
		'tv_box'=>array(
			'title'=>getResource('tv.connections.tv.box'),
			'required'=>1,
			'link'=>'houses.php?house_selected=tv&id=[house_id]&hns_id=[tv_box]#hns',
			'control'=>'lookup',
			'label'=>'[tv_box_name]',
			'source'=>'?lookup=tv_box',
			'id'=>'lookup_tv_box',
		),
		'tv_node'=>array(
			'title'=>getResource('tv.connections.tv.node'),
			//'required'=>1,
			'link'=>'tv_nodes.php?id=[tv_node]',
			'control'=>'lookup',
			'label'=>'[tv_node_name]',
			'source'=>'?lookup=tv_node',
			'id'=>'lookup_tv_node',
		),
		'card_code'=>array(
			'title'=>getResource('tv.connections.card.code'),
			'comment'=>getResource('tv.connections.card.code.comment'),
		),
		'state'=>array(
			'title'=>getResource('tv.connections.state'),
			'control'=>'select',
			'default'=>1,
			'list'=>array(
				'1'=>getResource('tv.connections.state.1'),
				'2'=>getResource('tv.connections.state.2'),
				'3'=>getResource('tv.connections.state.3'),
				'4'=>getResource('tv.connections.state.4'),
			),
		),
		'notes'=>array(
			'title'=>getResource('tv.connections.notes'),
			'control'=>'textarea',
			'height'=>6,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('tv.connections.created'),
		),
		'created_name'=>array(
			'title'=>getResource('tv.connections.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('tv.connections.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('tv.connections.modified.by'),
			'readonly'=>1,
		),
	),
);
?>