<?
$obj = array(
	'name'=>'tv_node_profiles',
	'nick'=>'tvps',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_insert',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'tv_node_profiles mp
	LEFT JOIN stamps st ON st.id=mp.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'mp.id',
		),
		'name'=>array(
			'desc'=>1,
			'selector'=>'mp.name',
		),
		'config'=>array(
			'selector'=>'mp.config',
		),
		'actual'=>array(
			'selector'=>'mp.actual',
			'log_by'=>'actual_sign',
		),
		'actual_sign'=>array(
			'selector'=>'IF(mp.actual, "+", "-")',
		),
		'stamp'=>array(
			'selector'=>'mp.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>