<?
$obj = array(
	'fields'=>array(
		'name'=>array(
			'title'=>getResource('tv.nodes.name'),
			'required'=>'1',
		),
		'type'=>array(
			'title'=>getResource('tv.nodes.type'),
			'control'=>'select',
			'list'=>'getTvNodeModels',
			'link'=>'tv_node_types.php?id=[type]',
		),
		'city'=>array(
			'title'=>getResource('tv.nodes.city'),
			'link'=>'cities.php?id=[city]',
			'control'=>'select',
			'list'=>'getCities',
		),
		'point'=>array(
			'title'=>getResource('tv.nodes.point'),
			'link'=>'exp_points.php?id=[point]',
			'control'=>'lookup',
			'label'=>'[point_name]',
			'source'=>'?lookup=point',
			'id'=>'lookup_point',
		),
		'parent'=>array(
			'title'=>getResource('tv.nodes.parent'),
			'link'=>'tv_nodes.php?id=[parent]',
			'control'=>'lookup',
			'label'=>'[parent_name]',
			'default'=>1,
			'source'=>'?lookup=parent',
		),
		'entrances'=>array(
			'title'=>getResource('tv.nodes.entrances'),
		),
		'notes'=>array(
			'title'=>getResource('tv.nodes.notes'),
			'control'=>'textarea',
			'height'=>'4',
		),
		'ip'=>array(
			'title'=>getResource('tv.nodes.ip'),
		),
		'mac'=>array(
			'title'=>getResource('tv.nodes.mac'),
		),
		'profile'=>array(
			'title'=>getResource('tv.nodes.profile'),
			'link'=>'tv_node_profiles.php?id=[profile]',
			'control'=>'lookup',
			'label'=>'[profile_name]',
			'source'=>'?lookup=profile',
			'id'=>'lookup_profile',
		),
		'audit'=>array(
			'title'=>getResource('tv.nodes.audit'),
			'control'=>'checkbox',
		),
		'power_in'=>array(
			'title'=>getResource('tv.nodes.power.in'),
			'comment'=>getResource('tv.nodes.power.in.comment'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
		),
		'input_power'=>array(
			'title'=>getResource('tv.nodes.input.power'),
			'format'=>$GLOBALS['fcurrency'],
			'readonly'=>1,
		),
		'power_out'=>array(
			'title'=>getResource('tv.nodes.power.out'),
			'comment'=>getResource('tv.nodes.power.out.comment'),
			'format'=>$GLOBALS['fcurrency'],
			'readonly'=>1,
		),
		'output_power'=>array(
			'title'=>getResource('tv.nodes.output.power'),
			'format'=>$GLOBALS['fcurrency'],
			'readonly'=>1,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('tv.nodes.created'),
		),
		'created_name'=>array(
			'title'=>getResource('tv.nodes.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('tv.nodes.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('tv.nodes.modified.by'),
			'readonly'=>1,
		),
	),
);
?>