<?
$obj = array(
	'id'=>'id',
	'menu'=>array(
		'PrintById'=>getResource('grid.print'),
	),
	'modes'=>array(
		'default'=>getResource('tv.nodes.modes.default'),
		'clients'=>getResource('tv.nodes.modes.clients'),
		'power'=>getResource('tv.nodes.modes.power'),
	),
	'columns'=>array(
		'name'=>array(
			'title'=>getResource('tv.nodes.name'),
			'width'=>'12em',
			'navigator'=>1,
			'count'=>1,
			'footer_prefix'=>getResource('tv.nodes.count').' ',
		),
		'type_name'=>array(
			'title'=>getResource('tv.nodes.type'),
			'link'=>'tv_node_types.php?id=[type]',
		),
		'city_name'=>array(
			'title'=>getResource('tv.nodes.city'),
			'link'=>'cities.php?id=[city]',
			'width'=>'10em',
		),
		'district_name'=>array(
			'title'=>getResource('tv.nodes.district'),
			'link'=>'districts.php?id=[district]',
			'width'=>'15em',
		),
		'street_name'=>array(
			'title'=>getResource('tv.nodes.street'),
			'link'=>'street.php?id=[street]',
			'width'=>'18em',
		),
		'house_house'=>array(
			'title'=>getResource('tv.nodes.house'),
			'link'=>'houses.php?id=[house]',
			'width'=>'3em',
			'modes'=>'default',
		),
		'entrnace'=>array(
			'title'=>getResource('tv.nodes.entrance'),
			'align'=>'right',
			'width'=>'5em',
			'modes'=>'default',
		),
		'floor'=>array(
			'title'=>getResource('tv.nodes.floor'),
			'align'=>'right',
			'width'=>'5em',
			'modes'=>'default',
		),
		'entrances'=>array(
			'title'=>getResource('tv.nodes.entrances'),
		),
		'parent_name'=>array(
			'title'=>getResource('tv.nodes.parent'),
			'link'=>'tv_nodes.php?id=[parent]',
		),
		'clients'=>array(
			'title'=>getResource('tv.nodes.clients'),
			'align'=>'right',
			'width'=>'8em',
			'order'=>'desc',
			'modes'=>'clients',
		),
		'clients_total'=>array(
			'title'=>getResource('tv.nodes.clients.total'),
			'align'=>'right',
			'width'=>'8.5em',
			'order'=>'desc',
			'modes'=>'clients',
		),
		/*
		'apartments'=>array(
			'title'=>getResource('tv.nodes.apartments'),
			'align'=>'right',
		),
		*/
		'power_in_cur'=>array(
			'title'=>getResource('tv.nodes.power.in.grid'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'width'=>'7em',
			'order'=>'desc',
			'modes'=>'power',
		),
		'input_power_cur'=>array(
			'title'=>getResource('tv.nodes.input.power.grid'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'width'=>'4.5em',
			'order'=>'desc',
			'modes'=>'power',
		),
		'input_deviation'=>array(
			'title'=>getResource('tv.nodes.power.deviation.in'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'cell_renderer'=>$GLOBALS['input_deviation_cell'],
			'width'=>'6em',
			'order'=>'desc',
			'modes'=>'power',
		),
		'power_out_cur'=>array(
			'title'=>getResource('tv.nodes.power.out.grid'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'width'=>'7em',
			'order'=>'desc',
			'modes'=>'power',
		),
		'output_power_cur'=>array(
			'title'=>getResource('tv.nodes.output.power.grid'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'width'=>'4.5em',
			'order'=>'desc',
			'modes'=>'power',
		),
		'output_deviation'=>array(
			'title'=>getResource('tv.nodes.power.deviation.out'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'cell_renderer'=>$GLOBALS['output_deviation_cell'],
			'width'=>'6em',
			'order'=>'desc',
			'modes'=>'power',
		),
	),
	'aux_count'=>2,
	'aux_filters'=>array(
		'name'=>getResource('tv.nodes.name'),
		'type_name'=>getResource('tv.nodes.type'),
		'city_name'=>getResource('tv.nodes.city'),
		'district_name'=>getResource('tv.nodes.district'),
		'street_name'=>getResource('tv.nodes.street'),
		'entrnace'=>getResource('tv.nodes.entrance'),
		'floor'=>getResource('tv.nodes.floor'),
		'entrances'=>getResource('tv.nodes.entrances'),
		'parent_name'=>getResource('tv.nodes.parent'),
		'notes'=>getResource('tv.nodes.notes'),
		'ip'=>getResource('tv.nodes.ip'),
		'mac'=>getResource('tv.nodes.mac'),
		'profile_name'=>getResource('tv.nodes.profile'),
		'audit_sign'=>getResource('tv.nodes.audit'),
		'power_in_cur'=>getResource('tv.nodes.power.in'),
		'power_out_cur'=>getResource('tv.nodes.power.out'),
		'input_power_cur'=>getResource('tv.nodes.input.power'),
		'output_power_cur'=>getResource('tv.nodes.output.power'),
		'input_deviation'=>getResource('tv.nodes.power.deviation.in'),
		'output_deviation'=>getResource('tv.nodes.power.deviation.out'),
		'clients'=>getResource('tv.nodes.clients'),
		'clients_total'=>getResource('tv.nodes.clients.total'),
	),
);
?>