<?
$obj = array(
	'name'=>'tv_types',
	'nick'=>'tv',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'tv_types p
	LEFT JOIN cities ci ON ci.id=p.city
	LEFT JOIN stamps st ON st.id=p.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'p.id',
		),
		'city'=>array(
			'selector'=>'p.city',
			'log_by'=>'city_name',
			'nullable'=>1,
		),
		'city_name'=>array(
			'selector'=>'ci.name',
		),
		'name'=>array(
			'desc'=>1,
			'selector'=>'p.name',
		),
		'notes'=>array(
			'selector'=>'p.notes',
		),
		'client_notes'=>array(
			'selector'=>'p.client_notes',
		),
		'offline'=>array(
			'selector'=>'p.offline',
			'log_by'=>'offline_sign',
		),
		'offline_sign'=>array(
			'selector'=>'IF(p.offline, "+", "-")',
		),
		'stamp'=>array(
			'selector'=>'p.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
			'skip_log'=>1,
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>