<?
$obj = array(
	'fields'=>array(
		'resource_type'=>array(
			'title'=>getResource('connection.types.resources.resource.type'),
			'required'=>1,
			'control'=>'select',
			'list'=>'getResourceTypes',
			'link'=>'resource_types.php?id=[resource_type]',
		),
		'use_dst'=>array(
			'title'=>getResource('connection.types.resources.use.dst'),
			'comment'=>getResource('connection.types.resources.use.dst.comment'),
			'control'=>'select',
			'required'=>1,
			'list'=>getSystemDstAccounts(),
			'link'=>'system_accounts.php?id=[use_dst]',
		),
		'use_plan'=>array(
			'title'=>getResource('connection.types.resources.use.plan'),
			'comment'=>getResource('connection.types.resources.use.plan.comment'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'positive'=>1,
			'default'=>0,
		),
		'use_limit'=>array(
			'title'=>getResource('connection.types.resources.use.limit'),
//			'comment'=>getResource('connection.types.resources.use.plan.comment'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'positive'=>1,
			'default'=>0,
		),
		'penalty_dst'=>array(
			'title'=>getResource('connection.types.resources.penalty.dst'),
			'comment'=>getResource('connection.types.resources.penalty.dst.comment'),
			'control'=>'select',
			'list'=>getSystemDstAccounts(),
			'link'=>'system_accounts.php?id=[penalty_dst]',
		),
		'bonus_src'=>array(
			'title'=>getResource('connection.types.resources.bonus.src'),
			'comment'=>getResource('connection.types.resources.bonus.src.comment'),
			'control'=>'select',
			'list'=>getSystemSrcAccounts(),
			'link'=>'system_accounts.php?id=[bonus_src]',
		),
		'bonus_amount'=>array(
			'title'=>getResource('connection.types.resources.bonus.amount'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'positive'=>1,
			'default'=>0,
		),
		'bonus_name'=>array(
			'title'=>getResource('connection.types.resources.bonus.name'),
			'comment'=>getResource('connection.types.resources.bonus.name.comment'),
		),
		'bonus_priority'=>array(
			'title'=>getResource('connection.types.resources.bonus.priority'),
			'control'=>'short',
		),
		'bonus_lost_dst'=>array(
			'title'=>getResource('connection.types.resources.bonus.lost.dst'),
			'comment'=>getResource('connection.types.resources.bonus.lost.dst.comment'),
			'control'=>'select',
			'list'=>getSystemDstAccounts(),
			'link'=>'system_accounts.php?id=[bonus_lost_dst]',
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('rules.created'),
		),
		'created_name'=>array(
			'title'=>getResource('rules.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('rules.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('rules.modified.by'),
			'readonly'=>1,
		),
	),
);
?>