<?
include_once("includes/environment.php");
include_once("includes/core.php");
include_once("includes/session.php");
include_once("functions/maintain.php");

ob_end_clean();

required_access('calendar_periods');
$cp = $_GET['cp'];
$query = $_GET['query'];
$report_type = $_GET['type'];

if($cp_info = $db->Next($db->Execute(sprintf("SELECT id, UNIX_TIMESTAMP(period_begin) period_begin, UNIX_TIMESTAMP(period_end) period_end FROM calendar_periods WHERE id=%s", $cp)))){
	$cp_name = strftime("%Y %B", ($cp_info['period_begin'] + $cp_info['period_end'])/2);
}else{
	die("No such calendar period");
}

if($report_type=='2'){
	function prepare_multiquery2($query){
		global $con;
		$q = explode(";", $query);
		$select = '';
		while(!empty($q) && empty($select)){
			$select = trim(array_pop($q));
		}
		foreach($q as $pre){
			$con->query($pre);
		}
		return $select;
	}
	
	$con = $beans->getBean('connection');
	if($query){
		if($q_info = $db->Next($db->Execute(sprintf("SELECT name, body FROM queries WHERE id='%s'", $query)))){
			$con->query(sprintf("CREATE TEMPORARY TABLE qlients (id INT UNSIGNED NOT NULL PRIMARY KEY) ENGINE=Memory %s ", prepare_multiquery2($q_info['body'])));
		}
		$report = $beans->getBean('accReport');
		$filename = $cp_name.($query ? ' - '.$q_info['name'] : '').'.xls';
		header("Content-type: application/vnd.ms-excel");
		header("Content-Disposition: attachment; filename="."\"".$filename."\"");
		header("Expires: 0");
		header("Cache-Control: must-revalidate,post-check=0,pre-check=0");
		header("Pragma: public");
		echo $report->generate('qlients', $cp);
	}
	exit;
}

if($report_type=='1'){

if($query){
	if($q_info = $db->Next($db->Execute(sprintf("SELECT name, body FROM queries WHERE id='%s'", $query)))){
		$db->Execute(sprintf("CREATE TEMPORARY TABLE qlients (id INT UNSIGNED NOT NULL PRIMARY KEY) ENGINE=Memory %s ", prepare_multiquery($q_info['body'])));
	}
}

//$db->debug = 1;


$filename = $cp_name.($query ? ' - '.$q_info['name'] : '').'.xls';

$db->Execute("CREATE TEMPORARY TABLE penalty (client INT UNSIGNED NOT NULL PRIMARY KEY, amount BIGINT UNSIGNED NOT NULL) ENGINE=Memory");
insertSelectOverFile('penalty', sprintf("
SELECT c.id as client, sum(m.amount) as amount
FROM movements m
INNER JOIN clients c ON c.account=m.src
INNER JOIN system_accounts sa ON sa.account=m.dst
WHERE
-- sa.account='%s'AND 
m.calendar_period='%s' GROUP BY m.src", 12, $cp));

$db->Execute("CREATE TEMPORARY TABLE uses (client INT UNSIGNED NOT NULL PRIMARY KEY, used BIGINT UNSIGNED NOT NULL, cost BIGINT UNSIGNED NOT NULL) ENGINE=Memory");
insertSelectOverFile('uses', sprintf("
	SELECT c.id as client, SUM(ru.amount) as used, SUM(floor(ru.amount*ru.price/ru.unit_size)) as cost 
	FROM resource_uses ru
	INNER JOIN clients c ON c.account=ru.src
	WHERE ru.calendar_period=%s AND ru.dst IS NOT NULL AND ru.resource_type=%s
	GROUP BY c.id", $cp, 1));

$res = $db->Execute(sprintf("SELECT c.first_name, c.last_name, c.patronymic, c.contract, if(ct.name like 'Unlim%%', 1, 0) as unlim,
ct.abon_amount,
IFNULL(u.used, 0) as used,
IFNULL(u.cost,0) as cost,
IFNULL(p.amount,0) as penalty
FROM %s q
LEFT JOIN clients c ON c.id=q.id
LEFT JOIN penalty p ON p.client=c.id
LEFT JOIN connection_types ct ON ct.id=c.connection_type
LEFT JOIN uses u ON u.client=c.id
ORDER BY c.last_name, c.first_name, c.patronymic", $query ? 'qlients' : 'clients', $cp));

//header("Content-Type: text/html; charset=windows-1251");
header("Content-Type: application/vnd.ms-excel");
header("Expires: 0");
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("content-disposition: attachment;filename=\"$filename\"");
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<style>
.sign {
	border-bottom:1px black solid;
	display: block;
	float:right;
}
table {
	border-collapse:collapse;
}
td {
	font-family: Verdana, Arial, Helvetica, sans-serif; font-size:8pt;padding:1px 2px;
}
.int{
	mso-number-format:General;
	text-align:right;
}
.use{
	mso-number-format:Fixed;
	width:10em;
	text-align:right;
}
.cost{
	mso-number-format:Fixed;
	width:8em;
	text-align:right;
}

.name {
	mso-number-format:\@;
	wifth: 14em;
}
.contract {
	mso-number-format:\@;
	width:6em;
}
.header {
	font-weight:bold;
	vertical-align: middle;
}
.footer {
	font-weight:bold;
}
</style>
</head>
<body>
<br><br>
   &laquo; &raquo;<br><br>

______________________________________________  ..<br><br>

     <br><br>
<Table border=1>
		<tr class=header>
			<td class=int></td>
			<td class=name></td>
			<td class=contract></td>
			<td class=use> ()</td>
			<td class=cost>  ()</td>
		</tr>
<?
$i = 1;
$sum_used = 0;
$sum_cost = 0;
while($arr = $db->Next($res)){
	$name = $arr['last_name']. ($arr['first_name'] ? ' '.$arr['first_name'][0].'.' : ''). ($arr['patronymic'] ? ' '.$arr['patronymic'][0].'.' : '');
	$sum_used += $arr['used'];
	$used = $arr['used']/1000000;
	/*if($arr['unlim']){
		$cost = $arr['abon_amount'];
	}else{
		$cost = $arr['cost'] + $arr['penalty'];
	}*/
	$cost = $arr['penalty'];
	$sum_cost += $cost;
	$cost = $cost/100;
	$row = $i + 1;
	printf('
		<tr>
			<td class=int>%s</td>
			<td class=name>%s</td>
			<td class=contract>%s</td>
			<td class=use>%s</td>
			<td class=cost>%s</td>
		</tr>',
		$i,
		htmlspecialchars($name),
		$arr['contract'],
		number_format($used, 2, ',', ''),
		number_format($cost, 2, ',', '')
	);
	$i++;
}
?>
<tr class=footer>
	<td class=int></td>
	<td class=name></td>
	<td class=contract></td>
	<td class=use><?=number_format($sum_used/1000000, 2, ',', '')?></td>
	<td class=cost><?=number_format($sum_cost/100, 2, ',', '')?></td>
</tr>
</Table>
</body>
</html>
<?}?>