<?
class BorderSplitter {

var $delimiter;
var $borders = array();

function BorderSplitter($delimiter, $min, $max){
	$this->delimiter = $delimiter;
	$this->min = $min;
	$this->max = $max;
}

function check($line){
	$borders = array();
	$begin = 0;
	while(($end = strpos($line, $this->delimiter, $begin))!==false){
		$borders[] = $end;
		$begin = $end + 1;
	}
	$c = count($borders);
	if($c>=$this->min && $c<=$this->max){
		$this->borders = $borders;
		return true;
	}else{
		return false;
	}
}

function isReady(){
	return !empty($this->borders);
}

function split($line){
	$result = array();
	$begin = 0;
	foreach($this->borders as $end){
		$result[] = substr($line, $begin, $end - $begin);
		$begin = $end;
	}
	$result[] = substr($line, $begin);
	return $result;
}

}
?>