<?
class PravexImport1 {

function process($fileInfo){
	global $db;
	$lines = file($fileInfo['tmp_name']);
	$items = array();
	$min_date = '9999.99.99';
	$max_date = '';
	foreach($lines as $i=>$line){
		list($date, $name, $contract, $sum, $bacc, $mfo) = explode(";", $line);
		$date = implode('.',array_reverse(explode('.', $date)));
		if($min_date > $date){
			$min_date = $date;
		}
		if($max_date < $date){
			$max_date = $date;
		}
		$valid = 0;
		$sum = trim($sum);
		$contract = trim($contract);
		$name = $this->trans(trim($name));
		$exploded = explode(' ', $name);
		$last_name = $exploded[0];
		$select = "SELECT id, account, last_name, first_name, patronymic, email, contract FROM clients WHERE ";
		$query = $select.sprintf("lower(last_name)=lower('%s')", $last_name);
		$res = $db->Execute($query);
		$num = mysqli_num_rows($res);
		switch($num){
			case 0:// last_name not found
				if($contract){// try by contract
					$query = $select.sprintf("contract='%s'", $contract);
					if($arr = $db->Next($db->Execute($query))){
						$account = $arr['account'];
						$valid = 1;
					}
				}
				break;
			case 1: // single
				$arr = $db->Next($res);
				$account = $arr['account'];
				if($contract && ($contract!=$arr['contract'])){
				    $valid = 0;
				}else{
				    $valid = 1;
				}
				break;
			default: //multiple, find max match
				$match = 0;
				while($arr = $db->Next($res)){
					$m = $this->match($contract, $arr['contract']);
					if($m>$match){
						$match = $m;
						$account = $arr['account'];
						if($m>=8){
							$valid = 1;
						}
					}
				}
		}
		$items[] = array(
			'num'=>$i+1,
			'account'=>$account,
			'sum'=>intval(strval($sum * 100)),
			'info'=>preg_replace("'\s+\n'", "\n", $line),
			'valid'=>$valid,
		);
	}
	if($max_date){
		$date = ', '.($min_date != $max_date ? $min_date.' - '.$max_date : $max_date);
	}else{
		$date = '';
	}
	return array(
		'head'=>'  '.$date.', '.$fileInfo['name'],
		'items'=>$items,
	);
}

function match($s1,$s2){
	$m = 0;
	$len = min(strlen($s1),strlen($s2));
	for($i=0;$i<$len;$i++){
		if($s1[$i]==$s2[$i]){
			$m++;
		}
	}
	return $m;
}

function trans($str){
	static $from = array("\xa0",
	'P','E','T','O','A','H','K','X','','B','M','I', 
	'p','e','t','o','a','h','k','x','','b','m','i');
	static $to = array("\x20",
	'','','','','','','','','','','','', 
	'','','','','','','','','','','','');
	return str_replace($from, $to, $str);
}

}
?>