<?
class PrivateImport {

function process($fileInfo){
	$lines = file($fileInfo['tmp_name']);
	$items = array();
	$borders = array();
	$has_prev = false;
	foreach($lines as $line){
		$test = trim($line);
		if($test[0]=='-' || !$test){
			$has_prev = false;
			continue;
		}
		if(preg_match("'([^\|]+\|[^\|]+){5,5}'", $line, $mat)){
			$borders = array();
			$begin = 0;
			while(($end = strpos($line, '|', $begin))!==false){
				$borders[] = $end;
				$begin = $end + 1;
			}
			//print_r ($borders)."<br><br><br>";
		}elseif(!empty($borders)){
			$pline = str_pad($line, 300);
			list($doc_num, $day, $fio, $text, $amount, $comiss) = $this->breakUp($pline, $borders);
			$text = trim($text);
			if(trim($doc_num)){
				$items[] = array(
					'num'=>count($items) + 1,
					'doc_num'=>trim($doc_num),
					'fio'=>trim($fio),
					'amount'=> preg_replace(array('|,|', '|[^\d.]|'), array('.', ''), $amount),
					'text'=>$text,
					'info'=>$line,
				);
				$has_prev = true;
			}elseif($has_prev){
				if(!trim($amount)){
					$item = $items[count($items)-1];
					$item['text'] .= $text;
					$item['info'] .= $line;
					$items[count($items)-1] = $item;
				}
			}
		}
	}
	return array(
		'head'=>trim($lines[5]),
		'items'=>$this->recognize($items),
	);
}

function recognize($items){
	global $db;
	$result = array();
	foreach($items as $k=>$item){
		$sum = intval(strval($item['amount'] * 100));
		if($sum > 0){
			$account = 0;
			$valid = 0;
			$contract = preg_match("'[^\d]*(\d{8,9})[^\d]*'s",$item['text'], $mat) ? $mat[1] : '';
			if($contract){
				$res = $db->Execute(sprintf("SELECT id, account FROM clients WHERE contract='%s'", addslashes($contract)));
				if($arr = $db->Next($res)){
					$account = $arr['account'];
					$valid = 1;
				}
			}
			$result[] = array(
				'num'=>$item['num'],
				'account'=>$account,
				'sum'=>$sum,
				'info'=>preg_replace("'\s+\n'","\n",$item['info']),
				'valid'=>$valid,
			);
		}
	}
	return $result;
}

function breakUp($line, $borders){
	$result = array();
	$begin = 0;
	foreach($borders as $end){
		$result[] = substr($line, $begin, $end - $begin);
		$begin = $end;
	}
	$result[] = substr($line, $begin);
	return $result;
}

}
?>