<?
class SwitchTool {

var $key;
var $value;
var $list;

function SwitchTool($key, $list, $default, $persist = true){
	global $pe6yc_storage;
	$this->key = $key;
	$this->list = $list;
	if(isset($_GET[$key]) && isset($this->list[$_GET[$key]])){
		$this->value = $_GET[$key];
		if($persist){
			$pe6yc_storage->store($key, $this->value);
		}
	}else{
		if($persist){
			$this->value = $pe6yc_storage->restore($key, $default);
		}else{
			$this->value = $default;
		}
	}
}

function render(){
	$result = '';
	$result .= "<form method=\"get\" action=\"".$_SERVER['PHP_SELF']."\">\n";
	$filters_params = deep_unslash($_GET);
	foreach($filters_params as $k=>$v){
		if($k!=$this->key){
			$result .= "	<input type=\"hidden\" name=\"$k\" value=\"$v\">\n";
		}
	}
	$result .= sprintf('<select name="%s" onchange="form.submit();">', $this->key);
	foreach($this->list as $key=>$title){
		$result .= sprintf('<option value="%s"', $key);
		if(strcmp($key, $this->value)==0){
			$result .= " selected";
		}
		$result .= sprintf(">%s</option>", $title);
	}
	$result .= "</select>";
	$result .= "</form>\n";
	return $result;
}

function getValue(){
	return $this->value;
}

function getTitle(){
	return isset($this->list[$this->value]) ? $this->list[$this->value] : '';
}

}
?>