<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class RemoteConfigurer {

var $host;
var $user;
var $port;
var $timeout = 10;
var $patterns;

function setPatterns($arr){
	$this->patterns = $arr;
}

function setHost($str){
	$this->host = $str;
}

function setUser($str){
	$this->user = $str;
}

function setTimeout($i){
	$this->timeout = $i;
}

function setPort($str){
    $this->port = $str;
}

function configure($obj, $name){
	foreach($this->patterns as $pattern){
		if(@preg_match($pattern, $name)){
			$obj->setHost($this->host);
			$obj->setUser($this->user);
			$obj->setPort($this->port);
			$obj->setTimeout($this->timeout);
			break;
		}
	}
}

}

?>