<?
class ScheduleCalendarModel {

var $connection;
var $template;
var $city;

function setConnection($obj){
	$this->connection = $obj;
}

function setTemplate($obj){
	$this->template = $obj;
}

function setCity($city){
	$this->city = $city;
}

function prepare($from, $calendar){
}

function getRenderedRecords($year, $month, $day, $calendar){
	$sel = $this->connection->select("SELECT d.time_begin, d.time_end, o.name
	FROM asterisk_schedule_details d
	LEFT JOIN asterisk_schedule s ON s.id=d.schedule
	LEFT JOIN asterisk_schedule_objects o ON o.id=d.object
	WHERE s.city='%s' AND s.day = '%s'", $this->city, sprintf("%d-%02d-%02d", $year, $month, $day));
	$records = array();
	while($arr = $sel->next()){
		$records[] = $this->template->render(array(
			'link'=>$calendar->buildRecordLink(),
			'who'=>$arr['name'],
			'period'=>substr($arr['time_begin'], 0, -3).' - '.substr($arr['time_end'], 0, -3),
		));
	}
	return $records;
}

function getHint($year, $month, $day, $calendar){
	$sel = $this->connection->select("SELECT p.name plan_name, l.name label_name
		FROM asterisk_schedule s
		LEFT JOIN asterisk_schedule_plans p ON p.id=s.schedule_plan
		LEFT JOIN asterisk_schedule_labels l ON l.id=s.label
		WHERE s.city='%s' AND s.day = '%s'", $this->city, sprintf("%d-%02d-%02d", $year, $month, $day));
	if($arr = $sel->next()){
		return $arr['plan_name'].' <i>'. $arr['label_name'].'</i>';
	}
}

}
?>