<?
class TasksCalendarModel {

var $connection;
var $template;

function setConnection($obj){
	$this->connection = $obj;
}

function setTemplate($obj){
	$this->template = $obj;
}

function prepare($from, $calendar){
}

function getRenderedRecords($year, $month, $day, $calendar){
	$typeMarks = array(
		'1'=>'',
		'2'=>'',
		'3'=>'',
	);
	$from = sprintf("%d-%02d-%02d", $year, $month, $day);
	$to = sprintf("%d-%02d-%02d", $year, $month, $day + 1);
	$sel = $this->connection->select("SELECT t.id, t.state, t.type, t.name, UNIX_TIMESTAMP(end_date) as date
		FROM exp_tasks t
		WHERE t.end_date >= '%s' AND t.end_date < '%s' ORDER BY t.end_date", $from, $to);
	$records = array();
	while($arr = $sel->next()){
		$arr['time'] = date("H:i", $arr['date']);
		$arr['title'] = $arr['name'];
		$arr['repair'] = false;
		$arr['link'] = $calendar->buildRecordLink(array('exts_id'=>$arr['id']));
		$arr['type_mark'] = $typeMarks[$arr['type']];
		$records[] = $this->template->render($arr);
	}
	return $records;
}

function getHint($year, $month, $day, $calendar){
	$from = sprintf("%d-%02d-%02d", $year, $month, $day);
	$to = sprintf("%d-%02d-%02d", $year, $month, $day + 1);
	$sel = $this->connection->select("SELECT sum(IF(t.state=2, 1, 0)) complete, sum(IF(t.state=2, 0, 1)) incomplete
		FROM exp_tasks t WHERE t.end_date >= '%s' AND t.end_date < '%s'", $from, $to);
	$arr = $sel->next();
	return '+'.($arr['complete']+0).',&ndash;'.($arr['incomplete']+0);
}

}
?>