<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class BonusesDAO {

var $connection;
var $splitter;
var $queries = array(
	'select'=>"SELECT ba.account, ba.account_type, at.priority, ba.client, UNIX_TIMESTAMP(ba.actual_from) actual_from, UNIX_TIMESTAMP(ba.actual_to) actual_to, ba.lost_dst, at.name
		FROM bonus_accounts ba
		INNER JOIN account_types at ON at.id=ba.account_type",
	'insert'=>"INSERT INTO bonus_accounts (account, account_type, client) VALUES (%s, %s, %s)",
);

function setConnection($connection){
	$this->connection = $connection;
}

function setSplitter($splitter){
	$this->splitter = $splitter;
}

function iterator(){
	$q = $this->queries['select'];
	$q = $this->splitter->patch($q." WHERE client >= [client_from] AND client < [client_to]", $q);
	return $this->connection->select($q);
}

function insert($account, $account_type, $client){
	return $this->connection->update($this->queries['insert'], $account, $account_type, $client);
}

}
?>