<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class ModemsDAO {

var $connection;
var $queries = array(
	'list'=>          "SELECT m.id, m.ip, m.mac, CONCAT(IFNULL(d.name, ''), '.' , m.name) name, m.profile, m.notes, m.uplink, m.modem, m.port, m.model, m.firmware, m.address_space, m.vlan
							FROM modems m
							LEFT JOIN domains d ON d.id=m.domain",
	'get_by_id'=>     "SELECT m.id, m.ip, m.mac, CONCAT(IFNULL(d.name, ''), '.' , m.name) name, m.profile, m.notes, m.uplink, m.modem, m.port, m.model, m.firmware, m.address_space, m.vlan
							FROM modems m
							LEFT JOIN domains d ON d.id=m.domain
							WHERE m.id='%s'",
	'get_by_ip'=>     "SELECT m.id, m.ip, m.mac, CONCAT(IFNULL(d.name, ''), '.' , m.name) name, m.profile, m.notes, m.uplink, m.modem, m.port, m.model, m.firmware, m.address_space, m.vlan
							FROM modems m
							LEFT JOIN domains d ON d.id=m.domain
							WHERE m.ip='%s'",
	'list_by_modem'=> "SELECT m.id, m.ip, m.mac, CONCAT(IFNULL(d.name, ''), '.' , m.name) name, m.uplink, m.modem, m.port, m.model, m.firmware, m.address_space, m.vlan
							FROM modems m
							LEFT JOIN domains d ON d.id=m.domain
							WHERE m.modem=%s",
);

function setConnection($connection){
	$this->connection = $connection;
}

function iterator(){
	return $this->connection->select($this->queries['list']);
}

function getById($id){
	$it = $this->connection->select($this->queries['get_by_id'], $id);
	return $it->next();
}

function getByIp($ip){
	$it = $this->connection->select($this->queries['get_by_ip'], $ip);
	return $it->next();
}

function listByModem($modem){
    return $this->connection->select($this->queries['list_by_modem'], $modem);
}

}
?>