<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class StdoutAppender {

var $dateFormat = "Y-m-d H:i:s";
var $recordFormat = "%s %-8s [%s]: %s\n";

function setDateFormat($dateFormat){
	$this->dateFormat = $dateFormat;
}

function setRecordFormat($recordFormat){
	$this->recordFormat = $recordFormat;
}

function append($type, $name, $msg){
	printf($this->recordFormat, date($this->dateFormat), $type, $name, $msg);
}

}
?>