<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class StreamAppender {

var $stream;
var $dateFormat = "Y-m-d H:i:s";
var $recordFormat = "%s %-8s [%s] %s: %s\n";
var $pid;

function StreamAppender($stream){
	$this->stream = $stream;
	$this->pid = getmypid();
}

function setStream($stream){
	$this->stream = $stream;
}

function setDateFormat($dateFormat){
	$this->dateFormat = $dateFormat;
}

function setRecordFormat($recordFormat){
	$this->recordFormat = $recordFormat;
}

function append($type, $name, $msg){
	$record = sprintf($this->recordFormat, date($this->dateFormat), $type, $this->pid, $name, $msg);
	fwrite($this->stream, $record);
}

}
?>