<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class EcallDelegate {

var $toPattern;
var $reportProcessor;
var $logger;

function setLoggerFactory($obj){
	$this->logger = $obj->getLogger('mail.ecall');
}

function setToPattern($str){
	$this->toPattern = $str;
}

function setReportProcessor($obj){
	$this->reportProcessor = $obj;
}

function process($msg){
	if(preg_match($this->toPattern, $msg['addr_to'])){
		$this->logger->info("found report: %s", $msg['subject']);
		if(isset($msg['attachments'])){
			foreach($msg['attachments'] as $att){
				if(strstr($att['name'], '  ')){
					$this->reportProcessor->processReport($att['body'], $att['name'], 1);
					break;
				}
			}
		}
		return true;
	}
	return false;
}

}
?>