<?
class MailSender {

function mime($value){
	$p = array(
		'input-charset'=>'windows-1251',
		'output-charset'=>'windows-1251',
	);
	return substr(iconv_mime_encode ('', $value, $p), 2);
}

function is7bit($str){
	for($i=strlen($str); $i>=0; $i--){
		if(ord($str[$i]) > 127){
			return false;
		}
	}
	return true;
}

function mime_email($email){
	if(preg_match('|([^<]*)(<[^>]+>)(.*)|', $email, $m)){
		$email = $this->is7bit($m[1]) ? $m[1] : $this->mime($m[1]);
		$email .= $m[2];
		$email .= $this->is7bit($m[3]) ? $m[3] : $this->mime($m[3]);
	}
	return $email;
}

function send($id){
	global $db;
	if($msg = loadRecord("SELECT * FROM mail_messages WHERE id=".$id)){
		//$msg['addr_to'] = 'oz@romsat.ua'; // !!!
		$attachments = loadRecords(sprintf("SELECT f.* FROM mail_attachments ma
			LEFT JOIN billing_storage.files f ON f.id=ma.file
			WHERE ma.message='%s'", $id));
		$boundary = 'PHP-mixed-'.md5(date('r', time()));
		$body = '';
		$body .= 'X-Answer-Id: '.$msg['answer_id']."\r\n";
		$body .= 'Subject: '.$this->mime($msg['subject'])."\r\n";
		$body .= 'From: '.$this->mime_email($msg['addr_from'])."\r\n";
		$body .= 'To: '.$this->mime_email($msg['addr_to'])."\r\n";
//		$body .= 'Bcc: mailbot@lanet.kiev.ua'."\r\n";
		if($msg['reply_to']){
			$body .= 'Reply-To: '.$this->mime_email($msg['reply_to'])."\r\n";
		}
		if($msg['in_reply_to']){
			$body .= 'In-Reply-To: '.$this->mime_email($msg['in_reply_to'])."\r\n";
		}
		if(!empty($attachments)){
			$body .= "Content-Type: multipart/mixed;\r\n\tboundary=\"".$boundary."\"\r\n";
			$body .= "\r\n";
			$body .= "--".$boundary."\r\n";
		}
		$body .= "Content-Type: text/plain; charset=\"windows-1251\"\r\n";
		$body .= "Content-Transfer-Encoding: 8bit\r\n";
		$body .= "\r\n";
		$body .= $msg['body'];
		$body .= "\r\n";
		foreach($attachments as $att){
			$name = $this->mime($att['name']);
			$body .= "--".$boundary."\r\n";
			$body .= "Content-Type: ".$att['type'].";\r\n\tname=\"".$name."\"\r\n";
			$body .= "Content-Transfer-Encoding: base64\r\n";
			$body .= "Content-Disposition: attachment\r\n";
			$body .= "\r\n";
			$content = '';
			$r1 = $db->Execute(sprintf("SELECT id FROM billing_storage.file_chunks WHERE file_id='%s' ORDER BY id", $att['id']));
			while($a1 = $db->Next($r1)){
				$r2 = $db->Execute(sprintf("SELECT chunk FROM billing_storage.file_chunks WHERE id='%s'", $a1['id']));
				if($a2 = $db->Next($r2)){
					$content .= $a2['chunk'];
				}
			}
			$body .= chunk_split(base64_encode($content));
			$body .= "\r\n";
		}
		if(!empty($attachments)){
			$body .= "--".$boundary."--\r\n";
		}
		if($proc = popen('sendmail -t', 'w')){
			fwrite($proc, $body);
			pclose($proc);
		}
	}
}

}
?>