<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class TvTypesManager {

var $logger;
var $tvTypesDAO;
var $types;

function setLoggerFactory($obj){
	$this->logger = $obj->getLogger('tv.types');
}

function setTvTypesDAO($obj){
	$this->tvTypesDAO = $obj;
}

function initBean(){
	$this->types = array();
	$it = $this->tvTypesDAO->iterator();
	while($arr = $it->next()){
		$this->types[$arr['id']] = $arr;
	}
	$this->logger->debug("%s types loaded", count($this->types));
}

function getTvType($id){
	if(isset($this->types[$id])){
		return $this->types[$id];
	}
}

function show(){
	print_r($this->types);
}

}
?>