<?

class DBStorage {

var $inited = false;
var $db;
var $bid;
var $browser;
var $names;
var $values;
var $query = array(
'browser'=>"SELECT id FROM browsers WHERE bid='%s'",
'add_browser'=>"INSERT INTO browsers (bid, last_visit, last_ip, visit_counter, user_agent) VALUES ('%s', now(), '%s', 1, '%s')",
'values'=>"SELECT property, value FROM browser_properties WHERE browser='%d'",
'names'=>"SELECT id, name FROM browser_property_names",
'add_name'=>"INSERT INTO browser_property_names (name) VALUES ('%s')",
'update'=>"REPLACE INTO browser_properties (browser, property, value) VALUES ('%s', '%s', '%s')",
'visit'=>"UPDATE browsers SET last_visit=now(), last_ip='%s', user_agent='%s', visit_counter=visit_counter+1 WHERE id='%d'",
);

function DBStorage($db){
	$this->db = $db;
}

function init(){
	$bid = isset($_COOKIE["bid"]) ? unslash($_COOKIE["bid"]) : '';
	if(!$bid){
		$bid = md5(sprintf("%d%s", mktime(), $_SERVER["REMOTE_ADDR"]));
	}
	setcookie("bid", $bid, time()+31536000);
	$res = $this->db->Execute(sprintf($this->query['browser'], addslashes($bid)));
	if($arr = $this->db->Next($res)){
		$this->browser = $arr['id'];
		$this->db->Execute(sprintf($this->query['visit'], addslashes($_SERVER["REMOTE_ADDR"]), addslashes($_SERVER["HTTP_USER_AGENT"]), $this->browser));
	}else{
		$this->db->Execute(sprintf($this->query['add_browser'], addslashes($bid), addslashes($_SERVER["REMOTE_ADDR"]), addslashes($_SERVER["HTTP_USER_AGENT"]) ));
		$this->browser = $this->db->getJustInserted('browsers', 'id');
	}
	$this->names = array();
	$res = $this->db->Execute(sprintf($this->query['names'], $this->browser));
	while($arr = $this->db->Next($res)){
		$this->names[$arr['name']] = $arr['id'];
	}
	$this->values = array();
	$res = $this->db->Execute(sprintf($this->query['values'], $this->browser));
	while($arr = $this->db->Next($res)){
		$this->values[$arr['property']] = $arr['value'];
	}
//	print_r($this->names);
//	print_r($this->values);
}

function getBrowserId(){
	$this->lazyInit();
	return $this->browser;
}

function lazyInit(){
	if(!$this->inited){
		$this->init();
		$this->inited = true;
	}
}

function store($name, $value){
	$this->lazyInit();
	if(isset($this->names[$name])){
		$nid = $this->names[$name];
	}else{
		$this->db->Execute(sprintf($this->query['add_name'], $name));
		$nid = $this->db->getJustInserted('browser_property_names', 'id');
		$this->names[$name] = $nid;
	}
	if(!(isset($this->values[$nid]) && $this->values[$nid]==$value)){
		$this->values[$nid] = $value;
		$this->db->Execute(sprintf($this->query['update'], $this->browser, $nid, addslashes($value)));
	}
}

function restore($name, $def=''){
	$this->lazyInit();
	if(isset($this->values[$this->names[$name]])){
		return $this->values[$this->names[$name]];
	}else{
		return $def;
	}
}

}

?>