<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:16 $
$Revision: 1.14 $
*/
include_once('includes/global.php');
loadStrings(BOOT.'client_expenses/strings.txt');
loadStrings(BOOT.'houses/strings.txt');
loadStrings(BOOT.'jobs/strings.txt');
loadStrings(BOOT.'coil_supplies/strings.txt');
include_once('classes/period.php');
include_once('classes/SwitchTool.php');
include_once('classes/ComboTool.php');

$doc->title .= ' :: '.getResource('client.expenses.title');

required_access('client_expenses');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'client':	lookup('client');
	case 'job':	lookup('job');
}

include(BOOT.'period/form.php');
$obj['nick'] = 'clxper';
$obj['active'] = 0;
$period = new PPeriod($nil, $obj);
$period->commented = false;

//$db->debug = 1;

$mode_tool = new SwitchTool('cext', array(
	'1'=>'',
	'2'=>'',
), 1);

$db->Execute("CREATE TEMPORARY TABLE cable_state (client int unsigned primary key, modem int unsigned, amount int) ENGINE=Memory");
insertSelectOverFile('cable_state',"SELECT client, max(modem), sum(pair_a_distance)/count(*) FROM hosts GROUP BY client");

$db->Execute("CREATE TEMPORARY TABLE cable_uses (expense int NOT NULL primary key, cable int, cable_in int, cable_type tinyint) ENGINE=Memory");
insertSelectOverFile('cable_uses', "SELECT d.expense, sum(d.cable), sum(d.cable_in), max(ci.cable_type)
	FROM coil_uses_details d
	LEFT JOIN coil_uses u ON u.id=d.coil_use
	LEFT JOIN coil_items ci ON ci.id=u.item
	WHERE d.cable > 0 AND ci.cable_type".($mode_tool->getValue()==1 ? '!' : '')."=1
	GROUP BY d.expense");

//$db->debug = 1;

$mat_types = loadRecords("SELECT emt.id, emt.name FROM expense_material_types emt 
	WHERE (SELECT count(*) FROM expense_material_job_types emjt LEFT JOIN job_types jt ON jt.id=emjt.job_type WHERE emjt.material_type=emt.id AND jt.type & '".$mode_tool->getValue()."')>0
	ORDER BY emt.name");

$client_expenses = new PTable($db,BOOT.'client_expenses/table.php');
$client_expenses->readonly = !$oper->system_access['client_expenses'];
if($period->active){
	if($from = $period->getFrom()){
		$client_expenses->filters['from'] = sprintf("st.created >= '%s'", $from);
	}
	if($to = $period->getTo()){
		$client_expenses->filters['to'] = sprintf("st.created <= '%s'", $to);
	}
}
$client_expenses->filters['mode'] = 'jt.type & "'.$mode_tool->getValue().'"';

addCityPolicy($client_expenses, 'j.city');

$doc->page->contents['client_expenses'] = new PMyAccess($client_expenses,array(
	'title'=>getResource('client.expenses.title').': '.$mode_tool->getTitle(),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/expenses.gif',
	'grid_boot'=>BOOT.'client_expenses/grid.php',
	'form_boot'=>BOOT.'client_expenses/form.php',
	'tool'=>new ComboTool(array(
		new ComboToolCell($mode_tool),
		new ComboToolCell($period)
	)),
));

if($client_expenses->isOn() && $oper->system_access['client_expenses'])
{
	include("includes/coil_uses_details.php");
}

ob_start();
?>
<script>

var f = document.forms['clx'];
var pcable = f.connection[0];
var vrezko = f.connection[1];
var povtor = f.connection[2];
var vport = f.connection_port;
if(!vrezko.checked){
	vport.disabled = 1;
	//vport.parentNode.parentNode.style.display = 'none';
}
vrezko.onclick = function(){
	vport.disabled = 0;
	//vport.parentNode.parentNode.style.display = '';
}
pcable.onclick = function(){
	vport.disabled = 1;
	//vport.parentNode.parentNode.style.display = 'none';
}
povtor.onclick = function(){
	vport.disabled = 1;
	//vport.parentNode.parentNode.style.display = 'none';
}

</script>
<?
$doc->page->contents['all'] = ob_get_clean();


echo $doc->Paint();
?>