<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:16 $
$Revision: 1.14 $
*/
include_once('includes/global.php');
include_once('includes/lookups.php');
include_once('classes/SwitchTool.php');
include_once('classes/ComboTool.php');
loadStrings(BOOT.'client_visits/strings.txt');

$doc->title .= ' :: '.getResource('client.visits.title');

required_access('client_visits');
switch($_GET['lookup']){
	case 'client':	lookup('client_contract', $_GET['city'] ? array('c.city='.addslashes($_GET['city'])) : array());
}

function getVisitReasons(){
	return loadByQuery("SELECT id, name value FROM client_visits_reasons WHERE actual=1 ORDER BY name");
}

$umenu = new PNamedMenu($nil,BOOT.'client_visits/menu.php');
$doc->page->contents['calls_up_menu'] = $umenu;
switch($umenu->selected){
	case 'vi':
		$visits = new PTable($db,BOOT.'client_visits/table.php');
		$visits->readonly = !$oper->system_access['client_visits'];
		addCityPolicy($visits, 'cn.city');
		$doc->page->contents['visits'] = new PMyAccess($visits, array(
			'title'=>getResource('client.visits.title'),
			'help'=>HELP_PATH.'//',
			'icon'=>HREF.'images/notes.gif',
			'grid_boot'=>BOOT.'client_visits/grid.php',
			'form_boot'=>BOOT.'client_visits/form.php',
		));
		if(!$doc->page->contents['jobs']->brief){
			ob_start();
			?>
			<script language="JavaScript">
			var f = $("form[name=<?=$visits->nick?>]");
			$("[name=city]", f).change(function(){
				lookup_client.src = '?lookup=client&target=lookup_client&city=' + this.value;
				lookup_client.loaded = false;
				lookup_client.loadFirst();
			}).change();
			</script>
			<?
			$doc->page->contents['vis_js'] = ob_get_clean();
		}
		break;
	case 'st':
		$group_by_tool = new SwitchTool('ergt', array(
			'1'=>getResource('client.visits.stats.grouper.1'),
			'2'=>getResource('client.visits.stats.grouper.2'),
			'3'=>getResource('client.visits.stats.grouper.3'),
		), '1', true);
		$group_by_values = array(
			'1'=>'DATE_FORMAT(v.date, "%Y-%m-%d")',
			'2'=>'DATE_FORMAT(FROM_UNIXTIME(FLOOR((UNIX_TIMESTAMP(v.date) - 338400)/604800) * 604800 + 345600), "%Y-%m-%d+")',
			'3'=>'DATE_FORMAT(v.date, "%Y-%m")',
		);
		$grouper = $group_by_values[$group_by_tool->value];
		
		$reasons = loadByQuery("SELECT id, name as value FROM client_visits_reasons WHERE actual=1 ORDER BY name");
		$sel_create = array();
		$sel_table = array();
		$grid_cols = array();
		foreach($reasons as $rid=>$name){
			$sel_create[] = "SUM(IF(v.reason=".$rid.", 1, 0)) reason_".$rid;
			$sel_table['reason_'.$rid] = array(
				'selector'=>'cs.reason_'.$rid,
				'aggregate'=>'sum',
			);
			$grid_cols['reason_'.$rid] = array(
				'title'=>$name,
				'align'=>'right',
			);
		}
		$db->Execute("CREATE TEMPORARY TABLE client_visits_stats ENGINE=Memory
			SELECT
			MAX(v.id) id,
			count(v.id) as amount,
			v.city,
			$grouper as date, ".
			implode(", ", $sel_create).
			" FROM client_visits v
			GROUP BY v.city, $grouper");

		include(BOOT.'client_visits/stats/table.php');
		$obj['fields'] = array_merge($obj['fields'], $sel_table);
		$stats = new PTable($db, $obj);

		include(BOOT.'client_visits/stats/grid.php');
		$obj['columns'] = array_merge($obj['columns'], $grid_cols);
		$doc->page->contents['stats'] = new PMyAccess($stats, array(
			'title'=>getResource('client.visits.stats.title'),
			'help'=>HELP_PATH.'//',
			'icon'=>HREF.'images/notes.gif',
			'grid_boot'=>$obj,
			'tool'=>$group_by_tool,
		));
		break;
}

echo $doc->Paint();
?>