<?php

/**
 * @author tregub
 * @copyright 2010
 */

include_once('includes/global.php');
loadStrings(BOOT.'coil_supplies/strings.txt');
loadStrings(BOOT.'coil_supplies/coil_items/strings.txt');

$doc->title .= ' :: '.getResource('cs.title');

required_access('coil_supplies');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'tz':	lookup('tz', $_GET['city'] ? array('tz.city='.addslashes($_GET['city'])) : array());
}

function AICoilSupplies($table){
    global $db;
    $new = $table->current_record;
	if(preg_match("'\D*(\d+)$'", $new['code_from'], $m)){
		$iterator = $m[1];
	    for ($i = 0; $i < $new['amount']; $i++){
			$code_i = $iterator + $i;
			$code = substr($new['code_from'], 0, 0 - strlen($code_i)).$code_i;
	        $db->Execute(sprintf("INSERT INTO coil_items (city, supply, code, cable_type, length, rest, state) VALUES ('%s', '%s', '%s', '%s', '%s', '%s', '%s')",
				$new['city'], $new['id'], $code, $new['cable_type'], $new['length'], $new['length'], 1));
	    }
	}
}

function set_item_city($table){
	global $db;
	$arr = $table->current_record;
	$db->Execute("UPDATE coil_items SET city=(SELECT city FROM coil_supplies WHERE id='".$arr['supply']."') WHERE id='".$arr['id']."'");
}

function getCoilSupplies(){
	return loadByQuery("SELECT id, CONCAT(code_from, ' (',amount,' )') as value FROM coil_supplies ORDER BY code_from");
}

$menu = new PNamedMenu($nil, BOOT.'coil_supplies/menu.php');
$doc->page->contents['menu'] = $menu;

switch($menu->selected){
	case 's':
		//$db->debug = 1;
		$db->Execute("CREATE TEMPORARY TABLE coil_rests (supply INT NOT NULL PRIMARY KEY, rest BIGINT NOT NULL, amount INT NOT NULL) ENGINE=Memory
			SELECT supply, sum(rest) rest, count(*) amount FROM coil_items GROUP BY supply");
		$coil_supplies = new PTable($db,BOOT.'coil_supplies/table.php');
		$coil_supplies->readonly = !$oper->system_access['coil_supplies'];
		addCityPolicy($coil_supplies, 'c.city');
		$doc->page->contents['coil_supplies'] = new PMyAccess($coil_supplies,array(
			'title'=>getResource('cs.title'),
			'help'=>HELP_PATH.'//',
			'icon'=>HREF.'images/streets.gif',
			'grid_boot'=>forceCity(BOOT.'coil_supplies/grid.php'),
			'form_boot'=>forceCity(BOOT.'coil_supplies/form.php'),
		));
		if(!$doc->page->contents['coil_supplies']->brief){
		ob_start();
		?>
		<script>
		
		var f = $("form[name=<?=$coil_supplies->nick?>]");
		$("[name=city]", f).change(function(){
			lookup_tz.src = '?lookup=tz&target=lookup_tz&city=' + this.value;
			lookup_tz.loaded = false;
			lookup_tz.loadFirst();
		}).change();
		
		</script>
		<?
		$doc->page->contents['hjs'] .= ob_get_clean();
		}
		if($coil_supplies->isOn()) {
		    $coil_items = new PTable($db,BOOT.'coil_supplies/coil_items/table.php');
		    $coil_items->readonly = !$oper->system_access['coil_supplies'];
		    $doc->page->contents['coil_items'] = new PMyAccess($coil_items,array(
				'title'=>getResource('ci.title'),
				'icon'=>HREF.'images/streets.gif',
				'grid_boot'=>BOOT.'coil_supplies/coil_items/grid.php',
				'form_boot'=>BOOT.'coil_supplies/coil_items/form.php',
		    ));
		}
		break;
	case 'i':
	    $coil_items = new PTable($db,BOOT.'coil_items/table.php');
	    $coil_items->readonly = !$oper->system_access['coil_supplies'];
	  	addCityPolicy($coil_items, 'c.city');
	    $doc->page->contents['coil_items'] = new PMyAccess($coil_items,array(
			'title'=>getResource('ci.title'),
			'icon'=>HREF.'images/streets.gif',
			'grid_boot'=>forceCity(BOOT.'coil_items/grid.php'),
			'form_boot'=>forceCity(BOOT.'coil_items/form.php'),
	    ));
		break;
}

echo $doc->Paint();
?>
