<?

include_once('includes/global.php');
loadStrings(BOOT.'con_statistic/strings.txt');

$doc->title .= ' :: '.getResource('con.statistic.title');

required_access('support');
class LoadForm extends PForm
{
    var $active = 1;
    var $from = "2100-01-01 00:00:00";
    var $to = "2100-01-01 00:00:00";
    var $method = 'post';

    var $permanents = array('active','from','to');

    function Process(){
            $this->active = $this->fields['active']->value;
            $this->from = $this->fields['from']->value;
            $this->to = $this->fields['to']->value;
    }

    function getFrom(){
            return addslashes($this->from);
    }

    function getTo(){
            return addslashes($this->to);
    }

    function Draw(){
	$this->fields['active']->value = $this->active;
	$this->fields['from']->value = $this->from;
	$this->fields['to']->value = $this->to;
	return parent::Draw();
    }
}

$obj = array(
	'nick'=>'eperiod',
	'fields'=>array(
		'active'=>array(
			'control'=>'bitset',
			'list'=>array(
				'1'=>getResource('perioder.active'),
			),
		),
		'from'=>array(
			'title'=>getResource('perioder.from'),
			'control'=>'date',
			'with_time'=>1,
		),
		'to'=>array(
			'title'=>getResource('perioder.to'),
			'control'=>'date',
			'with_time'=>1,
		),
	),
	'submits'=>array(
		'ok'=>array(
			'title'=>getResource('perioder.submit'),
		),
	)
);

//$db->debug =1;

$form = new LoadForm($nil, $obj);

if($form->active)
{
    $from  = $form->from;
    $to = $form->to;
    $db->Execute("CREATE TEMPORARY TABLE connections_count
    SELECT staff.name,
(SELECT COUNT(*) as c FROM jobs as j
WHERE j.worker = staff.id AND j.state = 1 AND j.`date` >= '$from' AND j.`date` <= '$to') as coun,

(SELECT COUNT(*) as c FROM jobs as j
WHERE j.worker = staff.id AND j.state = 3 AND j.`date` >= '$from' AND j.`date` <= '$to') as canceled,

(SELECT COUNT(*) as c FROM jobs as j
WHERE j.worker = staff.id AND j.`date` >= '$from' AND j.`date` <= '$to') as total,

(SELECT COUNT(*) as c FROM jobs as j
WHERE j.worker = staff.id AND j.state = 4 AND j.`date` >= '$from' AND j.`date` <= '$to') as in_work

FROM staff WHERE  staff.`status` =  '1' AND staff.rank = 1 AND staff.section = 1 GROUP BY staff.name");
}
else
{
    $db->Execute("CREATE TEMPORARY TABLE connections_count
    SELECT staff.name,
(SELECT COUNT(*) as c FROM jobs as j
WHERE j.worker = staff.id AND j.state = 1) as coun,

(SELECT COUNT(*) as c FROM jobs as j
WHERE j.worker = staff.id AND j.state = 3) as canceled,

(SELECT COUNT(*) as c FROM jobs as j
WHERE j.worker = staff.id) as total,

(SELECT COUNT(*) as c FROM jobs as j
WHERE j.worker = staff.id AND j.state = 4) as in_work

FROM staff WHERE  staff.`status` <>  '4' AND staff.rank = 1 GROUP BY staff.name");
}






$requests = new PTable($db,BOOT.'con_statistic/table.php');
$requests->readonly = !$oper->system_access['support'];

$doc->page->contents['requests'] = new PMyAccess($requests,array(
	'title'=>getResource('con.statistic.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/streets.gif',
	'grid_boot'=>BOOT.'con_statistic/grid.php',
	'form_boot'=>BOOT.'con_statistic/form.php',
));
$doc->page->contents['forma'] = $form;
echo $doc->Paint();
?>