<?php

/**
 * @author tregub
 * @copyright 2010
 */

include_once('includes/global.php');
loadStrings(BOOT.'dispatching/strings.txt');

$doc->title .= ' :: '.getResource('dispatching.title');

required_access('kpreos');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'street':	new Lookup('id', 'name', 'streets', $_GET['city'] ? array('city='.addslashes($_GET['city'])) : array());
	case 'kpreo':	new Lookup('id', 'number', 'kpreos', $_GET['city'] ? array('city='.addslashes($_GET['city'])) : array());
}


function check_disp_city($table){
	$new = $table->new_record;
	$street = loadRecord("SELECT id, city FROM streets WHERE id='".$new['street']."'");
	if($street && ($street['city']!=$new['city'])){
		$table->error(getResource('dispatching.error.street.city'));
	}
	$kpreo = loadRecord("SELECT id, city FROM kpreos WHERE id='".$new['kp_reo']."'");
	if($kpreo && ($kpreo['city']!=$new['city'])){
		$table->error(getResource('dispatching.error.kpreo.city'));
	}
}


$dispatching = new PTable($db,BOOT.'dispatching/table.php');
$dispatching->readonly = !$oper->system_access['kpreos'];
addCityPolicy($dispatching, 'd.city');

$doc->page->contents['dispatching'] = new PMyAccess($dispatching,array(
	'title'=>getResource('dispatching.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/streets.gif',
	'grid_boot'=>forceCity(BOOT.'dispatching/grid.php'),
	'form_boot'=>forceCity(BOOT.'dispatching/form.php'),
));
if(!$doc->page->contents['dispatching']->brief){
	ob_start();
?>
<script>
	var f = $("form[name=kpr]");
	$("[name=city]", f).change(function(){
		lookup_street.src = '?lookup=street&target=lookup_street&city=' + this.value;
		lookup_street.loaded = false;
		lookup_street.loadFirst();
		lookup_kpreo.src = '?lookup=kpreo&target=lookup_kpreo&city=' + this.value;
		lookup_kpreo.loaded = false;
		lookup_kpreo.loadFirst();
	}).change();
</script>
<?
	$doc->page->contents['js'] .= ob_get_clean();
}

echo $doc->Paint();
?>