<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
loadStrings(BOOT.'exp_trunks/strings.txt');
loadStrings(BOOT.'exp_points/strings.txt');

$doc->title .= ' :: '.getResource('exp.trunks.title');

required_access('exp_trunks');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'point':
		lookup('exp_point',  $_GET['city'] ? array('p.city='.addslashes($_GET['city'])) : array());
	case 'material':
		lookup('exp_material_cable');
	case 'executor':
		lookup('exp_executor');
}

function check_trunk_city($table){
	$new = $table->new_record;
	$check = array(
		'begin_point'=>'exp_points',
		'end_point'=>'exp_points',
	);
	foreach($check as $field=>$table_name){
		$arr = loadRecord("SELECT city FROM $table_name WHERE id='".$new[$field]."'");
		if($arr && ($arr['city']!=$new['city'])){
			$table->error(getResource('exp.trunks.error.'.$field.'.city'));
		}
	}
}

$exp_trunks = new PTable($db,BOOT.'exp_trunks/table.php');
$exp_trunks->readonly = !$oper->system_access['exp_trunks'];
addCityPolicy($exp_trunks, 's.city');

$doc->page->contents['exp_trunks'] = new PMyAccess($exp_trunks,array(
	'title'=>getResource('exp.trunks.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/exp_trunks.gif',
	'grid_boot'=>forceCity(BOOT.'exp_trunks/grid.php'),
	'form_boot'=>forceCity(BOOT.'exp_trunks/form.php'),
));
if(!$doc->page->contents['exp_trunks']->brief){
	ob_start();
?>
<script>
	var f = $("form[name=<?=$exp_trunks->nick?>]");
	$("[name=city]", f).change(function(){
		lookup_begin.src = '?lookup=point&target=lookup_begin&city=' + this.value;
		lookup_begin.loaded = false;
		lookup_begin.loadFirst();
		lookup_end.src = '?lookup=point&target=lookup_end&city=' + this.value;
		lookup_end.loaded = false;
		lookup_end.loadFirst();
	}).change();
</script>
<?
	$doc->page->contents['js'] .= ob_get_clean();
}

echo $doc->Paint();
?> 