<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:16 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
include_once('functions/host.php');
include_once('classes/tools/IpAddress.php');
loadStrings(BOOT.'hosts/strings.txt');
loadStrings(BOOT.'client_info/strings.txt');

$doc->title .= ' :: '.getResource('hosts.title');

if(isset($_GET['get_free'])){
	//ob_end_clean();
	$no_space = true;
	$mid = $_GET['get_free'];
	while($modem = loadRecord(sprintf("SELECT address_space, modem FROM modems WHERE id='%s'", addslashes($mid)))){
		if(strlen(trim($modem['address_space'])) > 0){
			foreach(explode("\n", $modem['address_space']) as $line){
				$str = trim($line);
				if($str){
					$arr = explode(":", $str);
					$ip = new SlashedIpAddress($arr[0]);
					foreach(findFreeIp($ip, 3) as $free){
						echo $free.(isset($arr[1]) ? ':'.$arr[1] : '')."\n";
					}
				}
			}
			$no_space = false;
			break;
		}else{
			$mid = $modem['modem'];
		}
	}
	if($no_space){
		/*foreach(loadRecords("SELECT address FROM gateways 
			ORDER BY INET_ATON(substring_index(address, '/', 1))") as $gate){
			echo "--\n";
			$ip = new SlashedIpAddress($gate['address']);
			foreach(findFreeIp($ip, 2) as $free){
				echo $free.(isset($arr[1]) ? ':'.$arr[1] : '')."\n";
			}
		}*/
		$f = new FreeIpFinder($db, 'hosts');
		echo implode("\n", $f->find(3));
	}
	exit;
}

required_access('hosts');


include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'client':	lookup('client');
	case 'modem':	lookup('modem2');
	case 'domain':	lookup('domain');
}

class NameCellRenderer {
	function render($column, $record){
		$val = $record[$column->name];
		if(in_array($record['client_department'], array(21, 22, 23))){
			return sprintf("<td class='green_lighted'>%s</td>", $val);
		}else{
			return sprintf("<td>%s</td>", $val);
		}
	}
}
$name_cell = new NameCellRenderer();
$state_cell = new ModemStateCellRenderer();

//$db->debug = 1;

$action_form = new PHostActionForm($nil,BOOT.'hosts/action_form.php');

$hosts = new PTable($db,BOOT.'hosts/table.php');
$hosts->readonly = !$oper->system_access['hosts'];
addCityPolicy($hosts, 'c.city');

$doc->page->contents['hosts'] = new PMyAccess($hosts,array(
	'title'=>getResource('hosts.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/hosts.gif',
	'grid_boot'=>BOOT.'hosts/grid.php',
	'form_boot'=>BOOT.'hosts/form.php',
));
if(!$hosts->readonly){
	$doc->page->contents['hosts']->form->fields['ip']->comment = '<select id="candidates_ip"></select>';
}

include 'includes/under_hosts.php';
ob_start();
?>
<script type="text/javascript" src="scripts/Ajaxer.js"></script>
<script type="text/javascript" src="scripts/modem-tracker.js"></script>
<script type="text/javascript" src="scripts/ip-tracker.js"></script>
<script type="text/javascript" src="scripts/strict-input-tracker.js"></script>
<script type="text/javascript">
<?if(!$doc->page->contents['hosts']->brief){?>
var ipTracker = new IpTracker('hts');
var tracker = new ModemTracker('hts');
StrictInputTracker(document.forms['hts'].elements['mac'], /.*/, /[\-;\.]/g, ":");
<?}?>
StrictInputTracker(document.forms['g_hts'].elements['hts_mac_filter'], /.*/, /[\-;\.]/g, ":");
</script>
<?
$doc->page->contents['all'] = ob_get_clean();
echo $doc->Paint();
?>