<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:16 $
$Revision: 1.9 $
*/
include_once('includes/global.php');

$doc->title .= ' :: '.getResource('hosts.firewall.title');

required_access('hosts');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'host':	lookup('host');
	case 'rule':	lookup('rule');
}

$hmenu = new PNamedMenu($nil,BOOT.'hosts_firewall/menu.php');
$doc->page->contents['firewall_menu'] = $hmenu;
switch($hmenu->selected){
	case 'fi':
		$hosts_firewall = new PTable($db,BOOT.'hosts_firewall/table.php');
		$hosts_firewall->readonly = !$oper->system_access['hosts'];
		addCityPolicy($hosts_firewall, 'c.city');
		
		$doc->page->contents['hosts_firewall'] = new PMyAccess($hosts_firewall,array(
			'title'=>getResource('hosts.firewall.title'),
			'help'=>HELP_PATH.'//Firewall',
			'icon'=>HREF.'images/hosts.gif',
			'grid_boot'=>BOOT.'hosts_firewall/grid.php',
			'form_boot'=>BOOT.'hosts_firewall/form.php',
		));
		break;
	case 'sch':
		loadStrings(BOOT.'block_schedule/strings.txt');
		$block_schedule = new PTable($db, BOOT.'block_schedules/table.php');
		$block_schedule->readonly = !$oper->system_access['hosts'];
		addCityPolicy($block_schedule, 'c.city');
		$doc->page->contents['block_schedule'] =  new PMyAccess($block_schedule, array(
			'title'=>getResource('block.schedule.title'),
			'icon'=>HREF.'images/switcher-time.png',
			'grid_boot'=>BOOT.'block_schedules/grid.php',
			'form_boot'=>BOOT.'block_schedules/form.php',
		));
		if(!$doc->page->contents['block_schedule']->brief){
		ob_start();
		?>
		<script>
			var f = $("form[name=bschs]");
		
			$("select[name=type]", f).change(function(){
				$("input[name='date[year]']", f).closest("tr").toggle(this.value=='1');
				$("input[name='day_bits[1]']", f).closest("tr").toggle(this.value!='1');
			}).change();

		</script>
		<?
		}
		$doc->page->contents['js'] .= ob_get_clean();
		break;
}
echo $doc->Paint();
?>