<?

//$db->debug = 1;

loadStrings(BOOT.'client_info/drweb/strings.txt');

function getDrWebTypes(){
	$types = loadRecords("SELECT t.id, t.name, ct.price from drweb_types t left join charge_types ct on ct.id=t.charge_type where actual order by ct.price");
	$arr = array();
	foreach($types as $type){
		$arr[$type['id']] = $type['name'].' ('.frmt_3_2($type['price']/100).' )';
	}
	return $arr;
}

class DrwebForm extends PForm {
	function Process(){
		global $db, $action_logger, $client, $beans, $personal_period;
		if($drweb_type = loadRecord(sprintf("SELECT * FROM drweb_types WHERE id='%s'", addslashes($this->fields['type']->value)))){
			if($drweb_type['actual']){
				$charge_type = loadRecord(sprintf("SELECT * FROM charge_types WHERE id='%s'", $drweb_type['charge_type']));
				if(isEnoughFundsForRes($client['id'], $charge_type['resource_type'], $charge_type['price'])){
//				if($charge_type['price'] <= $client['deposit2']){
					$db->Begin();
					$db->Execute(sprintf("INSERT INTO charge_subscriptions (type, client, amount) VALUES ('%s', '%s', 1)", $charge_type['id'], $client['id']));
					$sid = $db->getJustInserted('charge_subscriptions', 'id');
					$msg['id'] = $sid;
					$msg['type'] =   $charge_type['name'];
					$msg['client'] = $client['name'];
					$action_logger->log_inserted('charge_subscriptions', $sid, $msg);
					$user = $client['login'];
					$arr = 1;
					for($i=1; $arr; $i++){
						$user = $client['login'].'-'.$i;
						$arr = loadRecord(sprintf("SELECT id FROM drweb_subscriptions WHERE drweb_user='%s'", $user));
					}
					$db->Execute(sprintf("INSERT INTO drweb_subscriptions (subscription, drweb_type, drweb_user) VALUES ('%s', '%s', '%s')", 
						$sid, $drweb_type['id'], $user));
					$driver = $beans->getBean($charge_type['driver']);
					if($driver->startDrweb($user, $drweb_type['group_name'], ($personal_period['state']==1 ? $personal_period['period_end'] : time() + 60*60*24*30))){
						$ru = addSlitResourceUse($client['id'], $charge_type['resource_type'], $charge_type['account'], $charge_type['unit_size'], $charge_type['price'], 1);
						//$ru = addResourceUse($client['id'], $charge_type['resource_type'], $charge_type['unit_size'], $charge_type['price'], $client['account'], $charge_type['account'], 1);
						$db->Commit();
					}else{
						$db->Rollback();
						return getResource('clientroom.drweb.error');
					}
				}else{
					return sprintf(getResource("clientroom.drweb.low.deposit", $drweb_type['name'], $charge_type['price']/100));
				}
			}
		}
	}
}

function frmt_unsubscribe($val, $rec){
	$link = _href_change(array('drweb_unsub'=>$rec['id']));
	return sprintf('<a href="%s" onclick="return confirm(\'%s\')">%s</a>', $link, sprintf(getResource('clientroom.drweb.unsub.confirm'), $rec['drweb_type_name']), getResource('clientroom.drweb.unsubscribe'));
}

function frmt_download($val, $rec){
	global $beans;
	if($beans->hasBean($rec['driver'])){
		$driver = $beans->getBean($rec['driver']);
		$link = $driver->getUrl($rec['drweb_user']);
		if($link){
			return sprintf('<a href="%s" >%s</a>', $link, getResource('clientroom.drweb.download'));
		}
	}
}

if(isset($_GET['drweb_unsub'])){
	if($drweb_sub = loadRecord(sprintf("SELECT * FROM drweb_subscriptions WHERE id='%s'", addslashes($_GET['drweb_unsub'])))){
		if($sub = loadRecord(sprintf("SELECT id, type FROM charge_subscriptions WHERE id='%s' AND client='%s'", $drweb_sub['subscription'], $client['id']))){
			$type = loadRecord("SELECT name FROM charge_types WHERE id='".$sub['id']."'");
			$db->Execute(sprintf("DELETE FROM charge_subscriptions WHERE id='%s'", $sub['id']));
			$msg['id'] = $sub['id'];
			$msg['type'] =   $type['name'];
			$msg['client'] = $client['name'];
			$action_logger->log_deleted('charge_subscriptions', $sub['id'], $msg);
			header("Location:"._URI(array('drweb_unsub')));
			exit;
		}
	}
}

$drweb_subs = new PTable($db,BOOT.'client_info/drweb/table.php');
$doc->page->contents['drweb_subs'] = new PMyAccess($drweb_subs,array(
	'title'=>getResource('clientroom.drweb.title'),
	'icon'=>HREF.'images/drweb.gif',
	'grid_boot'=>BOOT.'client_info/drweb/grid.php',
));
$doc->page->contents['drweb_form'] = new DrwebForm($nil,BOOT.'client_info/drweb/form.php');

$drweb_types = loadRecords("SELECT t.*, ct.price, ct.resource_type FROM drweb_types t LEFT JOIN charge_types ct ON ct.id=t.charge_type WHERE t.actual");
ob_start();
?>
<script language="Javascript">
var t;
var dtypes = new Object();
<?foreach($drweb_types as $type){?>
t = new Object();
t.enough = <?=isEnoughFundsForRes($client['id'], $type['resource_type'], $type['price']) ? 'true' : 'false'?>;
t.name = "<?=$type['name']?>";
t.price = <?=$type['price']?>;
t.desc = "<?=$type['description']?>";
dtypes[<?=$type['id']?>] = t;
<?}?>

function showDesc(){
	var t = dtypes[selType.value];
	if(t){
		document.getElementById("drweb_type_comment").innerHTML = t.desc;
	}else{
		document.getElementById("drweb_type_comment").innerHTML = '<?=getResource('clientroom.drweb.types.prompt')?>';
	}
}

var selType = document.forms['drweb_form'].elements['type'];
selType.onchange = showDesc;

function DrwebValidator(name){
	if(CommonFormCheck(name)){
		var frm = document.forms[name];
		var dt = frm.type.value;
		var type = dtypes[dt];
		if(!type.enough){
			alert(sprintf('<?=getResource('clientroom.drweb.low.deposit')?>', type.name, type.price/100));
			return false;
		}else{
			return confirm(sprintf('<?=getResource('clientroom.drweb.confirm.1')?>', type.name, type.price/100) + "\n" + '<?=getResource('clientroom.drweb.confirm.2')?>');
		}
	}else{
		return false;
	}
}
</script>
<?
$doc->page->contents['drweb_validator'] = ob_get_clean();
?>
