<?
include_once('includes/global.php');
loadStrings(BOOT.'calendar/jobs_extras/strings.txt');
loadStrings(BOOT.'jobs/strings.txt');
include_once('classes/cells/HighlightCellRenderer.php');
include_once('classes/period.php');

$doc->title .= ' :: '.getResource('jet.title');

required_access('jobs_extras');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'job':	lookup('job');
}

$ticket_cell = new HighlightCellRenderer('ticket_state', array('2'=>'green_lighted'));

include(BOOT.'period/form.php');
$obj['nick'] = 'jexp';
$obj['active'] = 0;
$period = new PPeriod($nil, $obj);
$period->commented = false;

$je = new PTable($db,BOOT.'jobs_extras/table.php');
$je->readonly = !$oper->system_access['jobs_extras'];
addCityPolicy($je, 'j.city');

if($period->active){
	if($from = $period->getFrom()){
		$je->filters['from'] = sprintf("j.date >= '%s'", $from);
	}
	if($to = $period->getTo()){
		$je->filters['to'] = sprintf("j.date <= '%s'", $to);
	}
}

$doc->page->contents['je'] = new PMyAccess($je, array(
	'title'=>getResource('jet.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/jobs.gif',
	'grid_boot'=>BOOT.'jobs_extras/grid.php',
	'form_boot'=>BOOT.'jobs_extras/form.php',
	'tool'=>$period,
));
echo $doc->Paint();
?>
