<?
include_once(dirname(__FILE__).'/../object.php');
header("Content-Type: text/javascript; charset=".getResource('pe6yc.charset'));
?>

function IframeSelect(inputId, viewId, buttonId, filterId, iframeId, src, readonly){
	this.selfTriggered = false;
	this.loaded = false
	this.input = document.getElementById(inputId);
	this.input.select = this;
	if(readonly){
		this.input.disabled = 1;
	}
	this.filter = document.getElementById(filterId);
	this.filter.select = this;
	this.prevFilter = this.filter.value;
	if(readonly){
		this.filter.style.display = 'none';
	}else{
		this.filter.onkeyup = function(){
			var sel = this.select;
			if(sel.prevFilter!=this.value){
				sel.prevFilter = this.value;
				sel.loaded = false;
				sel.loadFirst();
			}
		}
	}
	
	this.loadFirst = function(){
		var query = this.src + "&find=" + encodeURIComponent(this.filter.value) + "&first=1" + "&id=" + this.input.value;
		var ajaxRequest;
		if (window.XMLHttpRequest) {
			ajaxRequest = new XMLHttpRequest(); //Not IE
		} else if(window.ActiveXObject) {
			ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP"); //IE
		}
		ajaxRequest.select = this;
		ajaxRequest.onreadystatechange = function (){
			if(this.readyState == 4){
				this.select.handleFirst(this.responseText);
			}
		}
		ajaxRequest.open("GET", query, true);
		ajaxRequest.send(null);
	}
	
	this.view = document.getElementById(viewId);
	this.view.select = this;
	if(readonly){
		this.view.parentNode.parentNode.parentNode.className = '';
	}else{
		this.view.onclick = function(){
			this.select.selfTriggered = true;
			this.select.toggleList();
		}
	}
	
	this.button = document.getElementById(buttonId);
	this.button.select = this;
	if(readonly){
		this.button.style.display = 'none';
	}else{
		this.button.onclick = function(){
			this.select.selfTriggered = true;
			this.select.toggleList();
		}
	}
	
	this.src = src;

	this.iframe = document.getElementById(iframeId);
	
	this.handleFirst = function(text){
		var pair = text.split("|");
		if(pair.length==2){
			this.setSelected(pair[0], pair[1]);
		}else{
			this.setSelected('', '&nbsp;');
		}
	}
	
	this.release = function(){
		if(this.selfTriggered){
			this.selfTriggered = false;
		}else{
			this.closeList();
		}
	}

	this.toggleList = function(){
		if(!this.isOpened()){
			this.openList();
		}else{
			this.closeList();
		}
	}
	
	this.isOpened = function(){
		return this.iframe.style.visibility == "visible";
	}
	
	this.closeList = function(){
		this.iframe.style.visibility = "hidden";
	}

	this.openList = function(){
		if(!this.loaded){
			this.iframe.src = this.src + "&find=" + encodeURIComponent(this.filter.value) + "&id=" + this.input.value;
			this.loaded = true;
		}
		this.iframe.style.visibility = "visible";
		this.iframe.focus();
	}
	
	this.setSelected = function(id, html){
		this.input.value = id;
		if(this.input.onchange){
			this.input.onchange();
		}
		if(this.onchange){
			this.onchange();
		}
		this.view.innerHTML = html;
		this.closeList();
	}

	document.release.push(this);
}