<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/12/23 09:08:50 $
$Revision: 1.2 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
include_once('functions/uses.php');
loadStrings(BOOT.'/connection_types/strings.txt');

$doc->title .= ' :: '.getResource('stat.connection.types.title');

required_access('connection_types');
//$db->debug = 1;

$period = new PPeriod($nil,BOOT.'period/form.php');

prepare_ip_use_data($period);

$db->Execute("CREATE TEMPORARY TABLE stats_resource_uses (
	resource_use INT UNSIGNED NOT NULL,
	connection_type INT UNSIGNED NOT NULL,
	bytes	BIGINT UNSIGNED NOT NULL,
	cost	BIGINT UNSIGNED NOT NULL,
	KEY (resource_use),
	KEY (connection_type)) ENGINE=Memory");
insertSelectOverFile('stats_resource_uses', "-- INSERT INTO stats_resource_uses (resource_use, connection_type, bytes, cost)
	SELECT ru.id, pp.connection_type, sum(l.bytes) bytes, floor(sum(l.bytes) * IF(ru.dst IS NULL, 0, ru.price) / ru.unit_size) cost
	FROM ip_use_data l
	LEFT JOIN ip_uses iu ON iu.id=l.ip_use
	LEFT JOIN personal_period_resource_uses ppru ON ppru.id=iu.personal_period_resource_use
	LEFT JOIN personal_periods pp ON pp.id=ppru.personal_period
	LEFT JOIN resource_uses ru ON ru.id=ppru.resource_use
	LEFT JOIN clients c ON c.id=ru.client
	".($oper->city_mode ? "WHERE c.city IN (SELECT city FROM operators_cities WHERE operator='$oper->id' )" : "")."
	GROUP BY ru.id, pp.connection_type");

$db->Execute("CREATE TEMPORARY TABLE stats_connection_types (
	id		INT UNSIGNED NOT NULL PRIMARY KEY,
	bytes	BIGINT UNSIGNED NOT NULL,
	cost	BIGINT UNSIGNED NOT NULL) ENGINE=Memory");

$where = $oper->department ? sprintf("WHERE c.department='%s'",$oper->department) : "";
insertSelectOverFile('stats_connection_types', sprintf("-- INSERT INTO stats_connection_types (id, bytes, cost)
	SELECT s.connection_type,  sum(s.bytes), sum(s.cost)
	FROM stats_resource_uses s
	LEFT JOIN resource_uses ru ON ru.id=s.resource_use
	LEFT JOIN clients c ON c.id=ru.client
	%s GROUP BY s.connection_type", $where));

$stats_connection_types = new PTable($db,BOOT.'stats_connection_types/table.php');
$doc->page->contents['stats_connection_types'] = new PMyAccess($stats_connection_types,array(
	'title'=> getResource('stat.connection.types.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/hpro.gif',
	'grid_boot'=>BOOT.'stats_connection_types/grid.php',
	'tool'=>$period,
));
echo $doc->Paint();
?>
