<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/12/23 09:08:50 $
$Revision: 1.20 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
include_once('functions/uses.php');

$doc->title .= ' :: '.getResource('stat.resources.title');

required_access('connection_types');
//$db->debug = 1;

$period = new PPeriod($nil,BOOT.'period/form.php');

prepare_ip_use_data($period);

$db->Execute("CREATE TEMPORARY TABLE stats_resource_uses (
	id		INT UNSIGNED NOT NULL PRIMARY KEY,
	bytes	BIGINT UNSIGNED NOT NULL,
	cost	BIGINT UNSIGNED NOT NULL) ENGINE=Memory");

insertSelectOverFile('stats_resource_uses', "-- INSERT INTO stats_resource_uses (id, bytes, cost)
	SELECT ru.id, sum(l.bytes) bytes, floor(sum(l.bytes) * IF(ru.dst IS NULL, 0, ru.price) / ru.unit_size) cost
	FROM ip_use_data l
	LEFT JOIN ip_uses iu ON iu.id=l.ip_use
	LEFT JOIN personal_period_resource_uses ppru ON ppru.id=iu.personal_period_resource_use
	LEFT JOIN resource_uses ru ON ru.id=ppru.resource_use
	LEFT JOIN clients c ON c.id=ru.client
	".($oper->city_mode ? "WHERE c.city IN (SELECT city FROM operators_cities WHERE operator='$oper->id' )" : "")."
	GROUP BY ru.id");

$where = $oper->department ? sprintf("WHERE c.department='%s'",$oper->department) : "";
$db->Execute("CREATE TEMPORARY TABLE stats_resources (
	resource_type	INT UNSIGNED NOT NULL,
	price			BIGINT UNSIGNED NOT NULL,
	unit_size		BIGINT UNSIGNED NOT NULL,
	bytes			BIGINT UNSIGNED NOT NULL,
	cost			BIGINT UNSIGNED NOT NULL,
	INDEX (resource_type)) ENGINE=Memory");
insertSelectOverFile('stats_resources', sprintf("-- INSERT INTO stats_resources (resource_type, price, unit_size, bytes, cost)
	SELECT ru.resource_type, ru.price, ru.unit_size, sum(s.bytes), sum(s.cost)
	FROM stats_resource_uses s
	LEFT JOIN resource_uses ru ON ru.id=s.id
	LEFT JOIN clients c ON c.id=ru.client
	%s GROUP BY ru.resource_type, ru.price, ru.unit_size", $where));

$stats_resources = new PTable($db,BOOT.'stats_resources/table.php');
$doc->page->contents['stats_resources'] = new PMyAccess($stats_resources, array(
	'title'=>getResource('stat.resources.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/resource_uses.gif',
	'grid_boot'=>BOOT.'stats_resources/grid.php',
));
$doc->page->contents['period'] = $period;
echo $doc->Paint();
?>
