<?php

/**
 * @author tregub
 * @copyright 2010
 */

include_once('includes/global.php');

loadStrings(BOOT.'tech_zones_graph_day/strings.txt');

include_once('includes/lookups.php');

$doc->title .= ' :: ' . getResource('tech_zones_graph.title');

function obrabotka($table){
	global $db, $oper;
	$new = $table->new_record;
	if($new['tech_zone_time'] < 0){
		$id = abs($new['tech_zone_time']);
		$query = $db->Execute("SELECT id FROM tech_zone_times WHERE tech_zone =  '$id'");
		$values;
		while($rezult = $db->Next($query)){
			$stamp = create_stamp();
			$values .= "('".$new['city']."', '" . $new['person'] . "','" . $new['day'] . "','" . $rezult['id'] . "','$stamp'),";
		}
		$values = substr($values, 0, strlen($values) - 1);
		$db->Execute("INSERT IGNORE INTO tech_zones_graph_template (city, `person`,`day`,`tech_zone_time`,`stamp`) VALUES $values");
		$table->abort = 1;
	}
}

function skip_city($table){
	unset($table->new_record['city']);
}

required_access('jobs');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'worker':	lookup('worker', $_GET['city'] ? array('s.city='.addslashes($_GET['city'])) : array());
	case 'tzt':	lookup('tzt', $_GET['city'] ? array('x.city='.addslashes($_GET['city'])) : array());
}

$menu = new PNamedMenu($nil,BOOT.'tech_zones_graph_day/menu.php');
$doc->page->contents['_menu'] = $menu;
//$db->debug = 1;

$tech_zones_graph = new PTable($db,BOOT.'tech_zones_graph_day/table.php');
$tech_zones_graph->readonly = !$oper->system_access['jobs'];
addCityPolicy($tech_zones_graph, 'tzg.city');

if($menu->selected && $menu->selected != 0){
	$tech_zones_graph->filters['day'] = "`day` = $menu->selected";
}

switch($_GET['lookup']){
	case 'operator':	lookup('operator');
}

$doc->page->contents['tech_zones_graph'] = new PMyAccess($tech_zones_graph,array(
	'title'=>getResource('tech_zones_graph.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/streets.gif',
	'grid_boot'=>forceCity(BOOT.'tech_zones_graph_day/grid.php'),
	'form_boot'=>forceCity(BOOT.'tech_zones_graph_day/form.php'),
));

if(!$doc->page->contents['tech_zones_graph']->brief){
ob_start();
?>
<script>

var f = $("form[name=<?=$tech_zones_graph->nick?>]");
$("[name=city]", f).change(function(){
	lookup_worker.src = '?lookup=worker&target=lookup_worker&city=' + this.value;
	lookup_worker.loaded = false;
	lookup_worker.loadFirst();

	lookup_tzt.src = '?lookup=tzt&target=lookup_tzt&city=' + this.value;
	lookup_tzt.loaded = false;
	lookup_tzt.loadFirst();
}).change();

</script>
<?
$doc->page->contents['hjs'] .= ob_get_clean();
}

$time = time();
$DayNum = date("w");
$StartDate = 0;

if($DayNum != 1){
	$StartDate = $time - 86400 * (($DayNum - 1));
}else{
	$StartDate = $time;
}
$range = array();
$time = $StartDate;
for($i = 0; $i < 4; $i++){
	$re = strftime ("%d %b", $time);
	$be = strftime ("%d %b", $time + 86400 * 6);
	$range[$time] = " $re  $be";
	$time += 86400 * 7;
}

class ExportForm extends PForm {
	public function Process() {
		global $db, $oper;
		//$db->debug = 1;
		if($this->fields['range']->value != ""){
			$time = $this->fields['range']->value;
			$db->Begin();
			for($i = 0; $i < 7; $i++){
				$rez = $db->Execute(sprintf("SELECT \"%s\", tech_zone_time, stamp, person, city
					FROM tech_zones_graph_template 
					WHERE city='%s' AND `day` = %s", date("Y-m-d 00:00:00", $time + 86400 * $i), $this->fields['city']->value, $i + 1));
				while($rezult = $db->NextObj($rez)){
					$stamp = create_stamp();
					$db->Execute(sprintf("INSERT IGNORE INTO `tech_zones_graph` (`date`,`tech_zone_time`,`stamp`,`person`, city)
 						VALUES ('%s',%s,%s,%s,%s)",
						date("Y-m-d 00:00:00", $time + 86400 * $i), $rezult->tech_zone_time, $stamp, $rezult->person, $rezult->city ? $rezult->city : 'null'
					));
				}
			}
			$db->End();
		}
	}
}

if(!$tech_zones_graph->readonly){
    $doc->page->contents['firewall_title'] = '<br><img src="'.HREF.'/images/calendar_periods.gif" align="middle" vspace="6"><span class="access_head">   </span>';
    $export_form = new ExportForm($nil, forceCity(BOOT.'/tech_zones_graph_day/export-form.php'));
    $doc->page->contents['export_form'] = $export_form;
}

echo $doc->Paint();
?>