<?
error_reporting(E_ALL);
ini_set('include_path', DIRNAME(__FILE__). '/../');


include("classes/tools/Processor.php");
include("classes/tools/IO.php");

$processor = new Processor();

class PHPClient {

var $commands = array(
	'echo "asd";',
	'$a = 10;',
	'echo $a/0;',
	'exit;',
);
var $i = 0;
var $command = '';

function onStdout($line){
	echo $line;
	if(strstr($line, 'php >')){
		if($this->i >= count($this->commands)){
			$this->command = "exit;\n";
		}else{
			$this->command = $this->commands[$this->i++]."\n";
		}
	}
}

function onStderr($line){
	echo 'stderr: '.$line;
}

function nextCommand(){
	echo $this->command;
	$result = $this->command;
	$this->command = '';
	return $result;
}

}

class GrepClient {

var $lines = array(
	'123456789',
	'asdasdasd',
	'zxczxc123dfg',
);
var $counter = 0;

function nextLine(){
	if(isset($this->lines[$this->counter])){
		return $this->lines[$this->counter++]."\n";
	}else{
		return -1;
	}
}

function onStdout($line){
	
	echo $line;
}

function onStderr($line){
	echo 'stderr: ['.$line."]\n";
}

}

$client = new GrepClient();

$processor->process('grep 123',
	new CallbackReader(array($client, 'nextLine')),
	new CallbackWriter(array($client, 'onStdout')),
	new CallbackWriter(array($client, 'onStderr'))
);

?>