<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
include('functions/accounts.php');
loadStrings(BOOT.'bonuses/strings.txt');

$doc->title .= ' :: '.getResource('bonuses.title');

required_access('bonuses');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'client':	lookup('client');
}

class AddBonusForm extends PForm {
	function Process(){
		global $db, $oper;
		$fields = $this->fields;
		$db->Begin();
		$a_type = loadRecord("SELECT * FROM account_types WHERE id='".addslashes($fields['account_type']->value)."'");
		if(!$a_type){
			return 'wrong account type';
		}
		$now = mktime();
		$query = loadRecord(sprintf("SELECT body FROM queries WHERE id='%s'", $fields['query']->value));
		$query = $query['body'];
		$res = $db->Execute(sprintf("SELECT q.id, b.account FROM (%s) q LEFT JOIN bonus_accounts b ON b.client=q.id AND b.account_type='%s'", $query, $a_type['id']));
		while($arr = $db->Next($res)){
			if(!$arr['account']){
				$client = $db->Next($db->Execute(sprintf("SELECT last_name, first_name, login FROM clients WHERE id='%s'", $arr['id'])));
				$db->Execute(sprintf("INSERT INTO accounts (type, name) VALUES ('B', '%s')",
					addslashes($client['last_name'].' '.$client['first_name'].' ('.$client['login'].') - '.$a_type['name'])
				));
				$acc = $db->getJustInserted('accounts', 'id');
				$db->Execute(sprintf("INSERT INTO stamps (created, created_by) VALUES (FROM_UNIXTIME(%s), %s)", $now, $oper->id));
				$stamp = $db->getJustInserted('stamps', 'id');
				$db->Execute(sprintf("
					INSERT INTO bonus_accounts (account, client, account_type, actual_from, actual_to, lost_dst, stamp) 
					VALUES (%s, %s, %s, %s, %s, %s, %s)",
					$acc,
					$arr['id'],
					$a_type['id'],
					$fields['actual_from']->value ? "'".$fields['actual_from']->value."'" : 'NULL',
					$fields['actual_to']->value ? "'".$fields['actual_to']->value."'" : 'NULL',
					$fields['lost_dst']->value ? $fields['lost_dst']->value : 'NULL',
					$stamp
				));
				$arr['account'] = $acc;
			}
			move($fields['src']->value, $arr['account'], $fields['amount']->value);
		}
		if($db->hasErrors()){
			$db->Rollback();
			return implode("<br>", $db->errors);
		}else{
			$db->Commit();
		}
	}
}

//$db->debug = 1;

$bonuses = new PTable($db,BOOT.'bonuses/table.php');
$bonuses->readonly = !$oper->system_access['bonuses'];
addCityPolicy($bonuses, 'c.city');

$doc->page->contents['bonuses'] = new PMyAccess($bonuses,array(
	'title'=>getResource('bonuses.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/bonuses.gif',
	'grid_boot'=>BOOT.'bonuses/grid.php',
	'form_boot'=>BOOT.'bonuses/form.php',
));


$doc->page->contents['move_icon'] = '<br><img src="'.HREF.'/images/master.gif" align="middle" vspace="6" hspace="6"><span class="access_head">'.getResource('bonuses.wizard.title').'</span>';
$doc->page->contents['add_form'] = new AddBonusForm($nil, BOOT.'bonuses/add-form.php');
echo $doc->Paint();
?>
