<?
$obj = array(
	'name'=>'asterisk_trunks',
	'nick'=>'sts',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'before_street_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'asterisk_trunks s
	LEFT JOIN stamps st ON st.id=s.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'s.id',
		),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'s.name',
		),
		'type'=>array(
			'selector'=>'s.type',
			'log_by'=>'type_name',
		),
		'type_name'=>array(
			'selector'=>'CASE s.type
				WHEN 1 THEN "'.getResource('asterisk.trunks.type.1').'"
				WHEN 2 THEN "'.getResource('asterisk.trunks.type.2').'"
				WHEN 3 THEN "'.getResource('asterisk.trunks.type.3').'"
				ELSE "" END',
		),
		'gsm_number'=>array(
			'selector'=>'s.gsm_number',
		),
		'gsm_prefix'=>array(
			'selector'=>'s.gsm_prefix',
		),
		'gsm_trunk'=>array(
			'selector'=>'s.gsm_trunk',
		),
		'gsm_ussd_query'=>array(
			'selector'=>'s.gsm_ussd_query',
		),
		'notes'=>array(
			'selector'=>'s.notes',
		),
		'stamp'=>array(
			'selector'=>'s.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>