<?
include dirname(__FILE__).'/scope.php';

$configurer = 'remote.configurer';

$beans = array(
	'classLoader'=>array(
		'class'=>'FileClassLoader',
		'properties'=>array(
			'root'=>'classes',
			'registry'=>array(
				'/.+/'=>'accounting/$0.php',
			),
		),
	),

	'none.accounting.driver'=>array(
		'class'=>'NoneAccountingDriver',
	),

    'iptNames'=>array(
        'class'=>'IptNames',
    ),

    'ipSetBuildHelper'=>array(
        'class'=>'IpSetBuildHelper',
        'properties'=>array(
            'remotesPort'=>'2202',
        ),
    ),

	'rule.driver.world-host'=>array(
		'class'=>'SplitAccountingDriverAlt',
		'properties'=>array(
			'drivers'=>array(
				array(
					'driver:ref'=>'nas01.rule.driver.world-host',
					'scope'=>$scope['nas01'],
				),
				array(
					'driver:ref'=>'nas02.rule.driver.world-host',
					'scope'=>$scope['nas02'],
				),
			),
		),
	),

	'rule.driver.host-world'=>array(
		'class'=>'SplitAccountingDriverAlt',
		'properties'=>array(
			'drivers'=>array(
				array(
					'driver:ref'=>'nas01.rule.driver.host-world',
					'scope'=>$scope['nas01'],
				),
				array(
					'driver:ref'=>'nas02.rule.driver.host-world',
					'scope'=>$scope['nas02'],
				),
			),
		),
	),

);
?>