<?
$obj = array(
	'name'=>'charge_subscriptions',
	'nick'=>'sus',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'charge_subscriptions cs
	LEFT JOIN charge_types ct ON ct.id=cs.type
	LEFT JOIN clients c ON c.id=cs.client
	LEFT JOIN stamps st ON st.id=cs.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'cs.id',
		),
		'client'=>array(
			'selector'=>'cs.client',
			'desc'=>1,
			'log_by'=>'client_name',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'type'=>array(
			'selector'=>'cs.type',
			'desc'=>1,
			'log_by'=>'type_name',
		),
		'type_name'=>array(
			'bin'=>1,
			'selector'=>'ct.name',
		),
		'amount'=>array(
			'bin'=>1,
			'selector'=>'cs.amount',
		),
		'stamp'=>array(
			'selector'=>'cs.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>