<?
$obj = array(
	'fields'=>array(
		'name'=>array(
			'title'=>getResource('charge.types.name'),
			'required'=>1,
		),
		'resource_type'=>array(
			'title'=>getResource('charge.types.resource.type'),
			'required'=>1,
			'control'=>'select',
			'list'=>'getResourceTypes',
			'link'=>'resource_types.php?id=[resource_type]',
		),
		'unit_size'=>array(
			'title'=>getResource('charge.types.unit.size'),
			'required'=>1,
			'control'=>'short',
			'positive'=>1,
			'default'=>1,
		),
		'price'=>array(
			'title'=>getResource('charge.types.price'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'positive'=>1,
			'default'=>0,
		),
		'account'=>array(
			'title'=>getResource('charge.types.account'),
			'required'=>1,
			'control'=>'select',
			'list'=>'getSystemDstAccounts',
			'link'=>'system_accounts.php?id=[account]',
		),
		'driver'=>array(
			'title'=>getResource('charge.types.driver'),
			'comment'=>getResource('charge.types.driver.comment'),
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('charge.types.created'),
		),
		'created_name'=>array(
			'title'=>getResource('charge.types.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('charge.types.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('charge.types.modified.by'),
			'readonly'=>1,
		),
	),
);
?>