<?
$obj = array(
	'name'=>'charge_subscriptions',
	'nick'=>'sus',
	'readonly'=>1,
	'masters'=>array(
		'clients'=>array(
			'table'=>$GLOBALS['clients'],
			'on'=>'id',
			'by'=>'client',
		),
	),
	'source'=>'charge_subscriptions cs
	LEFT JOIN charge_types ct ON ct.id=cs.type
	LEFT JOIN resource_types rt ON rt.id=ct.resource_type',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'cs.id',
		),
		'client'=>array(
			'selector'=>'cs.client',
			'desc'=>1,
		),
		'type'=>array(
			'selector'=>'cs.type',
		),
		'resource_type'=>array(
			'selector'=>'ct.resource_type',
		),
		'resource_type_name'=>array(
			'bin'=>1,
			'selector'=>'rt.name',
		),
		'amount'=>array(
			'bin'=>1,
			'selector'=>'cs.amount',
		),
		'cost'=>array(
			'selector'=>'floor(cs.amount * ct.price/ ct.unit_size) / 100',
		),
	),
);
?>