<?
$obj = array(
	'name'=>'credits',
	'nick'=>'cdts',
	'masters'=>array(
		'clients'=>array(
			'table'=>$GLOBALS['clients'],
			'on'=>'id',
			'by'=>'client',
		),
	),
	'source'=>'credits cd',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'cd.id',
		),
		'client'=>array(
			'selector'=>'cd.client',
		),
		'active'=>array(
			'selector'=>'IF((actual_from IS NULL || now()>=actual_from) AND (actual_to IS NULL || now() < actual_to), "#", "")',
		),
		'amount'=>array(
			'selector'=>'cd.amount',
			'desc'=>1,
		),
		'amount_cur'=>array(
			'selector'=>'cd.amount/100',
			'desc'=>1,
			'aggregate'=>'sum',
		),
		'actual_from'=>array(
			'selector'=>'cd.actual_from',
			'nullable'=>1,
		),
		'actual_to'=>array(
			'selector'=>'cd.actual_to',
			'nullable'=>1,
		),
	),
);
?>