<?
$obj = array(
	'name'=>'client_visits',
	'nick'=>'cns',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'client_visits cn
	LEFT JOIN client_visits_reasons r ON r.id=cn.reason
	LEFT JOIN clients c ON cn.client = c.id
	LEFT JOIN cities ci ON ci.id=cn.city
	LEFT JOIN stamps st ON st.id=cn.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'selector'=>'cn.id',
			'key'=>1,
		),
		'city'=>array(
			'selector'=>'cn.city',
			'title'=>getResource('client.visits.city'),
		),
		'city_name'=>array(
			'selector'=>'ci.name',
			'title'=>getResource('client.visits.city'),
		),
		'client'=>array(
			'title'=>getResource('client.visits.client'),
			'selector'=>'cn.client',
			'log_by'=>'client_name',
			'nullable'=>1,
		),
		'client_name'=>array(
			'desc'=>1,
			'title'=>getResource('client.visits.client'),
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login, ")")',
		),
		'reason'=>array(
			'title'=>getResource('client.visits.reason'),
			'selector'=>'cn.reason',
			'log_by'=>'reason_name',
			'nullable'=>1,
		),
		'reason_name'=>array(
			'title'=>getResource('client.visits.type'),
			'selector'=>'r.name',
		),
		'notes'=>array(
			'title'=>getResource('client.visits.notes'),
			'selector'=>'cn.notes',
			'nullable'=>1,
		),
		'date'=>array(
			'title'=>getResource('client.visits.date'),
			'selector'=>'cn.date',
			'nullable'=>1,
		),
		'stamp'=>array(
			'selector'=>'cn.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
			'title'=>getResource('client.visits.created'),
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
			'title'=>getResource('client.visits.created.by'),
		),
		'modified'=>array(
			'selector'=>'st.modified',
			'title'=>getResource('client.visits.modified'),
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
			'title'=>getResource('client.visits.modified.by'),
		),
	),
);
$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>