<?
$obj = array(
	'name'=>'coil_items',
	'nick'=>'ci',
        'masters'=>array(
		'coil_supplies'=>array(
			'table'=>$GLOBALS['coil_supplies'],
			'on'=>'id',
			'by'=>'supply',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_config_post, before_stamped_post',
	'AfterInsert'=>'after_logged_insert, set_item_city',
	'AfterPost'=>'after_config_post, after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'coil_items c
	LEFT JOIN coil_uses u ON u.id=c.used_by
	LEFT JOIN staff s ON s.id=u.person
	LEFT JOIN stamps st ON st.id=c.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'c.id',
		),
                'supply' => array(
                    'selector' => 'c.supply',

                ),
		'code'=>array(
			'selector'=>'c.code',
		),
		'state'=>array(
			'selector'=>'c.state',
		),
		'length'=>array(
			'selector'=>'c.length',
			'aggregate'=>'sum',
		),
		'cable_type'=>array(
			'selector'=>'c.cable_type',
			'log_by'=>'cable_type_n',
		),
  'cable_type_n' => array(

                    'selector'=>'case
				when c.cable_type=1 then "'.getResource('cs.cable_type.1').'"
				when c.cable_type=2 then "'.getResource('cs.cable_type.2').'"
				when c.cable_type=4 then "'.getResource('cs.cable_type.4').'"
				else "" end',

                ),
                'rest'=>array(
			'selector'=>'c.rest',
			'aggregate'=>'sum',
		),

		'used_by'=>array(
			'selector'=>'c.used_by',
			'log_by'=>'used_by_name',
		),
		'used_by_name'=>array(
			'selector'=>'s.name',
		),
		'stamp'=>array(
			'selector'=>'c.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>