<?
$obj = array(
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('cs.city'),
			'required'=>1,
			'link'=>'cities.php?id=[city]',
			'control'=>'select',
			'list'=>'getCities',
			'skip_finder'=>1,
		),
		'date'=>array(
			'title'=>getResource('cs.date'),
			'control' => 'date',
			'with_time'=>1,
			'required'=>1,
			'default'=>date("Y-m-d H:i:s"),
		),
		'code_from'=>array(
			'title'=>getResource('cs.code.from'),
			'control' => 'short',
			'required'=>1,
		),
		'amount'=>array(
			'title'=>getResource('cs.amount'),
			'control' => 'short',
			'required'=>1,
		),
		'tech_zone'=>array(
			'title'=>getResource('cs.tech_zone'),
			'required'=>1,
			'control'=>'lookup',
			'source'=>'?lookup=tz',
			'default'=>1,
			'id'=>'lookup_tz',
		),
		'cable_type'=>array(
			'title'=>getResource('cs.cable_type'),
			'required'=>1,
			'control' => 'select',
			'list' => array(
				'1'=>getResource('cs.cable_type.1'),
				'2'=>getResource('cs.cable_type.2'),
				'4'=>getResource('cs.cable_type.4'),
			),
		),
		'length'=>array(
			'title'=>getResource('cs.length'),
			'control' => 'short',
			'required'=>1,
		),
        'created'=>array(
			'readonly'=>1,
			'title'=>getResource('cs.created'),
		),
		'created_name'=>array(
			'title'=>getResource('cs.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('cs.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('cs.modified.by'),
			'readonly'=>1,
		),
	),
);
?>