<?
$obj = array(
	'name'=>'coil_uses_details',
	'nick'=>'c',
	'masters'=>array(
		'houses'=>array(
		'table'=>$GLOBALS['client_expenses'],
		'on'=>'id',
		'by'=>'expense',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_config_post, before_stamped_post',
	'AfterInsert'=>'after_logged_insert, recalc_coil_use_detail',
	'AfterPost'=>'after_config_post, after_logged_post, recalc_coil_use_detail',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete, recalc_coil_use_detail',
	'source'=>'coil_uses_details c
    LEFT JOIN coil_uses cu ON cu.id=c.coil_use
    LEFT JOIN coil_items ci ON ci.id=cu.item
    LEFT JOIN coil_supplies cs ON cs.id=ci.supply
	LEFT JOIN stamps st ON st.id=c.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'c.id',
		),
		'coil_use'=>array(
			'selector'=>'c.coil_use',
		),
		'coil_use_name' => array(
			'selector' => 'ci.code',
		),
		'expense'=>array(
			'selector'=>'c.expense',
		),
		'cable'=>array(
			'selector'=>'c.cable',
			'aggregate'=>'sum',
		),
		'cable_in'=>array(
			'selector'=>'c.cable_in',
			'aggregate'=>'sum',
		),
		'cable_out'=>array(
			'selector'=>'c.cable - c.cable_in',
			'aggregate'=>'sum',
		),
		
		'cable_type_name'=>array(
			'selector'=>'cs.cable_type',
		),
		
		'cable_type_name_f'=>array(
			'selector'=>'case
				when cs.cable_type=1 then "'.getResource('cs.cable_type.1').'"
				when cs.cable_type=2 then "'.getResource('cs.cable_type.2').'"
				when cs.cable_type=4 then "'.getResource('cs.cable_type.4').'"
				else "" end',
		),

		'stamp'=>array(
			'selector'=>'c.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);

?>