<?
$obj = array(
	'name'=>'dhcp_templates',
	'nick'=>'dhcp',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'',
	'AfterInsert'=>'after_logged_insert, RemakeDHCPAll',
	'AfterPost'=>'after_logged_post, RemakeDHCPAll',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete, RemakeDHCPAll',
	'source'=>'dhcp_templates d
	LEFT JOIN domains m ON m.id=d.domain
	LEFT JOIN stamps st ON st.id=d.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'d.id',
		),
		'subnet'=>array(
			'selector'=>'d.subnet',
			'desc'=>1,
		),
		'mask'=>array(
			'selector'=>'d.mask',
			'desc'=>1,
		),
		'gate'=>array(
			'selector'=>'d.gate',
		),
		'broadcast'=>array(
			'selector'=>'d.broadcast',
		),
		'name_server'=>array(
			'selector'=>'d.name_server',
			'nullable'=>1,
		),
		'domain'=>array(
			'selector'=>'d.domain',
			'nullable'=>1,
			'log_by'=>'domain_name',
		),
		'domain_name'=>array(
			'selector'=>'m.name',
		),
		'notes'=>array(
			'selector'=>'d.notes',
		),
		'stamp'=>array(
			'selector'=>'d.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>