<?
$obj = array(
	'name'=>'drweb_types',
	'nick'=>'drts',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'drweb_types s
	LEFT JOIN charge_types ct ON ct.id=s.charge_type
	LEFT JOIN stamps st ON st.id=s.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'s.id',
		),
		'name'=>array(
			'desc'=>1,
			'selector'=>'s.name',
		),
		'group_name'=>array(
			'selector'=>'s.group_name',
		),
		'charge_type'=>array(
			'selector'=>'s.charge_type',
			'log_by'=>'charge_type_name',
		),
		'charge_type_name'=>array(
			'selector'=>'ct.name',
		),
		'actual'=>array(
			'selector'=>'s.actual',
		),
		'actual_sign'=>array(
			'selector'=>'IF(s.actual, "+", "-")',
		),
		'description'=>array(
			'selector'=>'s.description',
		),
		'stamp'=>array(
			'selector'=>'s.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>