<?
$obj = array(
	'fields'=>array(
		'id'=>array(
			'title'=>getResource('exp_complaints.id'),
			'readonly'=>1,
		),
		'city'=>array(
			'title'=>getResource('exp_complaints.city'),
			'link'=>'cities.php?id=[city]',
			'required'=>1,
			'control'=>'select',
			'list'=>'getCities',
			'skip_finder'=>1,
		),
		'house'=>array(
			'title'=>getResource('exp_complaints.house'),
			'required'=>1,
			'link'=>'houses.php?id=[house]',
			'control'=>'lookup',
			'label'=>'[house_name]',
			'source'=>'?lookup=house',
			'id'=>'lookup_house',
			'comment'=>'[admin_district_name], [district_name]',
		),
		'entrance'=>array(
			'title'=>getResource('exp_complaints.entrance'),
			'control'=>'short',
		),
		'floor'=>array(
			'title'=>getResource('exp_complaints.floor'),
			'control'=>'short',
		),
		'apartment'=>array(
			'title'=>getResource('exp_complaints.apartment'),
			'control'=>'short',
		),
		'name'=>array(
			'title'=>getResource('exp_complaints.name'),
		),
		'phone'=>array(
			'title'=>getResource('exp_complaints.phone'),
		),
		'state'=>array(
			'title'=>getResource('exp_complaints.state'),
			'control'=>'select',
			'default'=>3,
			'skip_finder'=>1,
			'list'=>array(
				'1'=>getResource('exp_complaints.state.1'),
				'2'=>getResource('exp_complaints.state.2'),
				'3'=>getResource('exp_complaints.state.3'),
			),
		),
		'executor'=>array(
			'title'=>getResource('exp_complaints.executor'),
			'link'=>'exp_executors.php?id=[executor]',
			'control'=>'lookup',
			'label'=>'[executor_name]',
			'source'=>'?lookup=executor',
			'id'=>'lookup_executor',
		),
		'reason'=>array(
			'title'=>getResource('exp_complaints.reason'),
			'control'=>'textarea',
			'height'=>8,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('exp_complaints.created'),
		),
		'created_name'=>array(
			'title'=>getResource('exp_complaints.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('exp_complaints.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('exp_complaints.modified.by'),
			'readonly'=>1,
		),
	),
);
?>