<?
$obj = array(
	'name'=>'exp_executors_staff',
	'nick'=>'exes',
	'masters'=>array(
		'points'=>array(
			'table'=>$GLOBALS['exp_executors'],
			'on'=>'id',
			'by'=>'executor',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'exp_executors_staff s
	LEFT JOIN staff m ON m.id=s.member
	LEFT JOIN stamps st ON st.id=s.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'s.id',
		),
		'executor'=>array(
			'selector'=>'s.executor',
		),
		'member'=>array(
			'selector'=>'s.member',
		),
		'member_name'=>array(
			'desc'=>1,
			'selector'=>'m.name',
		),
		'member_phone'=>array(
			'selector'=>'m.phone',
		),
		'member_mobile'=>array(
			'selector'=>'m.mobile',
		),
		'member_status'=>array(
			'selector'=>'m.status',
		),
		'member_status_name'=>array(
			'selector'=>'case m.status
				when 1 then "'.getResource('staff.status.1').'"
				when 2 then "'.getResource('staff.status.2').'"
				when 3 then "'.getResource('staff.status.3').'"
				when 4 then "'.getResource('staff.status.4').'"
				when 5 then "'.getResource('staff.status.5').'"
				else "" end',
		),
		'role'=>array(
			'selector'=>'s.role',
		),
		'notes'=>array(
			'selector'=>'s.notes',
		),
		'stamp'=>array(
			'selector'=>'s.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>