<?
$obj = array(
	'fields'=>array(
		'name'=>array(
			'title'=>getResource('exp.tasks.name'),
			'required'=>1,
		),
		'state'=>array(
			'title'=>getResource('exp.tasks.state'),
			'control'=>'select',
			'required'=>1,
			'default'=>3,
			'skip_finder'=>1,
			'list'=>array(
				'1'=>getResource('exp.tasks.state.1'),
				'2'=>getResource('exp.tasks.state.2'),
				'3'=>getResource('exp.tasks.state.3'),
			),
		),
		'priority'=>array(
			'title'=>getResource('exp.tasks.priority'),
			'required'=>1,
			'control'=>'select',
			'default'=>1,
			'skip_finder'=>1,
			'list'=>array(
				'1'=>getResource('exp.tasks.priority.1'),
				'2'=>getResource('exp.tasks.priority.2'),
				'3'=>getResource('exp.tasks.priority.3'),
			),
		),
		'begin_date'=>array(
			'title'=>getResource('exp.tasks.begin'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
			'required'=>1,
		),
		'end_date'=>array(
			'title'=>getResource('exp.tasks.end'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
			'required'=>1,
		),
		'description'=>array(
			'title'=>getResource('exp.tasks.description'),
			'control'=>'textarea',
			'height'=>6,
		),
		'current_state'=>array(
			'title'=>getResource('exp.tasks.current.state'),
			'control'=>'textarea',
			'height'=>3,
		),
		'discharge'=>array(
			'title'=>getResource('exp.tasks.discharge'),
			'control'=>'textarea',
			'height'=>3,
		),
		'file1'=>array(
			'title'=>getResource('exp.tasks.file'),
			'comment'=>showTaskFileLink(),
			'control'=>'file',
			'size'=>42,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('exp.tasks.created'),
		),
		'created_name'=>array(
			'title'=>getResource('exp.tasks.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('exp.tasks.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('exp.tasks.modified.by'),
			'readonly'=>1,
		),
	),
);
?>