<?
$obj = array(
	'name'=>'exp_movements_details',
	'nick'=>'exmvw',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post,',
	'AfterInsert'=>'after_logged_insert,update_storages',
	'AfterPost'=>'after_logged_post,update_storages',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete,update_storages',
	'source'=>'exp_movements_details dt
	LEFT JOIN exp_movements m ON m.id=dt.movement
	LEFT JOIN exp_materials em ON em.id = dt.material
	LEFT JOIN exp_storage_places s ON s.id=m.src
	LEFT JOIN exp_storage_places d ON d.id=m.dst
	LEFT JOIN stamps st ON st.id=dt.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'dt.id',
		),
		'movement'=> array(
			'selector'=>'dt.movement',
		),
		'date'=> array(
			'selector'=>'m.date',
		),
		'name'=>array(
			'selector'=>'em.name',
		),
		'uid'=>array(
			'selector'=>'em.code',
		),
		'unit'=>array(
			'selector'=>'em.unit',
			'log_by'=>'unit_name',
		),
		'material' => array(
			'selector' => 'dt.material',
			'log_by'=>'name',
		),
		'unit_name'=>array(
			'selector'=>'case em.unit
				when 1 then "'.getResource('exp.materials.unit.1').'"
				when 2 then "'.getResource('exp.materials.unit.2').'"
				when 3 then "'.getResource('exp.materials.unit.3').'"
				when 4 then "'.getResource('exp.materials.unit.4').'"
				else "" end',
		),
		'src'=>array(
			'selector'=>'m.src',
		),
		'src_name'=>array(
			'selector'=>'s.name',
		),
		'dst'=>array(
			'selector'=>'m.dst',
		),
		'dst_name'=>array(
			'selector'=>'d.name',
		),
		'amount'=>array(
			'selector'=>'dt.amount',
			'aggregate'=>'sum',
		),
		'src_rest'=>array(
			'selector'=>'dt.src_rest',
			'aggregate'=>'sum',
		),
		'dst_rest'=>array(
			'selector'=>'dt.dst_rest',
			'aggregate'=>'sum',
		),
		'notes'=>array(
			'selector'=>'m.notes',
		),
		'stamp'=>array(
			'selector'=>'dt.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>