<?
$obj = array(
	'name'=>'exp_storages',
	'nick'=>'es',
        'masters'=>array(
		'points'=>array(
			'table'=>$GLOBALS['exp_storage_places'],
			'on'=>'id',
			'by'=>'place',
		),
	),
        'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'exp_storages es
            LEFT JOIN `exp_materials` as em ON em.id = es.material
            LEFT JOIN stamps st ON st.id=es.stamp
            LEFT JOIN operators cr ON cr.id = st.created_by
            LEFT JOIN staff crs ON crs.id=cr.person
            LEFT JOIN operators md ON md.id = st.modified_by
            LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'es.id',
		),

		'material'=>array(
			'selector'=>'es.material',
		),


                'material_name' => array(
                        'selector'=> 'em.name',

                ),

                'code'=>array(
			'selector'=>'em.code',
		),

                'name'=>array(
			'selector'=>'em.name',
		),

                'type'=>array(
			'selector'=>'em.unit',
		),

                'unit_name'=>array(
			'selector'=>'case em.unit
				when 1 then "'.getResource('exp.materials.unit.1').'"
				when 2 then "'.getResource('exp.materials.unit.2').'"
				when 3 then "'.getResource('exp.materials.unit.3').'"
				when 4 then "'.getResource('exp.materials.unit.4').'"
				else "" end',
		),

                'amount'=>array(
			'selector'=>'es.amount',
		),

                'place'=>array(
			'selector'=>'es.place',
		),

                'stamp'=>array(
			'selector'=>'es.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),

	),
);
?>