<?

/**
 * @author tregub
 * @copyright 2010
 */

$obj = array(
	'name'=>'groups',
	'nick'=>'hms',
	'BeforeInsert'=>'before_homedir_insert, before_stamped_insert',
	'BeforePost'=>'before_homedir_post, before_stamped_post',
	'AfterInsert'=>'after_homedir_insert, after_logged_insert',
	'AfterPost'=>'after_homedir_post, after_logged_post',
	'AfterDelete'=>'after_homedir_delete, after_stamped_delete, after_logged_delete',
	'source'=>'groups g

	LEFT JOIN stamps st ON st.id=g.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'g.id',
		),

		'name'=>array(
			'selector'=>'g.name',
		),
		
		'stamp'=>array(
			'selector'=>'g.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>