<?
$obj = array(
	'id'=>'id',
	'menu'=>array(
		'PrintById'=>getResource('grid.print'),
	),
	'mode'=>'default',
	'modes'=>array(
		'default'=>getResource('hosts.view.default'),
		'locations'=>getResource('hosts.view.locations'),
	),
	'hint_format'=>'SafeForTitle',
	'hint' => "[ip] ([name].[domain_name])\n[mac]\n\n[modem_name] ([port])\n[client_name]",
	'columns'=>array(
		'countable'=>array(
			'title'=>'$',
			'comment'=>getResource('hosts.countable'),
			'list'=>array(
				'0'=>'',
				'1'=>'&times;',
			),
			'width'=>'3em',
			'align'=>'center',
			'filterable'=>0,
		),
		'ip'=>array(
			'title'=>getResource('hosts.ip'),
			'navigator'=>1,
			'cell_renderer'=>$GLOBALS['name_cell'],
			'count'=>1,
			'footer_prefix'=>getResource('hosts.count').' ',
		),
		'mac'=>array(
			'title'=>getResource('hosts.mac'),
			'cell_renderer'=>$GLOBALS['name_cell'],
		),
		/*
		'vendor_name'=>array(
			'title'=>getResource('hosts.vendor'),
			'link'=>'mac_vendors.php?id=[vendor]',
		),
		*/
		'client_name'=>array(
			'title'=>getResource('hosts.client'),
			'link'=>'clients.php?id=[client]',
		),
		'modem_name'=>array(
			'title'=>getResource('hosts.modem'),
			'link'=>'modems.php?id=[modem]',
		),
		'modem_state_sign'=>array(
			'title'=>getResource('hosts.modem.state'),
			'modes'=>'default',
			'align'=>'center',
			'cell_renderer'=>$GLOBALS['state_cell'],
		),
		'modem_ip'=>array(
			'title'=>getResource('hosts.modem.ip'),
			'link'=>'modems.php?id=[modem]',
		),
		'port'=>array(
			'title'=>getResource('hosts.port'),
			'align'=>'right',
			'width'=>'4em',
		),
		'vlan'=>array(
			'title'=>getResource('hosts.vlan'),
			'align'=>'right',
			'width'=>'4em',
		),
		'name'=>array(
			'title'=>getResource('hosts.name'),
			'modes'=>'default',
		),
		'domain_name'=>array(
			'title'=>getResource('hosts.domain'),
			'link'=>'domains.php?id=[domain]',
			'modes'=>'default',
		),
		'city_name'=>array(
			'title'=>getResource('clients.city'),
			'link'=>'cities.php?id=[city]',
			'modes'=>'locations',
		),
		'street_name'=>array(
			'title'=>getResource('clients.street'),
			'link'=>'streets.php?id=[street]',
			'modes'=>'locations',
		),
		'house'=>array(
			'title'=>getResource('clients.house'),
			'align'=>'right',
			'width'=>'4em',
			'modes'=>'locations',
		),
		'entrance'=>array(
			'title'=>getResource('clients.grid.entrance'),
			'align'=>'right',
			'width'=>'4em',
			'modes'=>'locations',
		),
		'floor'=>array(
			'title'=>getResource('clients.grid.floor'),
			'align'=>'right',
			'width'=>'4em',
			'modes'=>'locations',
		),
		'apartment'=>array(
			'title'=>getResource('clients.grid.apartment'),
			'align'=>'right',
			'width'=>'4em',
			'modes'=>'locations',
		),
	),
	'aux_count'=>2,
	'aux_filters'=>array(
		'countable'=>getResource('hosts.countable'),
		'ip'=>getResource('hosts.ip'),
		'mac'=>getResource('hosts.mac'),
		'vendor_name'=>getResource('hosts.vendor'),
		'name'=>getResource('hosts.name'),
//		'login'=>getResource('hosts.login'),
//		'password'=>getResource('hosts.password'),
		'notes'=>getResource('hosts.notes'),
		'modem_name'=>getResource('hosts.modem'),
		'modem_ip'=>getResource('hosts.modem.ip'),
		'port'=>getResource('hosts.port'),
		'vlan'=>getResource('hosts.vlan'),
		'1'=>'--',
		'pair_a_status_name'=>getResource('hosts.pair.a.status'),
		'pair_b_status_name'=>getResource('hosts.pair.b.status'),
		'pair_a_distance'=>getResource('hosts.pair.a.distance'),
		'pair_b_distance'=>getResource('hosts.pair.b.distance'),
		'2'=>'--',
		'created'=>getResource('hosts.created'),
		'created_name'=>getResource('hosts.created.by'),
		'modified'=>getResource('hosts.modified'),
		'modified_name'=>getResource('hosts.modified.by'),
		'3'=>'--',
		'client_name'=>getResource('hosts.client'),
		'client_login'=>getResource('clients.login'),
		'department_name'=>getResource('clients.department'),
		'street_name'=>getResource('clients.street'),
		'house'=>getResource('clients.house'),
		'entrance'=>getResource('clients.entrance'),
		'floor'=>getResource('clients.floor'),
		'apartment'=>getResource('clients.apartment'),
	),
);
?>