<?
$obj = array(
	'name'=>'ip_uses',
	'nick'=>'ipus',
	'fields'=>array(
		'id'=>array('key'=>1),
		'resource_use'=>array(),
		'host'=>array('desc'=>1),
		'host_ip'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_alias'=>'h',
			'look_as'=>'host',
			'look_in'=>'hosts',
			'look_by'=>'id',
			'look_on'=>'ip',
		),
		'rule'=>array('desc'=>1),
		'rule_name'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_alias'=>'r',
			'look_as'=>'rule',
			'look_in'=>'rules',
			'look_by'=>'id',
			'look_on'=>'name',
		),
		'client'=>array(
			'desc'=>1,
			'kind'=>'lookup',
			'look_as'=>'resource_use',
			'look_in'=>'resource_uses',
			'look_by'=>'id',
			'look_on'=>'client',
		),
		'client_name'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_alias'=>'c',
			'look_from'=>'resource_uses',
			'look_as'=>'client',
			'look_in'=>'clients',
			'look_by'=>'id',
			'look_on'=>'last_name,first_name',
		),
		'bytes'=>array(),
		'price'=>array(
			'kind'=>'lookup',
			'look_as'=>'resource_use',
			'look_in'=>'resource_uses',
			'look_by'=>'id',
			'look_on'=>'price',
		),
		'src'=>array(
			'kind'=>'lookup',
			'look_as'=>'resource_use',
			'look_in'=>'resource_uses',
			'look_by'=>'id',
			'look_on'=>'src',
		),
		'src_name'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_from'=>'resource_uses',
			'look_as'=>'src',
			'look_in'=>'src_names',
			'look_by'=>'id',
			'look_on'=>'name',
		),
		'src_type'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_from'=>'resource_uses',
			'look_as'=>'src',
			'look_in'=>'src_names',
			'look_by'=>'id',
			'look_on'=>'type',
		),
		'src_link'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_from'=>'resource_uses',
			'look_as'=>'src',
			'look_in'=>'src_names',
			'look_by'=>'id',
			'look_on'=>'link',
		),
		'dst'=>array(
			'kind'=>'lookup',
			'look_as'=>'resource_use',
			'look_in'=>'resource_uses',
			'look_by'=>'id',
			'look_on'=>'src',
		),
		'dst_name'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_from'=>'resource_uses',
			'look_as'=>'dst',
			'look_in'=>'dst_names',
			'look_by'=>'id',
			'look_on'=>'name',
		),
		'dst_type'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_from'=>'resource_uses',
			'look_as'=>'dst',
			'look_in'=>'dst_names',
			'look_by'=>'id',
			'look_on'=>'type',
		),
		'dst_link'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_from'=>'resource_uses',
			'look_as'=>'dst',
			'look_in'=>'dst_names',
			'look_by'=>'id',
			'look_on'=>'link',
		),	
	),
);
?>