<?
$obj = array(
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('ivr.autoreply.tv.city'),
			'link'=>'cities.php?id=[city]',
			'control'=>'select',
			'list'=>'getCities',
			'required'=>1,
		),
		'tv_node'=>array(
			'title'=>getResource('ivr.autoreply.tv.node'),
			'required'=>1,
			'link'=>'tv_nodes.php?id=[tv_node]',
			'control'=>'lookup',
			'label'=>'[tv_node_name]',
			'source'=>'?lookup=tv_node',
			'id'=>'lookup_tv_node',
		),
		'message'=>array(
			'title'=>getResource('ivr.autoreply.tv.message'),
			'required'=>1,
			'link'=>'ivr_messages.php?id=[message]',
			'control'=>'lookup',
			'label'=>'[message_name]',
			'source'=>'?lookup=message',
			'id'=>'lookup_message',
		),
		'scope'=>array(
			'title'=>getResource('ivr.autoreply.tv.scope'),
			'control'=>'radio',
			'list'=>array(
				'0'=>getResource('ivr.autoreply.tv.scope.0'),
				'1'=>getResource('ivr.autoreply.tv.scope.1'),
			),
		),
		'actual_from'=>array(
			'title'=>getResource('ivr.autoreply.tv.actual.from'),
			'control'=>'date',
			'with_time'=>1,
		),
		'actual_to'=>array(
			'title'=>getResource('ivr.autoreply.tv.actual.to'),
			'control'=>'date',
			'with_time'=>1,
		),
		'notes'=>array(
			'title'=>getResource('ivr.autoreply.tv.notes'),
			'control'=>'textarea',
			'height'=>8,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('ivr.autoreply.tv.created'),
		),
		'created_name'=>array(
			'title'=>getResource('ivr.autoreply.tv.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('ivr.autoreply.tv.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('ivr.autoreply.tv.modified.by'),
			'readonly'=>1,
		),
	),
);
?>