<?
$obj = array(
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('ivr.messages.city'),
			'link'=>'cities.php?id=[city]',
			'control'=>'select',
			'list'=>'getCities',
			'required'=>1,
		),
		'name'=>array(
			'title'=>getResource('ivr.messages.name'),
			'required'=>1,
		),
		'filename'=>array(
			'title'=>getResource('ivr.messages.filename'),
			'required'=>1,
		),
		'number'=>array(
			'title'=>getResource('ivr.messages.number'),
			'comment'=>getResource('ivr.messages.number.comment'),
			'control'=>'short',
		),
		'notes'=>array(
			'title'=>getResource('ivr.messages.notes'),
			'control'=>'textarea',
			'height'=>8,
		),
		'actual'=>array(
			'title'=>getResource('ivr.messages.actual'),
			'control' => 'bitset',
			'default'=>3,
			'list'=>array(
				'1'=>getResource('ivr.messages.actual.1'),
				'2'=>getResource('ivr.messages.actual.2'),
			),
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('ivr.messages.created'),
		),
		'created_name'=>array(
			'title'=>getResource('ivr.messages.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('ivr.messages.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('ivr.messages.modified.by'),
			'readonly'=>1,
		),
	),
);
?>