<?
$obj = array(
	'name'=>'jpt_stats',
	'nick'=>'jptst',
	'source'=>'jpt_stats st
	LEFT JOIN job_problem_types jpt ON jpt.id=st.problem_type
	LEFT JOIN cities ci ON ci.id=st.city
	LEFT JOIN jpt_totals jto ON jto.city=st.city AND jto.date=st.date',
	'fields'=>array(
		'id'=>array(
			'selector'=>'st.id',
			'key'=>1,
		),
		'city'=>array(
			'selector'=>'st.city',
		),
		'city_name'=>array(
			'selector'=>'ci.name',
		),
		'date'=>array(
			'selector'=>'st.date',
		),
		'problem_type'=>array(
			'selector'=>'st.problem_type',
		),
		'problem_type_name'=>array(
			'selector'=>'jpt.name',
		),
		'amount'=>array(
			'selector'=>'st.amount',
			'aggregate'=>'sum',
		),
		'percent'=>array(
			'selector'=>'ROUND(100*st.amount/jto.amount,2)',
		),
	),
);

?>