<?
$obj = array(
	'name'=>'offline_ports',
	'nick'=>'jops',
	'source'=>'offline_ports o
	LEFT JOIN modems m ON m.id = o.modem
	LEFT JOIN clients c ON c.id = o.client
	LEFT JOIN houses hs ON hs.id=c.house_id
	LEFT JOIN streets s ON hs.street = s.id
	LEFT JOIN hosts h ON h.modem=o.modem AND h.port=o.port',
	'fields'=>array(
		'modem'=>array(
			'key'=>1,
			'selector'=>'o.modem',
		),
		'client'=>array(
			'desc'=>1,
			'selector'=>'o.client',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'client_login'=>array(
			'selector'=>'c.login',
		),
		'client_department'=>array(
			'bin'=>1,
			'selector'=>'c.department',
		),
		'street'=>array(
			'selector'=>'hs.street',
		),
		'street_name'=>array(
			'bin'=>1,
			'selector'=>'s.name',
		),
		'house_id'=>array(
			'selector'=>'c.house_id',
		),
		'house'=>array(
			'selector'=>'hs.house',
		),
		'house_name'=>array(
			'selector'=>'CONCAT(s.name, " ", hs.house)',
		),
		'entrance'=>array(
			'selector'=>'c.entrance',
		),
		'floor'=>array(
			'selector'=>'c.floor',
		),
		'apartment'=>array(
			'selector'=>'c.apartment',
		),
		'modem_name'=>array(
			'bin'=>1,
			'selector'=>'m.name',
		),
		'modem_ip'=>array(
			'bin'=>1,
			'selector'=>'m.ip',
			'order_by'=>'INET_ATON(m.ip)',
		),
		'port'=>array(
			'selector'=>'o.port',
		),
		'date'=>array(
			'selector'=>'o.date',
		),
	),
	'filters'=>array(
		'nohost'=>'h.id IS NULL',
	),
);
?>