<?
$obj = array(
	'name'=>'koops',
	'nick'=>'kops',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert, after_koop_post',
	'AfterPost'=>'after_logged_post, after_koop_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete, after_koop_delete',
	'source'=>'koops k
	LEFT JOIN cities c ON c.id=k.city
	LEFT JOIN koop_pays p01 ON p01.koop=k.id AND DATE_FORMAT(p01.date, "%Y%m")=DATE_FORMAT(now(), "%Y01")
	LEFT JOIN koop_pays p02 ON p02.koop=k.id AND DATE_FORMAT(p02.date, "%Y%m")=DATE_FORMAT(now(), "%Y02")
	LEFT JOIN koop_pays p03 ON p03.koop=k.id AND DATE_FORMAT(p03.date, "%Y%m")=DATE_FORMAT(now(), "%Y03")
	LEFT JOIN koop_pays p04 ON p04.koop=k.id AND DATE_FORMAT(p04.date, "%Y%m")=DATE_FORMAT(now(), "%Y04")
	LEFT JOIN koop_pays p05 ON p05.koop=k.id AND DATE_FORMAT(p05.date, "%Y%m")=DATE_FORMAT(now(), "%Y05")
	LEFT JOIN koop_pays p06 ON p06.koop=k.id AND DATE_FORMAT(p06.date, "%Y%m")=DATE_FORMAT(now(), "%Y06")
	LEFT JOIN koop_pays p07 ON p07.koop=k.id AND DATE_FORMAT(p07.date, "%Y%m")=DATE_FORMAT(now(), "%Y07")
	LEFT JOIN koop_pays p08 ON p08.koop=k.id AND DATE_FORMAT(p08.date, "%Y%m")=DATE_FORMAT(now(), "%Y08")
	LEFT JOIN koop_pays p09 ON p09.koop=k.id AND DATE_FORMAT(p09.date, "%Y%m")=DATE_FORMAT(now(), "%Y09")
	LEFT JOIN koop_pays p10 ON p10.koop=k.id AND DATE_FORMAT(p10.date, "%Y%m")=DATE_FORMAT(now(), "%Y10")
	LEFT JOIN koop_pays p11 ON p11.koop=k.id AND DATE_FORMAT(p11.date, "%Y%m")=DATE_FORMAT(now(), "%Y11")
	LEFT JOIN koop_pays p12 ON p12.koop=k.id AND DATE_FORMAT(p12.date, "%Y%m")=DATE_FORMAT(now(), "%Y12")
	LEFT JOIN stamps st ON st.id=k.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'k.id',
		),
		'city'=>array(
			'selector'=>'k.city',
			'log_by'=>'city_name',
			'desc'=>1,
		),
		'city_name'=>array(
			'selector'=>'c.name',
		),
		'name'=>array(
			'desc'=>1,
			'selector'=>'k.name',
		),
		'contract'=>array(
			'selector'=>'k.contract',
			'nullable'=>1,
		),
		'contract_file'=>array(
			'selector'=>'k.contract_file',
			'nullable'=>1,
		),
		'type'=>array(
			'selector'=>'k.type',
			'log_by'=>'type_name',
		),
		'type_name'=>array(
			'selector'=>'case
				when k.type=0 then "'.getResource('koops.type.0').'"
				when k.type=-1 then "'.getResource('koops.type.-1').'"
				when k.type=1 then "'.getResource('koops.type.1').'"
				else "" end',
		),
		'pay_type'=>array(
			'selector'=>'k.pay_type',
			'log_by'=>'pay_type_name',
		),
		'pay_type_name'=>array(
			'selector'=>'case
				when k.pay_type=1 then "'.getResource('koops.pay.type.1').'"
				when k.pay_type=2 then "'.getResource('koops.pay.type.2').'"
				when k.pay_type=3 then "'.getResource('koops.pay.type.3').'"
				when k.pay_type=4 then "'.getResource('koops.pay.type.4').'"
				else "" end',
		),
		'pay_amount'=>array(
			'selector'=>'k.pay_amount',
			'log_by'=>'pay_amount_cur',
		),
		'pay_amount_cur'=>array(
			'selector'=>'k.pay_amount / 100',
		),
		'kuda'=>array(
			'selector'=>'k.kuda',
		),
		'commander'=>array(
			'selector'=>'k.commander',
			'nullable'=>1,
		),
		'commander_phone'=>array(
			'selector'=>'k.commander_phone',
			'nullable'=>1,
		),
		'commander_address'=>array(
			'selector'=>'k.commander_address',
			'nullable'=>1,
		),
		'accounter'=>array(
			'selector'=>'k.accounter',
			'nullable'=>1,
		),
		'accounter_phone'=>array(
			'selector'=>'k.accounter_phone',
			'nullable'=>1,
		),
		'props'=>array(
			'selector'=>'k.props',
			'nullable'=>1,
		),
		'notes'=>array(
			'selector'=>'k.notes',
			'nullable'=>1,
		),
		'p01_status'=>array(
			'selector'=>'case p01.status when 1 then "*" when 2 then "-" when 3 then "+" else "" end',
		),
		'p02_status'=>array(
			'selector'=>'case p02.status when 1 then "*" when 2 then "-" when 3 then "+" else "" end',
		),
		'p03_status'=>array(
			'selector'=>'case p03.status when 1 then "*" when 2 then "-" when 3 then "+" else "" end',
		),
		'p04_status'=>array(
			'selector'=>'case p04.status when 1 then "*" when 2 then "-" when 3 then "+" else "" end',
		),
		'p05_status'=>array(
			'selector'=>'case p05.status when 1 then "*" when 2 then "-" when 3 then "+" else "" end',
		),
		'p06_status'=>array(
			'selector'=>'case p06.status when 1 then "*" when 2 then "-" when 3 then "+" else "" end',
		),
		'p07_status'=>array(
			'selector'=>'case p07.status when 1 then "*" when 2 then "-" when 3 then "+" else "" end',
		),
		'p08_status'=>array(
			'selector'=>'case p08.status when 1 then "*" when 2 then "-" when 3 then "+" else "" end',
		),
		'p09_status'=>array(
			'selector'=>'case p09.status when 1 then "*" when 2 then "-" when 3 then "+" else "" end',
		),
		'p10_status'=>array(
			'selector'=>'case p10.status when 1 then "*" when 2 then "-" when 3 then "+" else "" end',
		),
		'p11_status'=>array(
			'selector'=>'case p11.status when 1 then "*" when 2 then "-" when 3 then "+" else "" end',
		),
		'p12_status'=>array(
			'selector'=>'case p12.status when 1 then "*" when 2 then "-" when 3 then "+" else "" end',
		),
		'stamp'=>array(
			'selector'=>'k.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>