<?
$obj = array(
	'name'=>'kpreos',
	'nick'=>'kprs',
	'BeforeInsert'=>'before_stamped_insert, check_kpreo_city',
	'BeforePost'=>'before_stamped_post, check_kpreo_city',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'kpreos k
	LEFT JOIN cities c ON c.id=k.city
	LEFT JOIN streets s ON s.id=k.street
	LEFT JOIN stamps st ON st.id=k.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'k.id',
		),
		'city'=>array(
			'selector'=>'k.city',
			'log_by'=>'city_name',
			'desc'=>1,
		),
		'city_name'=>array(
			'selector'=>'c.name',
		),
		'number'=>array(
			'desc'=>1,
			'selector'=>'k.number',
		),
		'street'=>array(
			'selector'=>'k.street',
			'nullable'=>1,
			'log_by'=>'street_name',
		),
		'street_name'=>array(
			'selector'=>'s.name',
		),
		'house'=>array(
			'selector'=>'k.house',
		),
		'type'=>array(
			'selector'=>'k.type',
			'log_by'=>'type_name',
		),
		'type_name'=>array(
			'selector'=>'case
				when k.type=0 then "'.getResource('kpreos.type.0').'"
				when k.type=-1 then "'.getResource('kpreos.type.-1').'"
				when k.type=1 then "'.getResource('kpreos.type.1').'"
				else "" end',
		),
		'dispatcher_phone'=>array(
			'selector'=>'k.dispatcher_phone',
			'nullable'=>1,
		),
		'commander'=>array(
			'selector'=>'k.commander',
			'nullable'=>1,
		),
		'commander_phone'=>array(
			'selector'=>'k.commander_phone',
			'nullable'=>1,
		),
		'chief_engineer'=>array(
			'selector'=>'k.chief_engineer',
			'nullable'=>1,
		),
		'chief_engineer_phone'=>array(
			'selector'=>'k.chief_engineer_phone',
			'nullable'=>1,
		),
		'xman'=>array(
			'selector'=>'k.xman',
			'nullable'=>1,
		),
		'xman_phone'=>array(
			'selector'=>'k.xman_phone',
			'nullable'=>1,
		),
		'notes'=>array(
			'selector'=>'k.notes',
			'nullable'=>1,
		),
		'stamp'=>array(
			'selector'=>'k.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>