<?
$obj = array(
	'name'=>'mail_lists',
	'nick'=>'mls',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'BuildMailLists, after_logged_insert',
	'AfterPost'=>'BuildMailLists, after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'mail_lists l
	LEFT JOIN queries q ON q.id = l.query
	LEFT JOIN stamps st ON st.id=l.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'l.id',
		),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'l.name',
		),
		'file'=>array(),
		'list_pattern'=>array(),
		'element_pattern'=>array(),
		'query'=>array(
			'nullable'=>1,
			'log_by'=>'query_name',
		),
		'query_name'=>array(
			'bin'=>1,
			'selector'=>'q.name',
		),
		'stamp'=>array(
			'selector'=>'l.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>