<?
$obj = array(
	'nick'=>'mnoit',
	'name'=>'menu_operator_items',
	'masters'=>array(
		'boxes'=>array(
			'table'=>$GLOBALS['boxes'],
			'on'=>'id',
			'by'=>'menu_box',
		),
	),
	'source'=>'menu_operator_items moi
		LEFT JOIN menu_items mi ON mi.id=moi.menu_item
		LEFT JOIN system_entities se ON se.id=mi.access_by
		LEFT JOIN operators_access oa ON oa.operator="'.$GLOBALS['oper']->id.'" AND oa.entity=se.id
		LEFT JOIN groups_access ga ON ga.group_id="'.$GLOBALS['oper']->group_id.'" AND ga.entity=se.id
		',
	'fields'=>array(
		'id'=>array(
			'selector'=>'moi.id',
			'key'=>1,
		),
		'menu_item'=>array(
			'selector'=>'moi.menu_item',
		),
		'menu_box'=>array(
			'selector'=>'moi.menu_box',
		),
		'title'=>array(
			'selector'=>'mi.title',
		),
		'link'=>array(
			'selector'=>'mi.link',
		),
		'order_num'=>array(
			'selector'=>'moi.order_num',
		),
		'custom_title'=>array(
			'selector'=>'moi.custom_title',
			'nullable'=>1,
		),
		'operator'=>array(
			'selector'=>'moi.operator',
			'auto_insert'=> $GLOBALS['oper']->id,
		),
	),
	'filters'=>array(
		'allowed'=>$GLOBALS['oper']->group_id ? '(mi.access_by IS NULL OR ga.access >= mi.access_level)' : '(mi.access_by IS NULL OR oa.access >= mi.access_level)',
	),
);
?>