<?
$obj = array(
	'name'=>'modems_models',
	'nick'=>'mms',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'modems_models mm
	LEFT JOIN stamps st ON st.id=mm.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'mm.id',
		),
		'name'=>array(
			'selector'=>'mm.name',
		),
		
		'file_firmware'=>array(
			'selector'=>'mm.file_firmware',
		),
		
		'file_loader'=>array(
			'selector'=>'mm.file_loader',
		),
		
		'file_diag'=>array(
			'selector'=>'mm.file_diag',
		),
		
		'model'=>array(
			'desc'=>1,
			'selector'=>'mm.model',
		),
		'firmware'=>array(
			'selector'=>'mm.firmware',
		),
		'loader'=>array(
			'selector'=>'mm.loader',
		),
		'diag'=>array(
			'selector'=>'mm.diag',
		),
		'notes'=>array(
			'selector'=>'mm.notes',
		),
		'stamp'=>array(
			'selector'=>'mm.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>