<?
$obj = array(
	'name'=>'networks',
	'nick'=>'dns',
	'BeforeInsert'=>'before_network_post,before_stamped_insert',
	'BeforePost'=>'before_network_post,before_stamped_post',
	'BeforeDelete'=>'before_network_delete',
	'AfterInsert'=>'after_network_post, after_logged_insert',
	'AfterPost'=>'after_network_post, after_logged_post',
	'AfterDelete'=>'after_network_delete,after_stamped_delete, after_logged_delete',
	'source'=>'networks n
	LEFT JOIN domains d ON d.id=n.domain
	LEFT JOIN stamps st ON st.id=n.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'n.id',
		),
		'ip'=>array(
			'desc'=>1,
		),
		'local'=>array(
			'selector'=>'n.local',
		),
		'local_sign'=>array(
			'selector'=>'IF(n.local, "+", "-")',
		),
		'filename'=>array(
			'bin'=>1,
			'selector'=>'n.filename',
		),
		'template'=>array(
			'selector'=>'n.template',
		),
		'host_template'=>array(
			'selector'=>'n.host_template',
		),
		'version'=>array(
			'selector'=>'n.version',
		),
		'domain'=>array(
			'selector'=>'n.domain',
			'nullable'=>1,
			'log_by'=>'domain_name',
		),
		'domain_name'=>array(
			'selector'=>'d.name',
		),
		'stamp'=>array(
			'selector'=>'n.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>