<?
$obj = array(
	'fields'=>array(
		'client'=>array(
			'title'=>getResource('nonstop24.client'),
			'link'=>'clients.php?id=[client]',
			'control'=>'lookup',
			'label'=>'[client_name]',
			'source'=>'?lookup=client',
		),
		'pay_id'=>array(
			'title'=>getResource('nonstop24.pay.id'),
			'required'=>1,
		),
		'receipt_num'=>array(
			'title'=>getResource('nonstop24.receipt.num'),
		),
		'trade_point'=>array(
			'title'=>getResource('nonstop24.trade.point'),
		),
		'amount'=>array(
			'title'=>getResource('nonstop24.sum'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'required'=>1,
		),
		'date'=>array(
			'title'=>getResource('nonstop24.date'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
			'required'=>1,
		),
		'movement'=>array(
			'title'=>getResource('nonstop24.movement'),
			'link'=>'movements.php?id=[movement]',
			'control'=>'lookup',
			'label'=>'[[movement_date]] [movement_amount_cur] -> [client_name]',
			'source'=>'?lookup=movement',
		),
	),
);
?>