<?
$obj = array(
	'fields'=>array(
		'name'=>array(
			'title'=>getResource('notifications.name'),
			'required'=>1,
		),
		'message'=>array(
			'title'=>getResource('notifications.message'),
			'required'=>1,
			'control'=>'textarea',
			'height'=>20,
			'width'=>80,
		),
		'city'=>array(
			'title'=>getResource('notifications.city'),
			'control'=>'select',
			'list'=>'getCities',
		),
		'section'=>array(
			'title'=>getResource('notifications.section'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('notifications.section.1'),
				'2'=>getResource('notifications.section.2'),
				'3'=>getResource('notifications.section.3'),
				'4'=>getResource('notifications.section.4'),
				'5'=>getResource('notifications.section.5'),
			),
		),
		'rank'=>array(
			'title'=>getResource('notifications.rank'),
			'control'=>'select',
			'list'=>'getRanks',
			'link'=>'ranks.php?id=[rank]',
		),
		'show_mode'=>array(
			'title'=>getResource('notifications.show.mode'),
			'control'=>'radio',
			'list'=>array(
				'0'=>getResource('notifications.show.mode.0'),
				'1'=>getResource('notifications.show.mode.1'),
			),
		),
		'show_begin'=>array(
			'title'=>getResource('notifications.show_begin'),
			'control'=>'date',
		),
		'show_end'=>array(
			'title'=>getResource('notifications.show_end'),
			'control'=>'date',
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('notifications.created'),
		),
		'created_name'=>array(
			'title'=>getResource('notifications.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('notifications.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('notifications.modified.by'),
			'readonly'=>1,
		),
	),
);
?>