<?
$obj = array(
	'name'=>'partners',
	'nick'=>'prts',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert,after_partner_post',
	'AfterPost'=>'after_logged_post,after_partner_post',
	'AfterDelete'=>'after_stamped_delete,after_logged_delete,after_partner_delete',
	'source'=>'partners w
	LEFT JOIN stamps st ON st.id=w.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'w.id',
		),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'w.name',
		),
		'duties'=>array(
			'selector'=>'w.duties',
		),
		'phone'=>array(
			'selector'=>'w.phone',
		),
		'mobile'=>array(
			'selector'=>'w.mobile',
		),
		'email'=>array(
			'selector'=>'w.email',
		),
		'company'=>array(
			'selector'=>'w.company',
		),
		'site'=>array(
			'selector'=>'w.site',
		),
		'status'=>array(
			'selector'=>'w.status',
			'log_by'=>'status_sign',
		),
		'status_sign'=>array(
			'selector'=>'if(w.status, "+", "-")',
		),
		'notes'=>array(
			'selector'=>'w.notes',
		),
		'photo_file'=>array(
			'selector'=>'w.photo_file',
		),
		'stamp'=>array(
			'selector'=>'w.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>