<?
$obj = array(
	'fields'=>array(
		'pos'=>array(
			'title'=>getResource('pays.import.pos'),
			'readonly'=>1,
		),
		'src'=>array(
			'title'=>getResource('pays.import.src'),
			'required'=>1,
			//'control'=>'select',
			//'list'=>'getSystemSrcAccounts',
			'control'=>'lookup',
			'label'=>'[src_name]',
			'source'=>'?lookup=src',
		),
		'dst'=>array(
			'title'=>getResource('pays.import.client'),
			'required'=>1,
			//'control'=>'select',
			//'list'=>'getClientAccountsWithContracts',
			'control'=>'lookup',
			'label'=>'[client_name]',
			'source'=>'?lookup=client',
		),
		'amount'=>array(
			'title'=>getResource('pays.import.amount'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'positive'=>1,
			'required'=>1,
		),
		'calendar_period'=>array(
			'title'=>getResource('pays.import.calendar.period'),
			'required'=>1,
			'control'=>'select',
			'list'=>'getCalendarPeriods',
			'default'=>getCurrentCalendarPeriod(),
			'skip_finder'=>1,
		),
		'date'=>array(
			'title'=>getResource('pays.import.date'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
			'required'=>1,
		),
		'note'=>array(
			'title'=>getResource('pays.import.note'),
			'control'=>'editor',
			'width'=>'25em',
			'height'=>'3',
		),
		'valid'=>array(
			'title'=>getResource('pays.import.valid'),
			'control'=>'checkbox',
		),
		'info'=>array(
			'title'=>getResource('pays.import.info'),
			'control'=>'textarea',
			'readonly'=>1,
		),
	),
);
?>