<?
$obj = array(
	'fields'=>array(
		'title'=>array(
			'required'=>1,
		),
		'priority'=>array(
			'title'=>getResource('polls.priority'),
			'control'=>'short',
			'default'=>0,
		),
		'city'=>array(
			'title'=>getResource('polls.city'),
			'control'=>'select',
			'list'=>'getCities',
			'link'=>'cities.php?id=[city]',
		),
		'query'=>array(
			'title'=>getResource('polls.query'),
			'control'=>'select',
			'list'=>'getQueries',
			'link'=>'queries.php?id=[query]',
		),
		'period_begin'=>array(
			'title'=>getResource('polls.period.begin'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
		),
		'period_end'=>array(
			'title'=>getResource('polls.period.end'),
			'control'=>'date',
			'with_time'=>1,
		),
		'body'=>array(
			'title'=>getResource('polls.body'),
			'control'=>'editor',
			'width'=>'40em',
			'height'=>8,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('polls.created'),
		),
		'created_name'=>array(
			'title'=>getResource('polls.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('polls.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('polls.modified.by'),
			'readonly'=>1,
		),
	),
);
?>