<?
$obj = array(
	'name'=>'qlients',
	'nick'=>'qls',
	'source'=>'qlients q
	LEFT JOIN clients c ON c.id=q.id
	LEFT JOIN departments d ON d.id=c.department
	LEFT JOIN houses h ON h.id=c.house_id
	LEFT JOIN streets s ON h.street = s.id
	LEFT JOIN connection_types ct ON ct.id=c.connection_type
	LEFT JOIN calendar_account_states cas ON cas.account=c.account AND cas.calendar_period="'.getCurrentCalendarPeriod().'"',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'q.id',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'department'=>array(
			'bin'=>1,
			'selector'=>'c.department',
		),
		'department_name'=>array(
			'bin'=>1,
			'selector'=>'d.name',
		),
		'connection_type'=>array(
			'bin'=>1,
			'selector'=>'c.connection_type',
		),
		'connection_type_name'=>array(
			'bin'=>1,
			'selector'=>'ct.name',
		),
		'street'=>array(
			'selector'=>'h.street',
		),
		'street_name'=>array(
			'bin'=>1,
			'selector'=>'s.name',
		),
		'house_id'=>array(
			'selector'=>'c.house_id',
		),
		'house'=>array(
			'selector'=>'h.house',
		),
		'house_name'=>array(
			'selector'=>'CONCAT(s.name, " ", h.house)',
		),
		'deposit'=>array(
			'selector'=>'ifnull(cas.state_end/100,0)',
			'aggregate'=>'sum',
		),
	),
);

$d = $GLOBALS['oper']->department;
if($d){
	$obj['fields']['department']['auto_insert'] = $d;
	$obj['filters']['department'] = "c.department='$d'";
}
?>