<?
$obj = array(
	'name'=>'operators',
	'nick'=>'ops',
	'masters'=>array(
			'distr'=>array(
				'table'=>$GLOBALS['staff'],
				'on'=>'id',
				'by'=>'person',
			),
		),
	'BeforeInsert'=>'pre_operator_insert, before_stamped_insert',
	'BeforePost'=>'pre_operator_post, before_stamped_post',
	'BeforeDelete'=>'pre_operator_delete',
	'AfterInsert'=>'after_logged_insert,after_operator_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'operator_delete, after_stamped_delete, after_logged_delete',
	'source'=>'operators o
	LEFT JOIN groups g ON g.id=o.group_id
	LEFT JOIN departments d ON o.department = d.id
	LEFT JOIN staff s ON s.id=o.person
	LEFT JOIN stamps st ON st.id=o.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'o.id',
		),
		'person'=>array(
			'selector'=>'o.person',
		),
		'person_name'=>array(
			'selector'=>'s.name',
		),
		'group_id'=>array(
			'selector'=>'o.group_id',
			'nullable'=>1,
		),
		'group_name'=>array(
			'selector'=>'g.name',
		),
		'login'=>array(
			'selector'=>'o.login',
		),
		'pass'=>array(
			'selector'=>'o.pass',
		),
		'role'=>array(
			'selector'=>'o.role',
		),
		'role_name'=>array(
			'selector'=>'case
				when o.role=1 then "'.getResource('operators.role.1').'"
				when o.role=2 then "'.getResource('operators.role.2').'"
				when o.role=3 then "'.getResource('operators.role.3').'"
				when o.role=4 then "'.getResource('operators.role.4').'"
				when o.role=5 then "'.getResource('operators.role.5').'"
				else "" end',
		),
		'access_zone'=>array(
			'selector'=>'o.access_zone',
			'nullable'=>1,
		),
		'department'=>array(
			'selector'=>'o.department',
			'nullable'=>1,
		),
		'department_name'=>array(
			'bin'=>1,
			'selector'=>'d.name',
		),
		'sip_id'=>array(
			'selector'=>'o.sip_id',
			'nullable'=>1,
		),
		'city_mode'=>array(
			'selector'=>'o.city_mode',
			'log_by'=>'city_mode_name',
		),
		'city_mode_name'=>array(
			'selector'=>'case o.city_mode
				when 0 then "'.getResource('operators.city.mode.0').'"
				when 1 then "'.getResource('operators.city.mode.1').'"
				else "" end',
		),
		'stamp'=>array(
			'selector'=>'o.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);

$d = $GLOBALS['oper']->department;
if($d){
	$obj['fields']['department']['auto_insert'] = $d;
	$obj['filters']['department'] = "o.department='$d'";
}
?>