<?
$obj = array(
	'name'=>'rules',
	'nick'=>'strls',
	'readonly'=>1,
	'source'=>'rules r
	LEFT JOIN stats_rules sr ON sr.id=r.id
	LEFT JOIN stamps st ON st.id=r.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'r.id',
		),
		'name'=>array(
			'bin'=>1,
			'selector'=>'r.name',
		),
		'chain'=>array(
			'selector'=>'r.chain',
		),
		'bytes'=>array(
			'selector'=>'ifnull(sr.bytes, 0)',
			'aggregate'=>'sum',
		),
		'cost'=>array(
			'selector'=>'ifnull(sr.cost, 0)/100',
			'aggregate'=>'sum',
		),
		'stamp'=>array(
			'selector'=>'r.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>