<?
$obj = array(
	'id'=>'id',
	'menu'=>array(
		'PrintById'=>getResource('grid.print'),
	),
	'hint_format'=>'SafeForTitle',
	'hint' => "[last_name] [first_name] [patronymic] ([login])\n".
		"[connection_type_name]\n".
		"[deposit]\n".
		"--\n".
		"[street_name] [house] [apartment] [letter] ([entrance]/[floor])\n".
		"[phone]\n[email]\n".
		"--\n".
		"[created]\n[modified]\n".
		"--\n",
	'columns'=>array(
		'last_name'=>array(
			'title'=>getResource('clients.last_name'),
			'navigator'=>1,
			'count'=>1,
			'footer_prefix'=>getResource('clients.count').' ',
			'hint'=>$hint,
		),
		'first_name'=>array(
			'title'=>getResource('clients.first_name'),
			'navigator'=>1,
		),
		'connection_type_name'=>array(
			'title'=>getResource('clients.connection.type'),
			'link'=>'connection_types.php?id=[connection_type]',
		),
		'department_name'=>array(
			'title'=>getResource('clients.department'),
			'link'=>'departments.php?id=[department]',
		),
		'street_name'=>array(
			'title'=>getResource('clients.street'),
			'link'=>'streets.php?id=[street]',
		),
		'house'=>array(
			'title'=>getResource('clients.house'),
			'width'=>'3em',
			'align'=>'right',
		),
		'letter'=>array(
			'title'=>getResource('clients.grid.letter'),
			'align'=>'right',
		),
		'entrance'=>array(
			'title'=>getResource('clients.grid.entrance'),
			'align'=>'right',
		),
		'floor'=>array(
			'title'=>getResource('clients.grid.floor'),
			'align'=>'right',
		),
		'apartment'=>array(
			'title'=>getResource('clients.grid.apartment'),
			'align'=>'right',
		),
		'login'=>array(
			'title'=>getResource('clients.login'),
		),
		'deposit'=>array(
			'title'=>getResource('clients.deposit'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'order'=>'desc',
		),
	),
	'aux_filters'=>array(
		'last_name'=>getResource('clients.last_name'),
		'first_name'=>getResource('clients.first_name'),
		'patronymic'=>getResource('clients.patronymic'),
		'connection_type_name'=>getResource('clients.connection.type'),
		'department_name'=>getResource('clients.department'),
		'street_name'=>getResource('clients.street'),
//		'street_zone'=>'',
		'house'=>getResource('clients.house'),
		'building'=>getResource('clients.building'),
		'letter'=>getResource('clients.letter'),
		'entrance'=>getResource('clients.entrance'),
		'floor'=>getResource('clients.floor'),
		'apartment'=>getResource('clients.apartment'),
		'surveyor'=>getResource('clients.surveyor'),
		'phone'=>getResource('clients.phone'),
		'login'=>getResource('clients.login'),
		'email'=>getResource('clients.email'),
		'bank_account'=>getResource('clients.bank.account'),
		'contract'=>getResource('clients.contract'),
		'1'=>'--',
		'blockable'=>getResource('clients.blockable'),
		'alarm_cur'=>getResource('clients.alarm'),
		'block_cur'=>getResource('clients.block'),
		'reduction_cur'=>getResource('clients.reduction'),
		'2'=>'--',
		'deposit'=>getResource('clients.deposit'),
/*		'rest'=>getResource('clients.prepay.rest'),*/
		'3'=>'--',
		'created'=>getResource('clients.created'),
		'created_name'=>getResource('clients.created.by'),
		'modified'=>getResource('clients.modified'),
		'modified_name'=>getResource('clients.modified.by'),
	),
);
if($GLOBALS['oper']->department){
	unset($obj['columns']['department_name']);
	unset($obj['aux_filters']['department_name']);
}

?>