<?
$obj = array(
	'fields'=>array(
		'name'=>array(
			'title'=>getResource('connection.types.name'),
			'required'=>1,
		),
		'period_months'=>array(
			'title'=>getResource('connection.types.period.months'),
			'comment'=>getResource('connection.types.period.months.comment'),
			'control'=>'short',
			'positive'=>1,
			'default'=>1,
		),
		'period_days'=>array(
			'title'=>getResource('connection.types.period.days'),
			'comment'=>getResource('connection.types.period.days.comment'),
			'control'=>'short',
			'positive'=>1,
			'default'=>0,
		),
		'abon_dst'=>array(
			'title'=>getResource('connection.types.abon.dst'),
			'comment'=>getResource('connection.types.abon.dst.comment'),
			'control'=>'select',
			'list'=>getSystemDstAccounts(),
			'link'=>'system_accounts.php?id=[abon_dst]',
		),
		'abon_amount'=>array(
			'title'=>getResource('connection.types.abon.amount'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'positive'=>1,
			'default'=>0,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('connection.types.created'),
		),
		'created_name'=>array(
			'title'=>getResource('connection.types.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('connection.types.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('connection.types.modified.by'),
			'readonly'=>1,
		),
	),
);
?>