<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:16 $
$Revision: 1.13 $
*/
include_once('includes/global.php');
include_once('functions/accounts.php');
loadStrings(BOOT.'cards/strings.txt');

$doc->title .= ' :: '.getResource('cards.title');

required_access('cards');
//$db->debug = 1;

class ImportForm extends PForm {
	function Process(){
		global $db;
		$file_name = $_FILES['file']['tmp_name'];
		if($fd = fopen($file_name, "r")){
			$e = new Messages();
			$publics = array();
			$privates = array();
			$cards = array();
			while(!feof($fd)){
				$line = trim(fgets($fd,1024));
				if(strlen($line)>0 && substr($line,0,1)!='#' && substr($line,0,2)!='//'){
					$entry = explode(",", $line);
					if(count($entry)!=3){
						$e->append(sprintf(getResource('format.error'), $line));
						continue;
					}
					$code_public = trim($entry[0]);
					$code_private = trim($entry[1]);
					$amount = floor(_Float(trim($entry[2])) * 100);
					if(!$code_public || !$code_private || !($amount>0)){
						$e->append(sprintf(getResource('format.error'), $line));
						continue;
					}
					if(isset($publics[$code_public])){
						$e->append(sprintf(getResource('cards.import.error.code.exists'), $code_public));
						continue;
					}
					if(isset($privates[$code_private])){
						$e->append(sprintf(getResource('cards.import.error.code.exists'), $code_private));
						continue;
					}
					$cards[] = array($code_public, $code_private, $amount);
					$publics[$code_public] = 1;
					$privates[$code_private] = 1;
				}
			}
			fclose($fd);
			if(!$e->isEmpty()){
				return $e->toHTML();
			} else {
				$creator = $GLOBALS['oper']->id;
				$account = $this->fields['account']->value;
				$expire = $this->fields['expire']->value;
				$db->Begin();
				$records = array();
				foreach($cards as $card){
					$db->Execute(sprintf("INSERT INTO stamps (created, created_by) VALUES (now(), %s)", $GLOBALS['oper']->id));
					$stamp = $db->getJustInserted($table,$field);
					$db->Execute(sprintf("INSERT INTO cards (code_public, code_private, amount, account, expire, stamp) VALUES ('%s', '%s', %s, %s, '%s', %s)", 
						addslashes($card[0]), addslashes($card[1]), $card[2], $account, $expire, $stamp
					));
				}
				if($db->hasErrors()){
					$db->Rollback();
					return implode("<br>", $db->errors);
				}else{
					$db->Commit();
				}
			}
		}else{
			return sprintf(getResource('open.error'), $file_name);
		}
	}
}

function Upload($field,&$spool){
	return $_FILES[$field->name]['name'];
}

$cards = new PTable($db,BOOT.'cards/table.php');
$cards->readonly = !$oper->system_access['cards'];

$cmenu = new PNamedMenu($nil,BOOT.'cards/menu.php');

$doc->page->contents['cards'] = new PMyAccess($cards,array(
	'title'=>getResource('cards.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/dollar.gif',
'icon_attributes'=>'width=29 height=42',
	'grid_boot'=>BOOT.'cards/grid.php',
	'form_boot'=>($cmenu->selected!='imp')?BOOT.'cards/form.php':'',
));

if(!$cards->readonly){
	if($cmenu->selected=='imp'){
		$doc->page->contents['cards']->form = new ImportForm($nil, BOOT.'cards/import_form.php');
	}
	if(!$doc->page->contents['cards']->brief){
		$doc->page->contents['cmenu'] = $cmenu;
	}
}
echo $doc->Paint();
?>
