<?
class CustomFilter {

var $storage;
var $table;
var $filter;
var $label;
var $key;
var $value = 1;

function CustomFilter($storage, $table, $filter, $key, $label, $default){
	$this->storage = $storage;
	$this->table = $table;
	$this->filter = $filter;
	$this->key = $key;
	$this->label = $label;
	$this->default = $default;
	$this->process();
}

function process(){
	if(isset($_GET[$this->key.'_'])){
		$this->value = $_GET[$this->key];
		unset($_GET[$this->key]);
		unset($_GET[$this->key.'_']);
		$this->storage->store($this->key, $this->value);
	}else{
		$this->value = $this->storage->restore($this->key, $this->default);
	}
	if($this->value){
		$this->table->filters[$this->key] = $this->filter;
	}
}

function render(){
	$result = '<form action="'.htmlspecialchars($_SERVER['PHP_SELF']).'"><table><tr><td style="padding:0;"><input type="hidden" name="'.$this->key.'_" value="1"><input onclick="form.submit();" type="checkbox" value="1" id="'.$this->key.'" name="'.$this->key.'" '.($this->value ? 'CHECKED' : '').'></td><td><label for="'.$this->key.'">'.$this->label.'</label></td></tr></table>';
	foreach($_GET as $k=>$v){
		$result .= "	<input type=\"hidden\" name=\"".htmlspecialchars($k)."\" value=\"".htmlspecialchars($v)."\">\n";
	}
	$result .= '</form>';
	return $result;
}

}
?>