<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2004/04/27 08:37:38 $
$Revision: 1.14 $
*/

class Lookup {

var $key;
var $value;
var $from;
var $filters;
var $access;
var $order;

function Lookup($key, $value, $from, $filters, $order=''){
	global $oper;
	$this->key = $key;
	$this->value = $value;
	$this->from = $from;
	$this->filters = $filters;
	$this->order = $order ? $order : '2';
	$this->process();
}

function process(){
	ob_end_clean();
	header("Content-Type: text/html; charset=windows-1251");
	$this->target = $_GET['target'];
	$this->find = $_GET['find'];
	$this->find = iconv('UTF-8', 'windows-1251', $_GET['find']);
	if($this->find){
		$farr = preg_split("|\s+|", $this->find, -1, PREG_SPLIT_NO_EMPTY);
		foreach($farr as $f){
			$this->filters[] = $this->value." LIKE '%".addslashes($f)."%'";
		}
	}
	$this->id = $_GET['id'];
	if(isset($_GET['first'])){
		$this->renderFirst();
	}else{
		$this->renderList();
	}
	exit;
}


function getBaseQuery(){
	return "SELECT ".$this->key." as id, ".$this->value." as value FROM ".$this->from;
}

function renderFirst(){
	global $db;
	$baseQuery = $this->getBaseQuery();
	$filters = $this->filters;
	if($this->id){
		$filters['id'] = $this->key."='".addslashes($this->id)."'";
		$where = !empty($filters) ? " WHERE ".implode(" AND ", $filters) : '';
		$res = $db->Execute($baseQuery.$where." ORDER BY ".$this->order." LIMIT 1");
		if($arr = $db->Next($res)){
			echo $arr['id'].'|'.$arr['value'];
			return;
		}
		unset($filters['id']);
	}
	if($this->find){
		$where = !empty($filters) ? " WHERE ".implode(" AND ", $filters) : '';
		$sql = $baseQuery.$where." ORDER BY ".$this->order." LIMIT 1";
//		if($fd=fopen(TMP_DIR."/pe6yc-db.log", "a")){
//			fputs($fd, date("Y-m-d H:i:s")." ".$sql."\n");
//			fclose($fd);
//		}
		$res = $db->Execute($sql);
		if($arr = $db->Next($res)){
			echo $arr['id'].'|'.$arr['value'];
		}
	}else{
		echo '|'.getResource('pe6yc.form.select.prompt');
	}
}

function renderList(){
	global $db;
	?>
<style>
body,form {margin:0;padding:0;}
div, td, input, button, select, textarea, pre {font-family: Verdana, Arial, Helvetica, sans-serif; font-size:8pt;padding:1px 2px;}

div.list {
	width:100%;
	cursor:default;
	margin: 0;
	padding: 0;
}
div.list a, div.list a:visited, div.list a:hover  {
	display:block;
	text-decoration:none;
	color:black;
	height: 15px;
	white-space:nowrap;
	padding-left: 2px;
	margin: none;
}

div.list a:hover {
background-color: #def;
}

.selected {
background-color: #cde;
}
</style>
<div class="list" id="list">
	<a href="javascript:" id=""><?=getResource('pe6yc.form.select.prompt')?></a>
<?
	$baseQuery = $this->getBaseQuery();
	$filters = $this->filters;
	$where = !empty($filters) ? " WHERE ".implode(" AND ", $filters) : '';
	$res = $db->Execute($baseQuery.$where." ORDER BY ".$this->order);
	while($arr = $db->Next($res)){?>
	<a href="javascript:" id="<?=$arr['id']?>" <?=($arr['id']==$this->id ? 'class="selected"' : '')?>><?=$arr['value']?></a>
	<?}?>
</div>
<script>
function findTop(obj) {
	var top = 0;
	if (obj.offsetParent) {
		do {
			top += obj.offsetTop;
		} while (obj = obj.offsetParent);
	}
	return top;
}

var list = document.getElementById('list');
var prev = document.getElementById('<?=$this->id?>');
if(prev){
	list.prevSelected = prev;
	var top = findTop(prev);
	if(top > 100){
		document.body.scrollTop = top;
	}
}

list.onclick = function(e){
	var targ;
	if (!e) var e = window.event;
	if (e.target) targ = e.target;
	else if (e.srcElement) targ = e.srcElement;
	if (targ.nodeType == 3) { // defeat Safari bug
		targ = targ.parentNode;
	}
	var id=targ.id;
	targ.className = 'selected';
	if(this.prevSelected){
		this.prevSelected.className = '';
	}
	this.prevSelected = targ;
	parent.<?=$this->target?>.setSelected(id, targ.innerHTML);
}

</script><?
	}
}
?>