<?
class JobsShortCalendarModel {

var $connection;
var $jobTemplate;
var $records;

function setConnection($obj){
	$this->connection = $obj;
}

function setJobTemplate($obj){
	$this->jobTemplate = $obj;
}

function prepare($from, $calendar){
	global $oper;
	$to = $from + 60*60*24*42;
	$sel = $this->connection->select("SELECT DATE_FORMAT(j.date, '%%Y%%m%%d') date, t.name type, count(j.id) amount
		FROM jobs j
		LEFT JOIN job_types t ON t.id=j.type
		LEFT JOIN operators_cities oc ON oc.city=j.city AND oc.operator=$oper->id
		WHERE ".($oper->city_mode ? "oc.city IS NOT NULL AND " : "")." j.date >= '%s' AND j.date < '%s' 
		GROUP BY 1, 2
		ORDER BY 1, t.number",
		date("Y-m-d H:i:s", $from), date("Y-m-d H:i:s", $to));
	$this->records = array();
	while($arr = $sel->next()){
		$this->records[$arr['date']][] = $arr;
	}
	$this->hints = array();
	$sel = $this->connection->select("SELECT sum(IF(j.state=1, 1, 0)) complete, sum(IF(j.state=1, 0, 1)) incomplete, DATE_FORMAT(j.date, '%%Y%%m%%d') day, count(j.id) amount
		FROM jobs j	WHERE j.date >= '%s' AND j.date < '%s' GROUP BY 3", date("Y-m-d H:i:s", $from), date("Y-m-d H:i:s", $to));
	while($arr = $sel->next()){
		//$this->hints[$arr['day']] = $arr['complete'].' / '.$arr['amount'];
		//$this->hints[$arr['day']] = $arr['amount'].', '.floor($arr['complete']/$arr['amount'] * 100).'%';
		$this->hints[$arr['day']] = '+'.($arr['complete']+0).',&ndash;'.($arr['incomplete']+0);
	}
}

function getRenderedRecords($year, $month, $day, $calendar){
	global $oper;
	$result = array();
	$k = $year.$month.$day;
	if(isset($this->records[$k])){
		foreach($this->records[$k] as $arr){
			$result[] = $this->jobTemplate->render($arr);
		}
	}
	return $result;
}

function getHint($year, $month, $day, $calendar){
	return $this->hints[$year.$month.$day];
}

}
?>