<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2004/04/27 08:37:38 $
$Revision: 1.14 $
*/

class PMyInterface extends PInterface{

	function Dress(){
		$result = "<table class=\"interface\" cellpadding=0 cellspacing=0 width=\"100%\" border=0>\n";
		$result .= "	<tr valign=\"top\">\n";
		if($this->bar->getCount() ){
			$result .= "		<td class=\"bar\">".$this->bar->Draw()."</td>\n";
			$result .= "		<td class=\"page\">".$this->page->Draw().$this->garbage;
		}else{
			$result .= "		<td class=\"clpage\">".$this->page->Draw().$this->garbage;
		}
		if(is_object($this->footer)){
			$result .= $this->footer->render();
		}
		$result .= "</td>\n";
		$result .= "	</tr>\n";
		$result .= "</table>\n";
		return $result;
	}

}

class PAsIs extends PTransformer {
	var $contents;
	function Dress(){
		return $this->contents;
	}
}

class PMyAccess extends PAccess {
	function Create($owner, $data){
		global $oper;
		$this->icons_path = HREF.'images';
		parent::Create($owner,$data);
		if(!$data['keep_city']){
			if($oper->city_mode && isset($this->form->fields['city'])){
				$this->form->fields['city']->required = 1;
			}
			if($oper->force_city){
				if(isset($this->form->fields['city'])){
					$this->form->fields['city']->type = 'hidden';
					$this->form->fields['city']->value = $oper->force_city;
					$this->form->fields['city']->default = $oper->force_city;
				}
				if(isset($this->grid->columns)){
					unset($this->grid->columns['city_name']);
				}
				if(isset($this->grid->aux_filters)){
					unset($this->grid->aux_filters['city_name']);
				}
			}
		}
	}
}

class PBar extends PTransformer {
	function getCount(){
		$bc = 0;
		foreach(get_object_vars($this) as $name=>$var){
			if(strtolower(@get_class($var))=='pbox'){
				$bc++;
			}
		}
		return $bc;
	}

	function Dress(){
		$result = "<table class=\"bar\" cellpadding=0 cellspacing=0 width=\"100%\" border=0>\n";
		foreach(get_object_vars($this) as $name=>$var){
			if(strtolower(@get_class($var))=='pbox'){
				$box = $this->$name;
				$result .= "	<tr>\n";
				$result .= "		<td class=\"box\">".$box->Draw()."</td>\n";
				$result .= "	</tr>\n";
			}
		}
		$result .= "</table>\n";
		return $result;
	}
}

class PBox extends PTransformer {
	var $contents = array();
	var $contents_padding = '2px';
	var $key;
	var $open;

	function Create($owner,$data){
		global $pe6yc_storage;
		parent::Create($owner,$data);
		if(isset($_GET[$this->key])){
			$this->open = $_GET[$this->key] ? 1 : 0;
			$pe6yc_storage->store($this->key, $this->open);
		}else{
			$this->open = $pe6yc_storage->restore($this->key, 1);
		}
	}

	function Dress(){
		$result = "<table class=\"box\" cellpadding=0 cellspacing=0 width=\"100%\" border=0>\n";
		$result .= "	<tr id=\"".$this->key."_title\">\n";
		$result .= "		<td class=\"box_head\"";
		$result .= ">".$this->title."</td>\n";
		$result .= "	</tr>\n";
		$result .= "	<tr id=\"".$this->key."_body\" style=\"visibility: ".($this->open ? 'visible' : 'hidden')."; display: ".($this->open ? 'table-row' : 'none')."\">\n";
		$result .= "		<td class=\"box_contents\" style=\"padding:".$this->contents_padding."\"";
		$result .= ">";
		foreach($this->contents as $name=>$val){
			if(is_object($val)){
				$result .= $this->contents[$name]->Draw();
			}else{
				$result .= $val;
			}
		}
		$result .= "</td>\n";
		$result .= "	</tr>\n";
		
		$result .= "</table>\n";
		if($this->key){
			$s = $this->open ? 1 : 0;
			$result .= "<script>\n";
			$result .= "new BoxHandler(\"".$this->key."\", $s)\n";
			$result .= "</script>";
		}
		return $result;
	}
}

class PPage extends PTransformer {
	var $contents = array();
	function Dress(){
		$result = '';
		foreach($this->contents as $name=>$cont){
			if(is_object($cont)){
				$result.=$this->contents[$name]->Draw();
			}else{
				$result.=$cont;
			}
		}
		return $result;
	}
}
?>