<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class FileClassLoader {

var $parent;
var $root;
var $registry;

function setRoot($root){
	$this->root = $root;
	if(substr($this->root, -1, 1)!='/'){
		$this->root .= '/';
	}
}

function setParent($parent){
	$this->parent = $parent;
}

function setRegistry($registry){
	$this->registry = $registry;
}

function loadClass($name){
	$fileName = '';
	foreach($this->registry as $key=>$val){
		if($key==$name){
			$fileName = $val;
			break;
		}
		$replaced = @preg_replace($key, $val, $name);
		if($replaced && ($replaced != $name)){
			$fileName = $replaced;
			break;
		}
	}
	$fileName = $this->root.$fileName;
	if(!include_once($fileName)){
		if(isset($this->parent)){
			$this->parent->loadClass($name);
		}else{
			die(sprintf("Can not load class '%s', include path: %s\n", $name, ini_get('include_path')));
		}
	}
}

}
?>