<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class ConnectionTypesDAO {

var $connection;
var $queries = array(
	'select'=>"SELECT id, name, period_months, period_days, abon_resource_type, abon_dst, abon_amount, start_always, port_speed, replace_by, replace_after, first_charge_amount, first_free_amount, first_free_limit, credit_con_type, offline_type, service_type FROM connection_types",
	'select_rules'=>"SELECT connection_type_resource, tariff, tariff_over, rule, blockable FROM connection_type_rules",
	'select_resources'=>"SELECT id, connection_type, resource_type, use_dst, use_plan, use_limit, penalty_dst, penalty_type, bonus_src, bonus_amount, bonus_name, bonus_priority, bonus_lost_dst FROM connection_type_resources",
	'select_shapers'=>"SELECT connection_type, shaper, use_case, use_resource_type, use_value FROM connection_type_shapers",
	'select_tv'=>"SELECT connection_type, tv_type, cost, replace_by, replace_after, replace_date FROM connection_type_tv",
	'select_bonuses'=>"SELECT connection_type, account_type, start_src, start_amount, end_dst, end_amount FROM connection_type_bonuses",
);

function setConnection($connection){
	$this->connection = $connection;
}

function iterator(){
	return $this->connection->select($this->queries['select']);
}

function rulesIterator(){
	return $this->connection->select($this->queries['select_rules']);
}

function resourcesIterator(){
	return $this->connection->select($this->queries['select_resources']);
}

function shapersIterator(){
	return $this->connection->select($this->queries['select_shapers']);
}

function tvIterator(){
	return $this->connection->select($this->queries['select_tv']);
}

function bonusesIterator(){
	return $this->connection->select($this->queries['select_bonuses']);
}

}
?>
