<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class WeboutAppender {

var $dateFormat = "Y-m-d H:i:s";
var $recordFormat = "<tr> <td nowrap>%s</td> <td><font color='%s'>%s</font></td> <td>[%s]</td> <td>%s</td> </tr>";
var $items = array();
var $colors = array(
	'ERROR'=>'#FF0000',
	'WARNING'=>'#884400',
	'INFO'=>'#0000FF',
	'DEBUG'=>'#808080',
);

function setDateFormat($dateFormat){
	$this->dateFormat = $dateFormat;
}

function setRecordFormat($recordFormat){
	$this->recordFormat = $recordFormat;
}

function append($type, $name, $msg){
	$this->items[] = sprintf($this->recordFormat, date($this->dateFormat), $this->colors[$type], $type, $name, htmlspecialchars($msg));
}

function render(){
	return sprintf("<table>%s</table>", implode("\n", $this->items));
}

}
?>