<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class BlockPolicy {

var $members;

function setMembers($members){
	$this->members = $members;
}

function load(){
	foreach($this->members as $key=>$member){
		$this->members[$key]->load();
	}
}

function isResourceBlocked($clid, $rtid){
	foreach($this->members as $key=>$member){
		if($this->members[$key]->isResourceBlocked($clid, $rtid)){
			return true;
		}
	}
	return false;
}

}
?>