<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class IpUseLogManager {

var $logger;
var $ipUseLogDAO;
var $items;
var $calculator;
var $from_time;
var $to_time;
var $profiler;

function setProfiler($obj){
	$this->profiler = $obj;
}

function setLoggerFactory($obj){
	$this->logger = $obj->getLogger('ip.use.log');
}

function setIpUseLogDAO($obj){
	$this->ipUseLogDAO = $obj;
}

function setCalculator($obj){
	$this->calculator = $obj;
}

function setTimeInterval($from_time, $to_time){
	$this->from_time = $from_time;
	$this->to_time = $to_time;
}

function begin($ppid){
	$this->logger->debug("begin delayed insert pak");
/*
	$this->items = array();
	$this->day = array();
	$it = $this->ipUseLogDAO->listDay($ppid, $this->from_time);
	while($arr = $it->next()){
		$this->day[$arr['ip_use']]['bytes'] = $arr['bytes'];
	}
	$this->hour = array();
	$it = $this->ipUseLogDAO->listHour($ppid, $this->from_time);
	while($arr = $it->next()){
		$this->hour[$arr['ip_use']]['bytes'] = $arr['bytes'];
	}
*/
	$this->minutes = array();
}

function apply(){
	$this->logger->debug("apply delayed insert pak");
	$this->profiler->enter('iul.apply');
	/*
	ksort($this->day);
	foreach($this->day as $iu_id=>$arr){
		if(isset($arr['insert'])){
			$this->ipUseLogDAO->insertDay($iu_id, $this->from_time, $arr['bytes']);
		}elseif(isset($arr['update'])){
			$this->ipUseLogDAO->updateDay($iu_id, $this->from_time, $arr['bytes']);
		}
	}
	ksort($this->hour);
	foreach($this->hour as $iu_id=>$arr){
		if(isset($arr['insert'])){
			$this->ipUseLogDAO->insertHour($iu_id, $this->from_time, $arr['bytes']);
		}elseif(isset($arr['update'])){
			$this->ipUseLogDAO->updateHour($iu_id, $this->from_time, $arr['bytes']);
		}
	}
	*/
	if(count($this->minutes) > 0){
		$records = array();
		ksort($this->minutes);
		foreach($this->minutes as $iu_id=>$bytes){
			$records[] = array($iu_id, $this->from_time, $this->to_time, $bytes);
		}
		$this->ipUseLogDAO->multiInsertMinutes($records);
	}
	$this->profiler->leave('iul.apply');
}

function add($iu_id, $bytes){
	/*
	if(isset($this->day[$iu_id])){
		$this->day[$iu_id]['bytes'] = $this->calculator->add($this->day[$iu_id]['bytes'], $bytes);
		$this->day[$iu_id]['update'] = 1;
	}else{
		$this->day[$iu_id] = array(
			'bytes'=>$bytes,
			'insert'=>1,
		);
	}
	if(isset($this->hour[$iu_id])){
		$this->hour[$iu_id]['bytes'] = $this->calculator->add($this->hour[$iu_id]['bytes'], $bytes);
		$this->hour[$iu_id]['update'] = 1;
	}else{
		$this->hour[$iu_id] = array(
			'bytes'=>$bytes,
			'insert'=>1,
		);
	}
	*/
	if(isset($this->minutes[$iu_id])){
		$this->minutes[$iu_id] = $this->calculator->add($this->minutes[$iu_id], $bytes);
	}else{
		$this->minutes[$iu_id] = $bytes;
	}
}

}
?>