<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class MoveManager {

var $connection;
var $stampManager;

function setConnection($obj){
	$this->connection = $obj;
}

function setStampManager($obj){
	$this->stampManager = $obj;
}

function getAccountState($cp, $acc){
	$sel = $this->connection->select("SELECT state_begin, state_end FROM calendar_account_states WHERE calendar_period='%s' AND account='%s'", $cp, $acc);
	if($arr = $sel->next()){
		return $arr;
	}else{
		return array(
			'state_begin'=>'0',
			'state_end'=>'0',
		);
	}
}

function setAccountState($cp, $acc, $state){
	$result = $this->connection->update("UPDATE calendar_account_states SET state_begin='%s', state_end='%s' WHERE calendar_period='%s' AND account='%s'",
		$state['state_begin'], $state['state_end'], $cp, $acc);
	if(!$result){
		$this->connection->insert("INSERT INTO calendar_account_states (calendar_period, account, state_begin, state_end) VALUES ('%s', '%s', '%s', '%s')",
			$cp, $acc, $state['state_begin'], $state['state_end']);
	}
}

function getNextPeriod($cp){
	$sel = $this->connection->select("SELECT n.id FROM calendar_periods cp INNER JOIN calendar_periods n ON n.id=cp.next WHERE cp.id='%s'", $cp);
	if($next = $sel->next()){
		return $next['id'];
	}
}

function moveState($cp, $src, $dst, $amount){
	$src_state = $this->getAccountState($cp, $src);
	$s = $src_state['state_end'];
	$src_state['state_end'] = gmp_strval(gmp_sub("$s", "$amount"));
	
	$dst_state = $this->getAccountState($cp, $dst);
	$d = $dst_state['state_end'];
	$dst_state['state_end'] = gmp_strval(gmp_add("$d", "$amount"));

	if($src < $dst){ // to avoid deadlocks
		$this->setAccountState($cp, $src, $src_state);
		$this->setAccountState($cp, $dst, $dst_state);
	}else{
		$this->setAccountState($cp, $dst, $dst_state);
		$this->setAccountState($cp, $src, $src_state);
	}

	while($cp = $this->getNextPeriod($cp)){
		$src_state = $this->getAccountState($cp, $src);
		$s = $src_state['state_begin'];
		$src_state['state_begin'] = gmp_strval(gmp_sub("$s", "$amount"));
		$s = $src_state['state_end'];
		$src_state['state_end'] = gmp_strval(gmp_sub("$s", "$amount"));
		
		$dst_state = $this->getAccountState($cp, $dst);
		$d = $dst_state['state_begin'];
		$dst_state['state_begin'] = gmp_strval(gmp_add("$d", "$amount"));
		$d = $dst_state['state_end'];
		$dst_state['state_end'] = gmp_strval(gmp_add("$d", "$amount"));
		
		if($src < $dst){ // to avoid deadlocks
			$this->setAccountState($cp, $src, $src_state);
			$this->setAccountState($cp, $dst, $dst_state);
		}else{
			$this->setAccountState($cp, $dst, $dst_state);
			$this->setAccountState($cp, $src, $src_state);
		}
	}
}

function move($cp, $src, $dst, $amount, $date = '', $note = ''){
	if(!$date){
		$date = date('Y-m-d H:i:s');
	}
	$stamp = $this->stampManager->createStamp();
	$mid = $this->connection->insert_auto("INSERT INTO movements (calendar_period, src, dst, amount, date, note, stamp) VALUES ('%s', '%s', '%s', '%s', '%s', '%s', '%s')", 
		$cp, $src, $dst, $amount, $date, $note, $stamp);
	$this->moveState($cp, $src, $dst, $amount);
	return $mid;
}

}
?>