<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class PersonalPeriodPlansManager2 {

var $logger;
var $personalPeriodPlansDAO;
var $calculator;
var $plans = array();

function setLoggerFactory($obj){
	$this->logger = $obj->getLogger('personal.period.plans');
}

function setPersonalPeriodPlansDAO($obj){
	$this->personalPeriodPlansDAO = $obj;
}

function setCalculator($obj){
	$this->calculator = $obj;
}

function load(){
}

function getPeriodPlans($pid){
	if(!isset($this->plans[$pid])){
		$this->plans[$pid] = array();
		$it = $this->personalPeriodPlansDAO->iteratorByPeriod($pid);
		$counter = 0;
		while($arr = $it->next()){
			$arr['use_actual_init'] = $arr['use_actual'];
			$arr['use_value_init'] = $arr['use_value'];
			$this->plans[$arr['personal_period']][$arr['resource_type']] = $arr;
			$counter++;
		}
		$this->logger->debug("%s personal period plans loaded for period [%s]", $counter, $pid);
	}
	return $this->plans[$pid];
}

function getPlan($pid, $rtid){
	$plan = $this->getPeriodPlans($pid);
	if(isset($plan[$rtid])){
		return $plan[$rtid];
	}
}

}
?>