<?
include_once __DIR__.'/../tools/IpAddress.php';

class DhcpSubnetBuilder {

var $transactionManager;
var $connection;
var $finder;

function setDhcpSubnetFinder($obj){
	$this->finder = $obj;
}

function setConnection($obj){
	$this->connection = $obj;
}

function setTransactionManager($obj){
	$this->transactionManager = $obj;
}

function link_host($host){
	$ip = new SlashedIpAddress($host['ip']);
	if($sub = $this->finder->find($ip)){
		if(!isset($host['dhcp']) || $host['dhcp']!=$sub){
			$this->connection->update("REPLACE INTO dhcp_hosts (host, dhcp) VALUES ('%s', '%s')", $host['id'], $sub);
			return $sub;
		}
	}
}

function link_modem($modem){
	$ip = new SlashedIpAddress($modem['ip']);
	if($sub = $this->finder->find($ip)){
		if(!isset($modem['dhcp']) || $modem['dhcp']!=$sub){
			$this->connection->update("REPLACE INTO dhcp_modems (modem, dhcp) VALUES ('%s', '%s')", $modem['id'], $sub);
		}
	}
}

function link_hosts(){
	$this->transactionManager->begin();
	$sel = $this->connection->select("SELECT h.id, h.ip, d.dhcp FROM hosts h LEFT JOIN dhcp_hosts d ON d.host=h.id ORDER BY h.ip");
	while($host = $sel->next()){
		$this->link_host($host);
	}
	$this->transactionManager->end();
}


function link_modems(){
	$this->transactionManager->begin();
	$sel = $this->connection->select("SELECT m.id, m.ip, d.dhcp FROM modems m LEFT JOIN dhcp_modems d ON d.modem=m.id ORDER BY m.ip");
	while($modem = $sel->next()){
		$this->link_modem($modem);
	}
	$this->transactionManager->end();
}

function link_all(){
	$this->link_hosts();
	$this->link_modems();
}

}
?>