<?
include_once __DIR__.'/../tools/IpAddress.php';

class DhcpSubnetFinder {

var $connection;
var $prev;
var $subnets;

function setConnection($obj){
	$this->connection = $obj;
}

function load(){
	$this->subnets = array();
	$sel = $this->connection->select("SELECT id, subnet, mask FROM dhcp_templates");
	while($arr = $sel->next()){
		$sub = new IpAddress($arr['subnet'], $arr['mask']);
		$this->subnets[$arr['id']] = $sub;
	}
}

function find($ip){
	if(!isset($this->subnets)){
		$this->load();
	}
	if($this->prev && $this->subnets[$this->prev]->contains($ip)){
		return $this->prev;
	}
	foreach($this->subnets as $k=>$sub){
		if($sub->contains($ip)){
			$this->prev = $k;
			return $k;
		}
	}
}

}
?>