<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class ScriptExecutor {

var $logger;

function setLoggerFactory($obj){
	$this->logger = $obj->getLogger('scrip.executor');
}

function ExecuteScript($data, $logger = ''){
	if(!$logger){
		$logger = $this->logger;
	}
	$strings = explode("\n", $data);
	$line = 0;
	$exit_code = 0;
	foreach($strings as $command){
		$line++;
		$command = trim($command);
		if($command && $command[0]!='#'){
			$command .= ' 2>&1';
			$logger->debug('exec command at line %s: %s', $line, $command);
			$out = array();
			//ob_start();
			exec($command, $out, $exit_code);
			//$buffer = ob_get_clean();
			if($exit_code){
				$logger->error('failed command at line %s: %s', $line, $command);
				if(!empty($out)){
					$logger->error(implode("\n", $out));
				}
				/*
				if($buffer){
					$logger->error($buffer);
				}*/
				break;
			}
		}
	}
	return $exit_code;
}


}
?>