<?
class Profiler {

var $counter  = array();
var $stat  = array();
var $threshold = 1;

function setLoggerFactory($obj){
	$this->logger = $obj->getLogger('profiler');
}

function enter($name){
	@$this->counter[$name]++;
	@$this->stat[$name] -= microtime(true);
}

function leave($name){
	@$this->stat[$name] += microtime(true);
}

function dump(){
	$mb =  memory_get_usage()/1024/1024;
	$this->logger->debug("[%'.-35s%'.10s]", 'Memory Use (Mb) ', ' '.number_format($mb, 1, '.', ' '));
	asort($this->stat, SORT_NUMERIC);
	$this->stat = array_reverse($this->stat);
	foreach($this->stat as $name=>$time){
		if($time > $this->threshold){
			$this->logger->debug("[%'.-35s%'.10s]", $name.' ('.$this->counter[$name].') ', ' '.number_format($time, 1, '.', ' '));
		}
	}
}

}
?>