<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
include_once('classes/cells/UpCellRenderer.php');
loadStrings(BOOT.'con_requests/strings.txt');

$doc->title .= ' :: '.getResource('con.requests.title');

required_access('con_requests');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'house':	lookup('house', $_GET['city'] ? array('h.city='.addslashes($_GET['city'])) : array());
}

function obrabotka($table){
	global $db, $oper;
	mail ( $table->new_record['m_to'], $table->new_record['m_subject'], $table->new_record['message'],"From: " . $table->new_record['m_from']);
}

include_once('classes/period.php');
include(BOOT.'period/form.php');
$obj['nick'] = 'cnrper';
$obj['active'] = 0;
$period = new PPeriod($nil, $obj);
$period->commented = false;

//$db->debug =1;
$db->Execute("CREATE TEMPORARY TABLE answers_count (order_id int unsigned primary key, cnt int) ENGINE=Memory");
insertSelectOverFile('answers_count', "-- INSERT INTO answers_count
SELECT order_id, count(id) FROM request_emails GROUP BY order_id");

$requests = new PTable($db,BOOT.'con_requests/table.php');
$requests->readonly = !$oper->system_access['con_requests'];
if($period->active){
	if($from = $period->getFrom()){
		$requests->filters['from'] = sprintf("st.created >= '%s'", $from);
	}
	if($to = $period->getTo()){
		$requests->filters['to'] = sprintf("st.created <= '%s'", $to);
	}
}
addCityPolicy($requests, 'r.city');

$doc->page->contents['requests'] = new PMyAccess($requests,array(
	'title'=>getResource('con.requests.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/streets.gif',
	'grid_boot'=>forceCity(BOOT.'con_requests/grid.php'),
	'form_boot'=>forceCity(BOOT.'con_requests/form.php'),
	'tool'=>$period,
));

if(!$doc->page->contents['requests']->brief){
	ob_start();
	?>
	<script>
	var f = $("form[name=<?=$requests->nick?>]");
	$("[name=state]", f).change(function(event){
		$("[name='accept_date[year]']", f).closest("tr").toggle(this.value==1);
		$("[name='recall_date[year]']", f).closest("tr").toggle(this.value==3);
	}).change();
	
	$("[name=city]", f).change(function(){
		lookup_house.src = '?lookup=house&target=lookup_house&city=' + this.value;
		lookup_house.loaded = false;
		lookup_house.loadFirst();
	}).change();
	
	$("[name=source]", f).change(function(event){
		var b = this.value==1 && lookup_house.input.value == 0;
		$("[name=street_name]", f).closest("tr").toggle(b);
		$("[name=house]", f).closest("tr").toggle(b);
	}).change();
	
	</script>
	<?
	$doc->page->contents['requests_js'] = ob_get_clean();
}

if($requests->isOn()){
	$request = $requests->active_record;
	$em = new PNamedMenu($nil,BOOT.'con_requests/menu.php');
	$doc->page->contents['con_requests_menu'] = $em;
	switch($em->selected){
		case 'email':
			loadStrings(BOOT.'con_requests/email/strings.txt');
			$email = new PTable($db,BOOT.'con_requests/email/table.php');
			$email->readonly = $requests->readonly;
			$doc->page->contents['email'] = new PMyAccess($email,array(
				'title'=>getResource('con.requests.menu.email'),
				'icon'=>HREF.'images/streets.gif',
				'grid_boot'=>BOOT.'con_requests/email/grid.php',
				'form_boot'=>BOOT.'con_requests/email/form.php',
			));
			$doc->page->contents['email']->briefable = 0;
			break;
		case 'map':
			$_SESSION['sent_requests'] = array();
			$coords = explode(",", $request['house_coords']);
			if(count($coords)==2){
				ob_start();
				?>
				<div id="map_canvas" style="width:800px; height: 600px;"></div>
				<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
				<script type="text/javascript" src="scripts/markerclusterer_packed.js"></script>
				<script type="text/javascript" src="scripts/map.js"></script>
				<script type="text/javascript">
					$(document).ready(function(){
						var center = new google.maps.LatLng(<?=$coords[1]?> + 0.000120, <?=$coords[0]?>);
						var map = new google.maps.Map(document.getElementById('map_canvas'), {zoom:16, center: center, mapTypeId: google.maps.MapTypeId.ROADMAP});
						limitMapZoom(map, 19);
						var marker = new google.maps.Marker({position: center, map: map, title:"<?=$request['street_name_grid'].' '.$request['house']?>"});
						var markerSource = new AjaxMarkerSource('con_requests_in.php', {from: '<?=$from?>', to: '<?=$to?>'}, function(hid){
							window.location = '?id=' + hid + '&em_selected=map#house';
						});
						var controller = ModesClastererMapController(map, markerSource, 
							[
								{title:'', matcher:/z/},
								{title:'', matcher:/1/},
								{title:'', matcher:/2/},
								{title:'+', matcher:/3/},
								{title:'', matcher:/\d/}
							],
							4, 'conreqmode');
					});
				</script>
				<?
				$doc->page->contents['map'] = ob_get_clean();
			}
			break;
	}
}
echo $doc->Paint();
?>