<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
loadStrings(BOOT.'districts/strings.txt');

$doc->title .= ' :: '.getResource('districts.title');

required_access('districts');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'admin':	new Lookup('id', 'name', 'admin_districts', $_GET['city'] ? array('city='.addslashes($_GET['city'])) : array());
}

function check_district_city($table){
	$new = $table->new_record;
	$admin = loadRecord("SELECT id, city, name FROM admin_districts WHERE id='".$new['admin']."'");
	if($admin['city']!=$new['city']){
		$table->error(getResource('districts.error.city'));
	}
}

$districts = new PTable($db,BOOT.'districts/table.php');
$districts->readonly = !$oper->system_access['districts'];
addCityPolicy($districts, 's.city');

$doc->page->contents['districts'] = new PMyAccess($districts,array(
	'title'=>getResource('districts.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/streets.gif',
	'grid_boot'=>forceCity(BOOT.'districts/grid.php'),
	'form_boot'=>forceCity(BOOT.'districts/form.php'),
));
if(!$doc->page->contents['districts']->brief){
	ob_start();
?>
<script>
	var f = $("form[name=dcts]");
	$("[name=city]", f).change(function(){
		lookup_admin.src = '?lookup=admin&target=lookup_admin&city=' + this.value;
		lookup_admin.loaded = false;
		lookup_admin.loadFirst();
	}).change();
</script>
<?
	$doc->page->contents['js'] .= ob_get_clean();
}

echo $doc->Paint();
?>