<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:16 $
$Revision: 1.2 $
*/
include_once('includes/global.php');
include_once('includes/lookups.php');
include_once('classes/cells/FileCellRenderer.php');
loadStrings(BOOT.'documents/strings.txt');
loadStrings(BOOT.'staff/strings.txt');

$doc->title .= ' :: '.getResource('documents.title');

required_access('documents');

//$db->debug = 1;

function before_doc_access_apply($table){
	$to = $table->new_record['access_to'];
	if($to!=2){
		$table->new_record['group_id'] = '';
	}
	if($to!=3){
		$table->new_record['rank'] = '';
	}
	if($to!=4){
		$table->new_record['section'] = '';
	}
	if($to!=5){
		$table->new_record['person'] = '';
	}
}

function unlink_doc_file($fid){
	global $db;
	if($fid > 0){
		$cnt = loadValue("SELECT count(*) FROM documents WHERE file='".$fid."'");
		if($cnt==0){
			$db->Execute(sprintf("DELETE FROM billing_storage.files WHERE id='%s'", $fid));
		}
	}
}

function before_doc_insert($table){
	$table->new_record['file'] = $table->current_record['file'];
}

function after_doc_post($table){
	global $db;
	$arr = upload_storage_files(1);
	if(isset($arr['file1'])){
		unlink_doc_file($table->old_record['file']);
		$db->Execute(sprintf("UPDATE documents SET file='%s' WHERE id='%s'", $arr['file1'], $table->current_record['id']));
	}
}

function after_doc_delete($table){
	global $db;
	unlink_doc_file($table->old_record['file']);
}


function show_pic(){
	global $doc, $documents;
	if($documents->isOn()){
		$document = $documents->active_record;
		if(strstr($document['file_type'], 'image')){
			return '<img id="pic_small" 
				onclick="picViewer.open(this)"
				style="border: 1px solid white; max-height:300px; max-width:500px;" 
				src="download.php?source=photo&id='.$document['file'].'">';
		}
	}
}

$my = loadRecord("SELECT * FROM staff WHERE id=".$oper->person);

//$db->debug = 1;

$db->Execute(" CREATE TEMPORARY TABLE my_doc_access (document INT UNSIGNED NOT NULL PRIMARY KEY, access_level TINYINT NOT NULL) ENGINE=Memory
	SELECT document, max(access_level) access_level
	FROM documents_access
	WHERE 
		".($oper->city_mode ? " city IN (SELECT city FROM operators_cities WHERE operator='$oper->id') AND " : "")."
		(
			access_to=1 OR 
			access_to=2 AND group_id='".$oper->group_id."' OR
			access_to=3 AND rank='".$my['rank']."' OR
			access_to=4 AND section='".$my['section']."' OR
			access_to=5 AND person='".$my['id']."'
		)
	GROUP BY document");

$documents = new PTable($db,BOOT.'documents/table.php');
$documents->filters['access'] = '(mda.access_level>0 || st.created_by='.$oper->id.')';

$doc->page->contents['documents'] = new PMyAccess($documents,array(
	'title'=>getResource('documents.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/documents.gif',
	'grid_boot'=>BOOT.'documents/grid.php',
	'form_boot'=>BOOT.'documents/form.php',
));

$doc->start = '<div id="overlay" style="display:none;"></div>'.
	'<img id="pic_big" class="popup" style="border: 2px solid white; display:none; top: 50%; left:50%;">';
$doc->page->contents['js'] = "<script language='JavaScript'>
	var picViewer = new PicViewer(1024, 768);
	</script>";


if($documents->isOn() && !isset($oper->system_access['worker_features']) ){
	$document = $documents->active_record;
	if($document['created_by']==$oper->id){
		$access = new PTable($db,BOOT.'documents/access/table.php');
		$doc->page->contents['access'] = new PMyAccess($access, array(
			'title'=>getResource('documents.access.title'),
			'icon'=>HREF.'images/keys.gif',
			'icon_attributes'=>'',
			'grid_boot'=>forceCity(BOOT.'documents/access/grid.php'),
			'form_boot'=>forceCity(BOOT.'documents/access/form.php'),
		));
		ob_start();
		?>
		<?if(!$doc->page->contents['access']->brief){?>
		<script type="text/javascript" src="scripts/Ajaxer.js"></script>
		<script language="JavaScript" src="scripts/document-tracker.js"></script>
		<script type="text/javascript">
		new AccessToTracker(document.forms["<?=$access->nick?>"]);
		</script>
		<?}
		$doc->page->contents['all'] = ob_get_clean();
	}
}

echo $doc->Paint();
?>
