<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2004/04/27 08:37:36 $
$Revision: 1.1 $
*/
include_once('includes/global.php');
include_once('functions/dhcp.php');
include_once('functions/named.php');
loadStrings(BOOT.'domains/strings.txt');

$doc->title .= ' :: '.getResource('domains.title');

required_access('config');
function delete_domain_file($name){
	$fileName = getDirOption('DNS_DIR');
	if($fileName){
		$fileName .= $name;
		if(@is_file($fileName)){
			ob_start();
			unlink($fileName);
			$err = ob_get_contents();
			ob_end_clean();
			return $err;
		}
	}
}

function before_domain_post($table){
	$safe = _Translit($table->new_record['name']);
	$safe = str_replace(" ", "_", $safe);
	$safe = preg_replace("'[^0-9a-zA-Z_\-\.]'","", $safe);
	$table->new_record['name'] = $safe;
	if($table->new_record['name'] != $table->old_record['name']){
		$table->warning(delete_domain_file($table->old_record['name']));
	}
}

function after_domain_post($table){
	$table->warning(RemakeDomain($table->current_record['id']));
	$table->warning(RestartDNS());
	$table->warning(RemakeDHCP());
}

function after_domain_delete($table){
	$table->warning(delete_domain_file($table->old_record['name']));
}

$domains = new PTable($db,BOOT.'domains/table.php');
$domains->readonly = !$oper->system_access['config'];
$doc->page->contents['domains'] = new PMyAccess($domains,array(
	'title'=>getResource('domains.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/domains.gif',
	'grid_boot'=>BOOT.'domains/grid.php',
	'form_boot'=>BOOT.'domains/form.php',
));
echo $doc->Paint();
?>
