<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
include_once('functions/exp.php');
loadStrings(BOOT.'exp_executors/strings.txt');

$doc->title .= ' :: '.getResource('exp.executors.title');

required_access('exp_executors');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'member':	lookup('staff');
	case 'executor':	lookup('exp_executor');
	case 'tool':	lookup('exp_tool');
}

$exp_executors = new PTable($db,BOOT.'exp_executors/table.php');
$exp_executors->readonly = !$oper->system_access['exp_executors'];

$doc->page->contents['exp_executors'] = new PMyAccess($exp_executors,array(
	'title'=>getResource('exp.executors.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/exp_executors.gif',
	'grid_boot'=>BOOT.'exp_executors/grid.php',
	'form_boot'=>BOOT.'exp_executors/form.php',
));

if($exp_executors->isOn()){
	$executor = $exp_executors->active_record;
	$tmenu = new PNamedMenu($nil,BOOT.'exp_executors/menu.php');
	$doc->page->contents['t_menu'] = $tmenu;
	switch($tmenu->selected){
		case 'st':
			loadStrings(BOOT.'exp_executors/staff/strings.txt');
			loadStrings(BOOT.'staff/strings.txt');
			$staff = new PTable($db,BOOT.'exp_executors/staff/table.php');
			$staff->readonly = $exp_executors->readonly;
			$doc->page->contents['staff'] = new PMyAccess($staff,array(
				'title'=>getResource('exp.executors.staff.title'),
				'icon'=>HREF.'images/exp_executors.gif',
				'grid_boot'=>BOOT.'exp_executors/staff/grid.php',
				'form_boot'=>BOOT.'exp_executors/staff/form.php',
			));
			break;
		case 'ta':
			loadStrings(BOOT.'exp_tasks/strings.txt');
			$exp_tasks = new PTable($db,BOOT.'exp_executors/tasks/table.php');
			$exp_tasks->readonly = !$oper->system_access['exp_tasks'];
			$doc->page->contents['exp_tasks'] = new PMyAccess($exp_tasks,array(
				'title'=>getResource('exp.tasks.title'),
				'icon'=>HREF.'images/exp_tasks.gif',
				'grid_boot'=>BOOT.'exp_executors/tasks/grid.php',
				'form_boot'=>BOOT.'exp_executors/tasks/form.php',
			));
			break;
		case 'to':
			loadStrings(BOOT.'exp_tools/executors/strings.txt');
			$exp_tools = new PTable($db,BOOT.'exp_executors/tools/table.php');
			$exp_tools->readonly = $exp_executors->readonly;
			$doc->page->contents['exp_tools'] = new PMyAccess($exp_tools,array(
				'title'=>getResource('exp.executor.tools.title'),
				'icon'=>HREF.'images/exp_tools.gif',
				'grid_boot'=>BOOT.'exp_executors/tools/grid.php',
				'form_boot'=>BOOT.'exp_executors/tools/form.php',
			));
	}
}

echo $doc->Paint();
?> 