<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
loadStrings(BOOT.'asterisk_fax/strings.txt');

$doc->title .= ' :: '.getResource('fax.title');

required_access('fax');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'client':	lookup('client');
}

if($_GET['check_new']){
	$proc = $beans->getBean('mailProcessor');
	$proc->process();
	header("Location: "._href_change(array('check_new'=>'')));
}

class StatusCellRenderer3 {
	var $style_map = array('1'=>'green_lighted', '0'=>'red_lighted');
	function render($column, $record){
		return sprintf("<td class='%s' align='center'>%s</td>", $this->style_map[$record['status']], $record[$column->name]);
	}
}
$status_cell3 = new StatusCellRenderer3();

class FileCellRenderer {
	function render($column, $record){
		$mime = $record ['file_type'];
		list ( $m1, $m2 ) = explode ( "/", $mime );
		$icon = $mime . '.gif';
		if (! is_file ( dirname ( __FILE__ ) . '/images/mime/' . $icon )) {
			$icon = $m1 . '/default.gif';
		}
		return sprintf('<td><a href="download.php?source=photo&id=%s"><img vspace=2 hspace=2 border=0 align="absmiddle" src="images/mime/%s">%s</a> <span style="color:#888">(%s)</span></td>',
			$record['file'], $icon, $record['file_name'], formatFileSize($record['file_size']));
	}
}
$file_cell = new FileCellRenderer();

function delete_fax_file($table){
	global $db;
	$db->Execute("DELETE FROM billing_storage.files WHERE id='".$table->old_record['file']."'");
}

include(BOOT.'period/form.php');
$obj['nick'] = 'fxper';
$obj['active'] = 0;
$period = new PPeriod($nil, $obj);

$faxes = new PTable($db,BOOT.'asterisk_fax/table.php');
$faxes->readonly = !$oper->system_access['fax'];
$period->commented = false;
if($period->active){
	if($from = $period->getFrom()){
		$faxes->filters['from'] = sprintf("st.created >= '%s'", $from);
	}
	if($to = $period->getTo()){
		$faxes->filters['to'] = sprintf("st.created <= '%s'", $to);
	}
}
$doc->page->contents['faxes'] = new PMyAccess($faxes,array(
	'title'=>getResource('fax.title'),
	'help'=>HELP_PATH.'//Fax',
	'icon'=>HREF.'images/fax.png',
	'grid_boot'=>BOOT.'asterisk_fax/grid.php',
	'form_boot'=>BOOT.'asterisk_fax/form.php',
	'tool'=>$period,
));

$update_link = _href_change(array('check_new'=>1));
$doc->page->contents['update_link'] = '<br><a href="'.htmlspecialchars($update_link).'"> </a>';
echo $doc->Paint();
?> 