<?php

/**
 * @author tregub
 * @copyright 2010
 */

 include_once('includes/global.php');
loadStrings(BOOT.'gateways/strings.txt');

//include_once("includes/tools/IpAddress.php");

class CountIpInMask extends PForm
{

	var $prev;

	function findGate($ip){
		if($this->prev && $this->prev->contains($ip)){
			return $this->prev;
		}
		foreach($this->gates as $gate){
			if($gate->contains($ip)){
				$this->prev = $gate;
				return $gate;
			}
		}
	}

	public function Process()
	{
		global $db;

		$this->gates = array();
		$records = loadRecords("SELECT id, address FROM `gateways`");
		foreach($records as $rec){
			$gate = new SlashedIpAddress($rec['address']);
			$gate->id = $rec['id'];
			$gate->count = 0;
			$this->gates[] = $gate;
		}

		$result2 = $db->Execute("SELECT ip FROM `hosts` ORDER BY ip");

		while($inf = $db->NextObj($result2))
		{
			$ip = new SlashedIpAddress($inf->ip);
			if($gate = $this->findGate($ip)){
				$gate->count++;
			}
		}
		foreach($this->gates as $gate){
			$db->Execute("UPDATE `gateways` SET `count_ip`='".$gate->count."' WHERE (`id`='".$gate->id."')");
		}
	}
}

$doc->title .= ' :: '.getResource('gw.title');

required_access('gateways');

$gatepays = new PTable($db,BOOT.'gateways/table.php');
$gatepays->readonly = !$oper->system_access['gateways'];

$doc->page->contents['gateways'] = new PMyAccess($gatepays,array(
	'title'=>getResource('gw.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/modems.gif',
	'grid_boot'=>BOOT.'gateways/grid.php',
	'form_boot'=>BOOT.'gateways/form.php',
));

$ob = new CountIpInMask($nil,BOOT. "/gateways/CountForm.php");

$doc->page->contents['CountIpInMask'] = $ob;

echo $doc->Paint();

?>