<?
function rtf_escaped($str){
	$result = '';
	//$str = iconv('cp1251', 'UTF8', $str);
	for($i=0; $i<strlen($str); $i++){
		$o = ord($str[$i]);
		if($o > 127){
			$result .= "\\'".dechex($o);
		}else{
			$result .= $str[$i];
		}
	}
	return $result;
}

$real_ip_arr = loadRecord(sprintf("SELECT sum(cs.amount * ct.price / ct.unit_size) as cost
	FROM charge_subscriptions cs
	LEFT JOIN charge_types ct ON ct.id=cs.type
	WHERE cs.client='%s' AND cs.type='%s'", $client['id'], 1));
$real_ip = $real_ip_arr['cost'] ? number_format($real_ip_arr['cost']/100, 2, '.', '').' .'  : '';

$drweb_arr = loadRecord(sprintf("SELECT sum(cs.amount * ct.price / ct.unit_size) as cost
	FROM charge_subscriptions cs
	LEFT JOIN charge_types ct ON ct.id=cs.type
	WHERE cs.client='%s' AND ct.resource_type='%s'", $client['id'], 5));
$drweb = $drweb_arr['cost'] ? number_format($drweb_arr['cost']/100, 2, '.', '').' .'  : '';

/*
$str = file_get_contents('offline-help.rtf');
$str = str_replace(
	array(
		'ZCONTRACT',
		'ZCONNECTIONTYPE',
		'ZTVTYPE',
		'ZREALIP',
		'ZDRWEB',
		'ZDATE',
	),
	array(
		rtf_escaped($client['contract']),
		rtf_escaped($client['connection_type_name'].' ('.number_format($next_connection_type['amount']/100, 2, '.', '').' .)'),
		rtf_escaped($client['tv_type_name'] ? ($client['tv_type_name'].' ('.number_format($next_connection_type['tv_amount']/100, 2, '.', '').' .)') : ''),
		rtf_escaped($real_ip),
		rtf_escaped($drweb),
		rtf_escaped(date(sprintf("j %s Y ", getResource('month.of.'.date("m"))))),
	),
	$str
);
ob_end_clean();
header("Pragma: public");
header("Expires: 0");
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("Content-Type: text/rtf");
header("Content-Length: ".strlen($str));
header("Content-Disposition: attachment; filename=\" .rtf\"");
header("Content-Transfer-Encoding: binary");
echo $str;
exit;
*/

require_once('classes/pdf/fpdf.php');
require_once('classes/pdf/fpdi.php');
require_once('classes/pdf/bookmark.php');
$pdf = new PDF_Bookmark();
$pdf->AddFont('Arial', '', 'arial.php');
$pdf->SetFont('Arial');
$pdf->SetTextColor(0,0,0);
$pagecount = $pdf->setSourceFile('offline-help.pdf');
for($i=1; $i <= $pagecount; $i++){
	$tplidx = $pdf->importPage($i, '/MediaBox');
	$pdf->addPage();
	$pdf->useTemplate($tplidx);
	if($i==3){
		$pdf->Text(84, 150, $client['contract']);
		$pdf->Text(84, 168, $client['connection_type_name'].' ('.number_format($next_connection_type['amount']/100, 2, '.', '').' .)');
		$pdf->Text(84, 174, $client['tv_type_name'] ? ($client['tv_type_name'].' ('.number_format($next_connection_type['tv_amount']/100, 2, '.', '').' .)') : '');
		$pdf->Text(84, 192, $drweb);
		$pdf->SetFontSize(9);
		$pdf->Text(131, 267.5, date(sprintf("j %s Y ", getResource('month.of.'.date("m")))));
	}
}
$pdf->Output(' .pdf', 'D');
exit;
?>