<?
class AccessSwitchForm extends PForm {
	function Process(){
		global $db, $operators;
		$operator = $operators->active_record;
		$replace = array();
		$delete = array();
		foreach($this->fields as $entity=>$obj){
			if($obj->value < 0){
				$delete[] = $entity;
			}else{
				$replace[] = sprintf("(%s, %s, %d)", $operator['id'], $entity, $obj->value);
			}
		}
		if(count($replace) > 0){
			$query  = "REPLACE INTO operators_access (operator, entity, access) VALUES ".implode(", ", $replace);
			$db->Execute($query);
		}
		if(count($delete) > 0){
			$query  = sprintf("DELETE FROM operators_access WHERE operator=%s AND entity IN (%s)", $operator['id'], implode(", ", $delete));
			$db->Execute($query);
		}
	}
}

function check_operator_login($table){
	if(loadRecord("SELECT id FROM clients WHERE login='".addslashes($table->new_record['login'])."'")){
		$table->error(getResource('operators.error.bad.login.client'));
	}
}

function pre_operator_post($table){
	if($table->isChanged('pass')){
		$table->new_record['pass'] = crypt($table->new_record['pass']);
	}
	check_access_zone($table);
	check_operator_login($table);
}

function after_operator_insert($table){
	menu_operator($table->current_record['id']);
}

function pre_operator_insert($table){
	$table->new_record['pass'] = crypt($table->new_record['pass']);
	check_access_zone($table);
	check_operator_login($table);
}

function check_access_zone($table){
	$zone = $table->new_record['access_zone'];
	if(trim($zone)){
		foreach(preg_split("|[\s,;]+|", $zone, -1, PREG_SPLIT_NO_EMPTY) as $ip_str){
			$ip = new SlashedIpAddress($ip_str);
			if(strcmp($ip_str, $ip->toString())!=0 && strcmp($ip_str, $ip->toShortString())){
				$table->error(sprintf(getResource('operators.access.zone.error'), $ip_str));
			}
		}
	}
}

function pre_operator_delete($table){
	global $oper;
	$id = $table->current_record['id'];
	if($id==$oper->id){
		$table->error(getResource('operators.delete.error.self'));
	}
}

function getSystemEntities(){
	return loadByQuery("SELECT id, name AS value FROM system_entities ORDER BY name");
}
?>