<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/12/23 09:08:50 $
$Revision: 1.20 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
loadStrings(BOOT.'ivr_autoreply_tv/strings.txt');

$doc->title .= ' :: '.getResource('ivr.autoreply.tv.title');

required_access('ivr_autoreply_tv');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'tv_node':
		lookup('tv_node', $_GET['city'] ? array('n.city='.addslashes($_GET['city'])) : array());
	case 'message':
		$filters = array('m.actual&2');
		if($_GET['city']){
			$filters[] = 'm.city="'.addslashes($_GET['city']).'"';
		}
		lookup('ivr_message', $filters);
}

$ivr_autoreply_tv = new PTable($db,BOOT.'ivr_autoreply_tv/table.php');
$ivr_autoreply_tv->readonly = !$oper->system_access['ivr_autoreply_tv'];
addCityPolicy($ivr_autoreply_tv, 's.city');
$doc->page->contents['ivr_autoreply_tv'] = new PMyAccess($ivr_autoreply_tv, array(
	'title'=>getResource('ivr.autoreply.tv.title'),
	'help'=>HELP_PATH.'//IVR',
	'icon'=>HREF.'images/calls.gif',
	'grid_boot'=>BOOT.'ivr_autoreply_tv/grid.php',
	'form_boot'=>BOOT.'ivr_autoreply_tv/form.php',
));

if(!$doc->page->contents['tv_connections']->brief){
ob_start();
?>
<script type="text/javascript">
var f = $("form[name=<?=$ivr_autoreply_tv->nick?>]");
$("[name=city]", f).change(function(){
	lookup_tv_node.src = '?lookup=tv_node&target=lookup_tv_node&city=' + this.value;
	lookup_tv_node.loaded = false;
	lookup_tv_node.loadFirst();

	lookup_message.src = '?lookup=message&target=lookup_message&city=' + this.value;
	lookup_message.loaded = false;
	lookup_message.loadFirst();
}).change();
</script>
<?
$doc->page->contents['all'] = ob_get_clean();
}

echo $doc->Paint();
?>