<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
loadStrings(BOOT.'kpreos/strings.txt');

$doc->title .= ' :: '.getResource('kpreos.title');

required_access('kpreos');

function format_percent($val){
	return $val.'%';
}

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'street':	new Lookup('id', 'name', 'streets', $_GET['city'] ? array('city='.addslashes($_GET['city'])) : array());
}

function check_kpreo_city($table){
	$new = $table->new_record;
	$street = loadRecord("SELECT id, city FROM streets WHERE id='".$new['street']."'");
	if($street && ($street['city']!=$new['city'])){
		$table->error(getResource('kpreos.error.city'));
	}
}

$kpreos = new PTable($db,BOOT.'kpreos/table.php');
$kpreos->readonly = !$oper->system_access['kpreos'];
addCityPolicy($kpreos, 'k.city');

$doc->page->contents['kpreos'] = new PMyAccess($kpreos,array(
	'title'=>getResource('kpreos.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/streets.gif',
	'grid_boot'=>forceCity(BOOT.'kpreos/grid.php'),
	'form_boot'=>forceCity(BOOT.'kpreos/form.php'),
));

if(!$doc->page->contents['kpreos']->brief){
	ob_start();
?>
<script>
	var f = $("form[name=kprs]");
	$("[name=city]", f).change(function(){
		lookup_street.src = '?lookup=street&target=lookup_street&city=' + this.value;
		lookup_street.loaded = false;
		lookup_street.loadFirst();
	}).change();
</script>
<?
	$doc->page->contents['js'] .= ob_get_clean();
}

if($kpreos->isOn()){
	$kpreo = $kpreos->active_record;
	$menu = new PNamedMenu($nil,BOOT.'kpreos/menu.php');
	$doc->page->contents['_menu'] = $menu;
	if($menu->selected == "disp"){
		include_once ("kp_reo_dispatching.php");
	}
	if($menu->selected == "houses"){
		$db->Execute("CREATE TEMPORARY TABLE population (
			house INT UNSIGNED NOT NULL primary key,
			amount INT
			) Engine=Memory");
		insertSelectOverFile('population', "-- INSERT INTO population (house, amount)
			SELECT c.house_id, count(*)
			FROM clients c
			LEFT JOIN stamps s ON s.id=c.stamp
			WHERE department!=8 $pwhere
			GROUP BY c.house_id");
		loadStrings(BOOT.'kpreos/houses/strings.txt');
		$houses = new PTable($db,BOOT.'kpreos/houses/table.php');
		$houses->filters['kpreo'] = '((d.served_by=1 AND d.kpreo='.$kpreo['id'].') OR (d.served_by=4 AND (d.kpreo='.$kpreo['id'].' || d.kpreo1='.$kpreo['id'].')))';
		$houses->readonly = !$oper->system_access['kpreos'];
		$doc->page->contents['houses'] = new PMyAccess($houses,array(
			'title'=>getResource('dispatching.title'),
			'icon'=>HREF.'images/streets.gif',
			'grid_boot'=>BOOT.'kpreos/houses/grid.php',
			'form_boot'=>BOOT.'kpreos/houses/form.php',
		));
	}
}
echo $doc->Paint();
?>