<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:16 $
$Revision: 1.14 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
include_once('includes/lookups.php');

$doc->title .= ' :: '.getResource('client.notes.title');

required_access('notes');
switch($_GET['lookup']){
	case 'client':	lookup('client');
}

include(BOOT.'period/form.php');
$obj['nick'] = 'clnpr';
$obj['active'] = 0;
$period = new PPeriod($nil, $obj);
$period->commented = false;

$notes = new PTable($db,BOOT.'notes/table.php');
$notes->readonly = !$oper->system_access['notes'];
addCityPolicy($notes, 'c.city');
if($period->active){
	if($from = $period->getFrom()){
		$notes->filters['from'] = sprintf("st.created >= '%s'", $from);
	}
	if($to = $period->getTo()){
		$notes->filters['to'] = sprintf("st.created <= '%s'", $to);
	}
}

$doc->page->contents['notes'] = new PMyAccess($notes, array(
	'title'=>getResource('client.notes.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/notes.gif',
	'grid_boot'=>BOOT.'notes/grid.php',
	'form_boot'=>BOOT.'notes/form.php',
	'tool'=>$period,
));
echo $doc->Paint();
?>