<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
loadStrings(BOOT.'notifications/strings.txt');

$doc->title .= ' :: '.getResource('notifications.title');

if(isset($_GET['track'])){

function calcTroubles($type){
	$arr = loadRecord("SELECT count(id) c FROM troubles WHERE replies=0 AND state=1 AND type='".addslashes($type)."'");
	return $arr['c'] > 0 ? '<font color="red">'.$arr['c'].'</font>' : $arr['c'];
}

function calcMail($boxes){
	$filters = implode(" OR ", array_map(function($b){
		return 'm.addr_to LIKE "%'.addslashes($b).'%"';
	}, $boxes));
	$arr = loadRecord("SELECT count(id) c
		FROM mail_messages m
		LEFT JOIN mail_messages_replies r ON r.message=m.id
		WHERE IFNULL(r.replies,0)=0 AND (".$filters.")");
	return $arr['c'] > 0 ? '<font color="red">'.$arr['c'].'</font>' : $arr['c'];
}

if(isset($_GET['track'])){
	$result = array();
	foreach(explode(",",$_GET['track']) as $track){
		switch($track){
			case 'troubles_tech':
				$result[] = calcTroubles(3);
				break;
			case 'troubles_fin':
				$result[] = calcTroubles(2);
				break;
			case 'troubles_com':
				$result[] = calcTroubles(1);
				break;
			case 'mail_support':
			case 'mail_info':
			case 'mail_sale':
				$box = substr($track, 5);
				$result[] = calcMail(array($box.'@kvant.ua', $box.'@kvant.kiev.ua'));
				break;
			case 'modems_state':
				$arr = loadRecord("SELECT count(m.id) c FROM modems m
					LEFT JOIN modems_states x ON x.id = m.state_id
					WHERE x.id IS NOT NULL AND m.audit=1 AND x.state=0");
				$result[] = $arr['c'] > 0 ? '<font color="red">'.$arr['c'].'</font>' : $arr['c'];
				break;
			case 'modems_power':
				$arr = loadRecord("SELECT count(m.id) c FROM modems m
					WHERE m.audit=1 AND (m.power=2 OR m.power=3)");
				$result[] = $arr['c'] > 0 ? '<font color="red">'.$arr['c'].'</font>' : $arr['c'];
				break;
			case 'faxes':
				$arr = loadRecord("SELECT count(*) c FROM faxes WHERE status=0");
				$result[] = $arr['c'] > 0 ? '<font color="red">'.$arr['c'].'</font>' : $arr['c'];
				break;
		}
	}
	echo implode(",", $result);
	exit;
}

}

required_access('notifications');

$notifications = new PTable($db,BOOT.'notifications/table.php');
$notifications->readonly = !$oper->system_access['notifications'];
addCityPolicy($notifications, 'w.city');

$doc->page->contents['notifications'] = new PMyAccess($notifications,array(
	'title'=>getResource('notifications.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/streets.gif',
	'grid_boot'=>forceCity(BOOT.'notifications/grid.php'),
	'form_boot'=>forceCity(BOOT.'notifications/form.php'),
));

if($notifications->isOn()){
	$doc->page->contents['msg'] = "<span style='font-size:2px;'>&nbsp;</span>".not_global_msg($notifications->active_record['message']);
}

echo $doc->Paint();
?> 