<?
include("includes/environment.php");

header('Content-Type: text/plain; charset=Windows-1251');

if($access_zone = getTrimOption('OSMP_ACCESS_ZONE')){
	$valid = false;
	$ip = new SlashedIpAddress($_SERVER["REMOTE_ADDR"]);
	foreach(preg_split("|[\s,;]+|", $access_zone, -1, PREG_SPLIT_NO_EMPTY) as $ip_str){
		$zone = new SlashedIpAddress($ip_str);
		if($zone->contains($ip)){
			$valid = true;
			break;
		}
	}
	if(!$valid){
		exit;
	}
}

if(isset($_GET['date_from']) && isset($_GET['date_to'])){
	$by_type = isset($_GET['prv_id']) ? 'AND pay_type="'.addslashes($_GET['prv_id']).'"' : '';
	$arr = loadRecords(sprintf("SELECT p.order_id, c.contract, UNIX_TIMESTAMP(p.date) as date, p.amount 
		FROM osmp_pays p 
		LEFT JOIN clients c ON c.id=p.client 
		WHERE p.movement IS NOT NULL AND p.date BETWEEN '%s' AND '%s' $by_type
		ORDER BY p.date",
		addslashes($_GET['date_from']), addslashes($_GET['date_to'])));
	foreach($arr as $pay){
		echo $pay['order_id'].';'.$pay['contract'].';'.date("d.m.Y H:i:s", $pay['date']).';'.number_format($pay['amount']/100, 2, '.', '').';'.
		(isset($_GET['prv_id']) ? $_GET['prv_id'].';' : '')."\n";
	}
}
?>