<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/08/04 07:53:24 $
$Revision: 1.7 $
*/
include_once(dirname(__FILE__).'/form.php');
include_once(dirname(__FILE__).'/grid.php');

class PAccess extends PPermanent {

var $class = 'access';
var $listen = array('brief');

var $icon;
var $grid;
var $form;
var $grid_boot;
var $form_boot;
var $brief = 1;
var $briefable = 1;
var $icons_path = '';
var $anchor = true;
var $icon_attributes = "height=48 width=48";

function Create($owner,$data){
	parent::Create($owner,$data);
	if(!is_object($owner)){
		$this->Error('Invalid table');
	}
	$this->skip_build[] = 'grid_boot';
	$this->skip_build[] = 'form_boot';
	if(!is_object($this->grid) && $this->grid_boot){
		$this->grid = new PDBGrid($this->owner,$this->grid_boot);
		$this->grid->title = $this->title;
	}
	if(!is_object($this->form) && $this->form_boot){
		$this->form = new PDBForm($this->owner,$this->form_boot);
	}
}

function DressTitle(){
	$result = "	<tr>\n";
	$result .= "		<td class=\"access_head\">";
	if($this->icon){
		$icon = "<img border=0 style=\"vertical-align: middle;\" src=\"".$this->icon."\" ".$this->icon_attributes." > ";
		if((count($this->form->fields) && $this->briefable) || ($this->briefable==2)){
			$icon = "<a href=\"".$this->SafeHrefChange('brief',($this->brief>0)?0:1)."\">".$icon."</a>";
		}
		$result .= $icon;
	}
	$result .= $this->title;
	if($this->help){
		$result .= " <a class=\"access_help\" href=\"".htmlspecialchars($this->help)."\" title=\"".getResource('pe6yc.help')."\">?</a>";
	}
	$result .= "</td>\n";
	
	if(isset($this->tool)){
		$result .= "<td class=\"access_tool\">".$this->tool->render()."</td>";
	}

	$result .= "		<td class=\"access_brief\" align=\"right\">";
	if(count($this->form->fields) && $this->briefable){
		$result .= "<a href=\"".$this->SafeHrefChange('brief',($this->brief>0)?0:1)."\">";
		if($this->brief){
			$result .= $this->icons_path?"<img border=0 src=\"".$this->icons_path."/zoomin.gif\" height=24 width=24>":"+";
		}else{
			$result .= $this->icons_path?"<img border=0 src=\"".$this->icons_path."/zoomout.gif\" height=24 width=24>":"&ndash;";
		}
		$result .= "</a>";
	}
	$result .= "</td>\n";
	$result .= "	</tr>\n";
	return $result;

}

function Dress(){
	$result = "";
	if($this->anchor){
		$result .= "<a name=\"$this->pedi_name\"></a>\n";
	}
	$result .= "<table class=\"access\" cellpadding=0 cellspacing=0 width=\"100%\">\n";
	$result .= "<tbody id=\"".$this->pedi_name."_access\">\n";
	if($this->title){
		$result .= $this->DressTitle();
	}
	$colspan = isset($this->tool) ? 3 : 2;
	if($this->help){
		$colspan++;
	}
	if($this->grid){
		$result .= "	<tr>\n";
		$result .= "		<td colspan=$colspan class=\"access_grid\">".$this->grid->Draw()."</td>\n";
		$result .= "	</tr>\n";
	}
	if($this->form && !($this->brief && $this->briefable)){
		$result .= "	<tr>\n";
		$result .= "		<td colspan=$colspan class=\"access_form\">".$this->form->Draw()."</td>\n";
		$result .= "	</tr>\n";
	}
	$result .= "</tbody>\n";
	$result .= "</table>\n";
	return $result;
}

}

?>