<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/08/04 07:53:24 $
$Revision: 1.3 $
*/
include_once(dirname(__FILE__).'/db.php');

class PIBase extends PDB {

function Connect($host,$user,$pass,$db){
	if($this->link = ibase_pconnect("$host:$db",$user,$pass,'win1251')){
		return $this->link;
	}else{
		$this->Error("Can't connect to database $db at $host as $user: ".ibase_error());
		return false;
	}
}

function LimitQuery($query,$from,$count){
	return "SELECT first $count skip $from ".substr($query,6);
}

function Execute($sql){
	if($this->link){
		if($this->debug){
			echo $sql.';<br><br>';
		}
		$res = @ibase_query($this->link,$sql);
		$this->last_error = ibase_errmsg();
		if($this->debug && $this->last_error){
			echo $this->last_error.';<br><br>';
		}
	}else{
		$this->Error("No connection");
	}
	return $res;
}

function Next($res){
	$result = array();
	$arr = @get_object_vars(@ibase_fetch_object($res));
	if(is_array($arr)){
		foreach($arr as $k=>$v){
			$result[strtolower($k)]=$v;
		}
	}
	return $result;
}

function getJustInserted($table,$field){
	$res = ibase_query("SELECT max($field)as m FROM $table");
	$arr = $this->Next($res);
	return $arr['m'];
}

function Concat($arr,$delimiter=' '){
	return '('.implode(" || '$delimiter' || ",$arr).')';
}


function Safe($str){
	$ini = ini_set("magic_quotes_sybase","1");
	$safe = addslashes($str);
	ini_set("magic_quotes_sybase",$ini);
	return $safe;
}

}

?>