<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/08/04 07:53:23 $
$Revision: 1.8 $
*/
include_once(dirname(__FILE__).'/permanent.php');

class PPager extends PPermanent {

var $listen = array('page','per');
var $permanents = array('per');

var $per_page_array = array(5,10,20,30,50,100,500);
var $visible_pages = 10;
var $total=0;
var $page=1;
var $per;
var $anchor = false;

function Create($owner,$data){
	$this->set_per(1);
	parent::Create($owner,$data);
}

function set_per($val){
	$this->per = max($val,$this->per_page_array[0],1);
	$this->set_page($this->page);
}

function set_page($val){
	if( ($val-1)*$this->per >= $this->total ){
		$val = ceil($this->total/$this->per);
	}
	$this->page = max($val,1);
}

function set_total($val){
	$this->total = max(0,$val);
	$this->set_page($this->page);
}

function getPaged(){
	return ($this->total>$this->per)?1:0;
}

function getFrom(){
	return ($this->page-1)*$this->per;
}

function Dress(){
	$pTo = min(ceil($this->total/$this->per),$this->page+floor($this->visible_pages/2));
	$pFrom = max(1,$pTo - $this->visible_pages+1);
	$pTo = min(ceil($this->total/$this->per),$pFrom+$this->visible_pages-1);
	$pages = array();
	$prev = max(0,$pFrom-1);
	$next = ($pTo<ceil($this->total/$this->per))?$pTo+1:0;
	$result = "";
	if($this->anchor){
		$result .= "<a name='$this->pedi_name'></a>\n";
	}
	$result .= "<table class=\"pager\" cellpadding=0 cellspacing=0 width=\"100%\">\n";
	$result .= "<tbody id=\"$this->pedi_name".'_pager'."\">\n";
	$result .= "	<tr>\n";
	if($this->total>$this->per){
		$result .= "		<td>:";
		if($prev){
			$result .= " <a href=\"".$this->SafeHrefChange('page',$prev)."\">...</a>";
		}
		for($page=$pFrom;$page <= $pTo;$page++){
			if($this->page!=$page){
				$result .= " <a href=\"".$this->SafeHrefChange('page',$page)."\">$page</a>";
			}else{
				$result .= " $page";
			}
		}
		if($next){
			$result .= " <a href=\"".$this->SafeHrefChange('page',$next)."\">...</a>";
		}
		$result .= "</td>\n";
	}
	$result .= "		<td align=right> :";
	foreach($this->per_page_array as $per){
		if($this->per!=$per){
			$result .= " <a href=\"".$this->SafeHrefChange('per',$per)."\">$per</a>";
		}else{
			$result .= " $per";
		}
	}
	$result .= "</td>\n";
	$result .= "	</tr>\n";
	$result .= "</tbody>\n";
	$result .= "</table>\n";
	return $result;
}

}
?>