<?
class Resources {

	var $resources = array();
	var $super;

	function Resources($super){
		$this->super = $super;
	}

	function contains($key){
		$result = array_key_exists($key, $this->resources);
		if(!$result && is_object($this->super)){
			$result = $this->super->contains($key);
		}
		return $result;
	}

	function get($key){
		if(array_key_exists($key, $this->resources)){
			return $this->resources[$key];
		}else{
			if(is_object($this->super)){
				return $this->super->get($key);
			}else{
				return $key;
			}
		}
	}

	function put($key, $resource){
		$this->resources[$key] = $resource;
	}

	function remove($key, $resource){
		unset($this->resources[$key]);
	}

	function loadStrings($filename){
		$arr = file($filename);
		foreach($arr as $str){
			$pair = explode("=",$str);
			if(count($pair)>1){
				$key = trim($pair[0]);
				unset($pair[0]);
				$val = rtrim(ltrim(implode("=",$pair)),"\n\r");
				$this->put($key, $val);
			}
		}
	}

}

?>