<?
include_once(dirname(__FILE__).'/../object.php');
header("Content-Type: text/javascript; charset=".getResource('pe6yc.charset'));
?>
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/12/04 09:17:17 $
$Revision: 1.3 $
*/

function FileMultiplicator(input, limit){
	this.input = input;
	this.limit = limit;
	this.td = input.parentNode;
	this.count = 1;
	this.id = 1;
	var a = document.createElement("a");
	a.master = this;
	a.href = 'javascript:;';
	a.innerHTML = ' ';
	a.onclick = function(){
		this.master.addFile();
	}
	this.td.appendChild(a);
	
	this.addFile = function (){
		if(this.limit > 0 && this.count >= this.limit){
			alert("-   .");
			return;
		}
		var div = document.createElement("div");
		var input = document.createElement("input")
		input.type = "FILE";
		input.name = "file" + this.id;
		input.id = input.name;
		input.size = this.input.size;
		var remover = document.createElement("a");
		remover.master = this;
		remover.input = input;
		remover.href = "javascript:;";
		remover.onclick = function(){
			this.input.disabled = 1;
			this.input.parentNode.style.display = 'none';
			this.master.count--;
		}
		remover.innerHTML = "&nbsp;&ndash;&nbsp;";
		div.appendChild(input);
		div.appendChild(remover);
	
		this.td.appendChild(div);
		this.count++;
		this.id++;
	}
}

function prepare_filter_select(form_name, name){
	
	var form = document.forms[form_name];
	var select = form.elements[name];

	var options = select.options;
	var arc = new Array(options.length);
	for(var i=0; i<options.length; i++){
		var opt = options[i];
		arc[i] = new Option(opt.text, opt.value);
	}
	var filter = form.elements[name + '_filter'];
	filter.arc = arc;
	filter.disabled = false;
	filter.selectValue = select.value;
}

function filter_select_(e, name){
	var form = e.form;
	var select = form.elements[name];
	var options = select.options;
	var filter = e;
	var arc = filter.arc;
	if(arc==null){
		alert("Filter error");
		prepare_filter_select(form_name, name);
	}
	var test = filter.value.toLowerCase();
	var found = false;
	var str = "";
	for(var i in arc){
		var opt = arc[i];
		if(opt.text.toLowerCase().indexOf(test) >= 0){
			str += "<option value='" + opt.value + "'>" + opt.text + "</option>";
			if(opt.value==filter.selectValue){
				found = true;
			}
		}
	}
	select.innerHTML = str;
	if(found){
		select.value = filter.selectValue;
	}else{
		if(options.length > 0){
			select.value = options[0].value;
		}
	}
	select.onchange();
}

function filter_select(e, name){
	var form = e.form;
	var select = form.elements[name];
	var filter = e;
	var options = select.options;
	var arc = filter.arc;
	if(arc==null){
		alert("Filter error");
		prepare_filter_select(form_name, name)
	}
	var test = filter.value.toLowerCase();
	var found = false;
	
	
	var op = 0;
	var count = 0;
	var j=0;
	var good = new Array(arc.length);
	for(var i in arc){
		var opt = arc[i];
		if(opt.text.toLowerCase().indexOf(test) >= 0){
			good[i] = true;
			count++;
			if(!options[j] || (options[j].value!=opt.value)){
				op++;
			}else{
				j++;
			}
			
		}else{
			good[i] = false;
			if(options[j] && (options[j].value==opt.value)){
				op++;
			}
			j++;
		}
	}
	if(count < op){
		options.length = 0;
		for(var i in arc){
			var opt = arc[i];
			if(opt.text.toLowerCase().indexOf(test) >= 0){
				options.add(opt);
				if(opt.value==filter.selectValue){
					found = true;
				}
			}
		}
	}else{
		var j = 0;
		for(var i in arc){
			var opt = arc[i];
			if(good[i]){
			//if(opt.text.toLowerCase().indexOf(test) >= 0){
				if(!options[j] || (options[j].value!=opt.value)){
					options.add(opt, j);
				}
				j++;
				if(opt.value==filter.selectValue){
					found = true;
				}
			}else{
				if(options[j] && (options[j].value==opt.value)){
					options[j] = null;
				}
			}
		}
	}
	
	if(found){
		select.value = filter.selectValue;
	}else{
		if(options.length > 0){
			select.value = options[0].value;
		}
	}
	select.onchange();
}


function getParent(element, tag) {
	var low = tag.toLowerCase();
	var e = element;
	while (e.tagName.toLowerCase() != low && e != null) {
		e = e.parentNode;
	}
	return e;
}

function getForm(element){
	return getParent(element, "form");
}

function getInput(element, name){
    return getForm(element).elements[name];
}

function sendInputValue(element, name, value){
	var e = getForm(element).elements[name];
    if(e){
		e.value = value;
		if(typeof(e.onchange) != "undefined"){
			e.onchange();
		}
	}
}


function setCurrentDate(fName, eName){
	var form = document.forms[fName];
	var d = new Date();
	var y = form.elements[eName + "[year]"];
	if(y){
		y.value = d.getFullYear();
	}
	var m = form.elements[eName + "[month]"];
	if(m){
		m.value = d.getMonth() + 1;
	}
	var day = form.elements[eName + "[day]"];
	if(day){
		day.value = d.getDate();
	}
	var t = form.elements[eName + "[time]"];
	if(t){
		min = "0" + d.getMinutes();
		min = min.substr(min.length - 2, 2);
		t.value  = d.getHours() + ":" + min;
	}
}

function clearDate(fName, eName){
	var form = document.forms[fName];
	var y = form.elements[eName + "[year]"];
	if(y){
		y.value = "";
	}
	var m = form.elements[eName + "[month]"];
	if(m){
		m.value = "";
	}
	var day = form.elements[eName + "[day]"];
	if(day){
		day.value = "";
	}
	var t = form.elements[eName + "[time]"];
	if(t){
		t.value  = "";
	}
}

function ValidateForm(name,validator){
	if(validator){
		var frm = document.forms[name];
		frm.validateResult = eval(validator+"(name);");
		return frm.validateResult;
	}else{
		return true;
	}
}

function ConfirmDelete(name){
	return confirm("<?=getResource('pe6yc.form.script.confirm.delete')?>");
}

function CheckPassConfirmation(form, e){
	if(e.type=='password'){
		var c = form.elements[e.name+'_confirm'];
		if(c && (e.value!=c.value)){
			return 1;
		}
	}
	return 0;
}

function CheckElementPositive(form, e){
	if(e.getAttribute("positive") && e.value<0){
		return 1;
	}
	return 0;
}

function CheckEmailAddress(form, e) {
	if (e.getAttribute("email") && !e.value.match(/^([a-zA-Z0-9])+([\.a-zA-Z0-9_-])*@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-]+)+$/)) {
		return 1;
	}
	return 0;
}

function CheckElementRequired(form, e){
	
	var uncomplete = 0;
	var check = false;
	if(e.getAttribute("required") || e["required"]){
		check = true;
	}
	if(e.getAttribute("required_by")){
		var by = e.getAttribute("required_by");
		var val = e.getAttribute("required_if");
		var el = form.elements[by];
		if(el){
			if(el.type == 'checkbox'){
				check = el.checked;
			}else if(val.indexOf('match:')==0){
				var rgxp = new RegExp(val.substring(6));
				if(el.value.match(rgxp)){
					check = true;
				}
			}else{
				if(el.value==val){
					check = true;
				}
			}
		}
	}

	if(check){
		rr = /\S/;
		switch(e.type){
			case 'file':
				uncomplete = (e.value.search(rr)==-1); //&& (form.elements[e.name+'_old'].value=='')
				break;
			case 'select-one':
				uncomplete = e.value==0;
				break;
			default:
				var date_name = e.getAttribute("required_date");
				if(date_name){
					uncomplete = form.elements[date_name + "[year]"].value.search(rr)==-1 ||
						 form.elements[date_name + "[month]"].value.search(rr)==-1 ||
						 form.elements[date_name + "[day]"].value.search(rr)==-1;
				}else{
					uncomplete = e.value.search(rr)==-1;
				}
		}
	}
	return uncomplete;
}

function CommonFormCheck(name){

	var check = '';
	var empty = '';
	var positive = '';
	var conf = 0;
	var email = '';

	var frm = document.forms[name];
	for(i=0;i<frm.elements.length;i++){
		e = frm.elements[i];

		failure = CheckElementRequired(frm, e);
		if(failure){
			empty += "  - "+e.title+"\n";
		}

		failure = CheckElementPositive(frm, e);
		if(failure){
			positive += "  - "+e.title+"\n";
		}

		failure = CheckPassConfirmation(frm, e);
		if(failure){
			conf =1;
		}
		
		failure = CheckEmailAddress(frm, e);
		if(failure){
			email += "  - "+e.title+"\n";
		}

	}

	if(empty){
		check += "<?=getResource('pe6yc.form.script.error.required')?>".replace("%s", empty);
	}

	if(email){
		check += "<?=getResource('pe6yc.form.script.error.email')?>".replace("%s", email);
	}
	
	if(positive){
		check += "<?=getResource('pe6yc.form.script.error.negative')?>".replace("%s", positive);
	}

	if(conf){
		check += "<?=getResource('pe6yc.form.script.error.password.mismatch')?>";
	}
	
	if(check){
		alert(check);
		return false;
	}else{
		return true;
	}
}
