<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/08/04 07:53:23 $
$Revision: 1.5 $
*/
include_once(dirname(__FILE__).'/build.php');

define('PE6YC_SKINS',PE6YC.'skins/');
define('PE6YC_STYLES',PE6YC_HREF.'styles/');
define('PE6YC_SCRIPTS',PE6YC_HREF.'scripts/');

$registered_scripts = array();
$registered_styles = array();

class PTransformer extends PBoot {

var $style;
var $script;

function RegisterDependecies(){
	if($this->skin){
		$GLOBALS['registered_skins'][] = $this->skin;
	}
	if($this->script){
		$GLOBALS['registered_scripts'][] = $this->script;
	}
	if($this->style){
		$GLOBALS['registered_styles'][] = $this->style;
	}
}

function Safe($value){
	return htmlspecialchars($value,ENT_QUOTES);
}

function getAnchor(){
	return isset($this->anchor_by) ? $this->anchor_by : $this->pedi_name;
}

function HrefChange($name,$value){
	return _href_change(array($this->Pedigree($name)=>$value)).'#'.$this->getAnchor();
}

function SafeHrefChange($name,$value){
	return $this->Safe(_href_change(array($this->Pedigree($name)=>$value))).'#'.$this->getAnchor();
}

function Dress(){}

function Draw(){
	$this->RegisterDependecies();
	return $this->Dress();
}

function HTML(){
	$result = $this->Draw();
	$depends = '';
	foreach(array_unique($GLOBALS['registered_styles']) as $style){
		$depends .= '<link href="'.$style.'" rel="stylesheet" type="text/css">'."\n";
	}
	foreach(array_unique($GLOBALS['registered_scripts']) as $script){
		$depends .= '<script type="text/javascript" src="'.$script.'"></script>'."\n";
	}
	return array('depends'=>$depends,'body'=>$result);
}


}
?>