<?

include_once('includes/global.php');
loadStrings(BOOT.'salary/strings.txt');
loadStrings(BOOT.'jobs/strings.txt');

$doc->title .= ' :: '.getResource('salary.title');

required_access('salary');

$db->Execute("CREATE TEMPORARY TABLE jobs_extras_fee  ENGINE=Memory
     SELECT 
     je.job, sum(je.amount * jet.worker_fee/100) as fee
     FROM jobs_extras je 
     LEFT JOIN jobs_extra_types jet ON jet.id=je.type
     LEFT JOIN jobs j ON j.id=je.job
     WHERE j.state=1 AND j.client_id IS NOT NULL
     GROUP BY je.job");
	 
$db->Execute("ALTER TABLE jobs_extras_fee ADD KEY(job)");
//$db->debug = 1;
$salary = new PTable($db,BOOT.'salary/table.php');

if(isset($oper->system_access['worker_features'])){
	$date = time() - 60 * 60 * 24 * 5;
	$from = mktime(0,0,0, date("m", $date), 1, date("Y", $date));
	$to = mktime(0,0,0, date("m", $date) + 1, 1, date("Y", $date));
	$salary->filters['by_date'] = "j.date BETWEEN '".date("Y-m-d", $from)."' AND '".date("Y-m-d", $to)."'";
}

$salary->readonly = !$oper->system_access['salary'];

$doc->page->contents['salary'] = new PMyAccess($salary,array(
	'title'=>getResource('salary.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/rules.gif',
	'grid_boot'=>BOOT.'salary/grid.php',
));

$doc->page->contents['load'] = new PForm($nil, BOOT.'salary/PeriodForm.php');
echo $doc->Paint();
?>
