<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
include_once 'classes/CustomFilter.php';
loadStrings(BOOT.'staff/strings.txt');

$doc->title .= ' :: '.getResource('staff.title');

required_access('workers');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'tool':	lookup('exp_tool');
	case 'client':	lookup('client_contract', $_GET['city'] ? array('c.city='.addslashes($_GET['city'])) : array());
}

function after_point_post($table)
{
	global $db;
	
	$arr = upload_storage_files(1);
	if(isset($arr['foto']))
	{
		if($table->old_record['foto'])
		{
			
			$db->Execute(sprintf("DELETE FROM billing_storage.files WHERE id='%s'", $table->old_record['foto']));
		}
		$db->Execute(sprintf("UPDATE staff_foto SET foto='%s' WHERE id='%s'", $arr['foto'], $table->current_record['id']));
	}
}

function show_photo2(){
	global $fotos;
	if($fotos->isOn()){
		if($fotos->active_record['foto']){
			return '<img id="staff_img"
				onclick="picViewer.open(this);stopEvent(event);"
				style="border: 1px solid white;  max-height:300px; max-width:500px;" 
				src="download.php?source=photo&id='.$fotos->active_record['foto'].'">';
		}
	}
}

class FotoCellRenderer 
{
	function render($val, $rec)
	{
		return '<td align="center"><img style="border: 1px solid white;width:800px;" 
			onclick="picViewer.open(this);stopEvent(event);"
			src="download.php?source=photo&id='.$rec['foto'].'" ></td>';
	}
}

$incFoto = new FotoCellRenderer();

function after_staff_delete($table){
	global $db;
	if($table->old_record['photo_file']){
		$db->Execute(sprintf("DELETE FROM billing_storage.files WHERE id='%s'", $table->old_record['photo_file']));
	}
}

function after_staff_post($table){
	global $db;
	$arr = upload_img(1, 300);
	if(!empty($arr)){
		if($table->old_record['photo_file']){
			$db->Execute(sprintf("DELETE FROM billing_storage.files WHERE id='%s'", $table->old_record['photo_file']));
		}
		$db->Execute(sprintf("UPDATE staff SET photo_file='%s' WHERE id='%s'", $arr['file'], $table->current_record['id']));
	}
}

function modify_access($table){
	global $db;
	if($table->isChanged('status')){
		if($table->current_record['status']==4){
			$db->Execute("UPDATE operators SET group_id=5 WHERE person='".$table->current_record['id']."'");
		}
	}
}

function show_photo(){
	global $staff;
	if($staff->isOn()){
		if($staff->active_record['photo_file']){
			return '<img id="staff_img" 
				onclick="picViewer.open(this);stopEvent(event);"
				style="border: 1px solid white; height: 200px;"
				src="download.php?source=photo&id='.$staff->active_record['photo_file'].'">';
		}
	}
}

$doc->start = '<div id="overlay" style="display:none;"></div>'.
	'<img id="pic_big" class="popup" style="border: 2px solid white; display:none; top: 50%; left:50%;">';
$doc->page->contents['js'] = "<script language='JavaScript'>
	var picViewer = new PicViewer(1024, 768);
	</script>";

$staff = new PTable($db,BOOT.'staff/table.php');
$staff->readonly = !$oper->system_access['workers'];
addCityPolicy($staff, 'w.city');

if(!isset($oper->system_access['workers_private'])){
	$staff->filters['private'] = '(w.private=0)';
}

$filter_tool = new CustomFilter($pe6yc_storage, $staff, 'w.status!=4', 'ststf', getResource('staff.abandoned.hide'), 1);

$doc->page->contents['staff'] = new PMyAccess($staff, array(
	'title'=>getResource('staff.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/clients.gif',
	'grid_boot'=>forceCity(BOOT.'staff/grid.php'),
	'form_boot'=>forceCity(BOOT.'staff/form.php'),
));
if(!isset($oper->system_access['worker_features'])){
	$doc->page->contents['staff']->tool = $filter_tool;
}

if(!$doc->page->contents['staff']->brief){
ob_start();
?>
<script>

var f = $("form[name=<?=$staff->nick?>]");
$("[name=city]", f).change(function(){
	lookup_client.src = '?lookup=client&target=lookup_client&city=' + this.value;
	lookup_client.loaded = false;
	lookup_client.loadFirst();
}).change();

</script>
<?
$doc->page->contents['sfjs'] .= ob_get_clean();
}

if($staff->isOn()){
    $jmenu = new PNamedMenu($nil,BOOT.'staff/menu2.php');
	$doc->page->contents['op_menu'] = $jmenu;
    switch($jmenu->selected) {
        case 'op':
            loadStrings(BOOT.'operators/strings.txt');
            if(!isset($oper->system_access['operators'])){
                    $doc->page->contents['denied'] = getResource('access.denied');
                    echo $doc->Paint();
                    exit;
            }
            //$db->debug = 1;
            include_once('includes/operators.php');
            $operators = new PTable($db,BOOT.'staff/operators/table.php');
            $operators->readonly = !$oper->system_access['operators'];
            $doc->page->contents['operators'] = new PMyAccess($operators,array(
                    'title'=>getResource('operators.title'),
                    'icon'=>HREF.'images/operators.gif',
                    'grid_boot'=>BOOT.'staff/operators/grid.php',
                    'form_boot'=>BOOT.'staff/operators/form.php',
            ));
            if($operators->getCount()==1 && !$operators->isOn()){
                    $operators->Locate();
            }
            include('includes/under_operator.php');
            break;
        case 'inst':
            //$db->debug = 1;
            $ist= new PTable($db,BOOT.'staff/instruments/table.php');
            $ist->readonly = !$oper->system_access['exp_tools'];	
            $doc->page->contents['ist'] = new PMyAccess($ist,array(
                    'title'=>getResource('operators.inst'),
                    'icon'=>HREF.'images/exp_tools.gif',
                    'grid_boot'=>BOOT.'staff/instruments/grid.php',
                    'form_boot'=>BOOT.'staff/instruments/form.php',
            ));
            break;
        case 'foto':
        	loadStrings(BOOT.'staff/fotos/strings.txt');
			//$db->debug = 1;
			if(!isset($oper->system_access['workers_photo'])){
				$doc->page->contents['denied'] = getResource('access.denied');
				echo $doc->Paint();
				exit;
			}
			$fotos = new PTable($db,BOOT.'staff/fotos/table.php');
			$fotos->readonly = !$oper->system_access['workers_photo'];
			$doc->page->contents['foto'] = new PMyAccess($fotos,array(
				'title'=>getResource('staff.foto.title'),
				'icon'=>HREF.'images/streets.gif',
				'grid_boot'=>BOOT.'staff/fotos/grid.php',
				'form_boot'=>BOOT.'staff/fotos/form.php',
			));
			break;
    }
}
echo $doc->Paint();
?>
