#!/usr/bin/php -q
<?php
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2004/04/27 08:37:36 $
$Revision: 1.19 $
*/
!isset($_SERVER['SERVER_NAME']) || exit;
error_reporting(E_ALL);

ini_set('include_path', DIRNAME(__FILE__). '/../');
include_once("includes/options.php");
include_once("classes/context/include.php");

$beanFactory = new CompositBeanFactory(array(
	new ArrayBeanFactory('boot/caban/upgrade-log.php'),
	new ArrayBeanFactory('boot/caban/upgrade-dao.php'),
	new ArrayBeanFactory('boot/caban/tools.php'),
));
$db = $beanFactory->getBean('connection');
$db->setDieOnError(true);
$loggerFactory = $beanFactory->getBean('loggerFactory');
$logger = $loggerFactory->getLogger('fix');

$sel = $db->select("SELECT login, domain FROM mailboxes");
while($arr = $sel->next()){
    $filename = sprintf("/var/mail/virtual/%s/%s", $arr['domain'], $arr['login']);
    if(!is_file($filename)){
	$logger->warning("file %s not exists", $filename);
	fopen($filename, 'x');
    }
}
?>