#!/usr/bin/php -q
<?
!isset($_SERVER['SERVER_NAME']) || exit;
error_reporting(E_ALL);
ini_set('include_path', DIRNAME(__FILE__). '/../');

include('classes/tools/IpAddress.php');

if(!isset($_SERVER['argv'][1])){
	die("Pass a mask\n");
}

$arg = $_SERVER['argv'][1];
if($arg[0]=='-'){
	$net = new SlashedIpAddress(substr($arg, 1));
	$inv = true;
}else{
	$net = new SlashedIpAddress($arg);
	$inv = false;
}

$fileName = 'php://stdin';
if($fd = fopen($fileName, "r")){
	while(!feof($fd)){
		$line = trim(fgets($fd, 128));
		$ip = new SlashedIpAddress($line);
		$cont = $net->contains($ip);
		if($inv ? !$cont : $cont){
			printf("%s\n", $line);
		}
	}
	fclose($fd);
}
?>