#!/usr/bin/php -q
<?php
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2004/04/27 08:37:36 $
$Revision: 1.19 $
*/
!isset($_SERVER['SERVER_NAME']) || exit;
error_reporting(E_ALL);

ini_set('include_path', DIRNAME(__FILE__). '/../');
include("includes/options.php");
include("classes/context/include.php");

$beanFactory = new CompositBeanFactory(array(
	new ArrayBeanFactory('boot/caban/log.php'),
	new ArrayBeanFactory('boot/caban/dao.php'),
	new ArrayBeanFactory('boot/caban/tools.php'),
));
$dao = $beanFactory->getBean('modemsDAO');
$it = $dao->iterator();
while($modem = $it->next()){
	$name = substr($modem['name'], 0, 3)=='sw-' ? substr($modem['name'], 3) : $modem['name'];
	$desc = 'Access Switch '.strtoupper($name);
//	echo $modem['ip'].' '.$desc."\n";
	snmpset($modem['ip'], 'security', 'sysName.0', 's', $desc, 100000, 3);
//	snmpset($modem['ip'], 'private', 'sysName.0', 's', $desc, 100000, 3);
}
?>
