<?
/*
author: Ponomarev Denis <ponomarev@gmail.com> ;)v
$Date: 2003/12/23 09:08:50 $
$Revision: 1.23 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
include_once('functions/accounts.php');

$doc->title .= ' :: traffik stat viewer';

required_access('clients');
//$db->debug = 1;

$period = new PPeriod($nil,BOOT.'v/period/form.php');
$period->active = 1;

$filters = array();
$filters['payable'] = "(ru.src IS NOT NULL) AND (ru.dst IS NOT NULL)";
if($period->active){
	if($from = $period->getFrom()){
		$filters['from'] = sprintf("ii.from_time >= '%s'", $from);
	}
	if($to = $period->getTo()){
		$filters['to'] = sprintf("ii.to_time <= '%s'", $to);
	}
}


$connection_types = new PTable($db,BOOT.'v/connection_types/table.php');
$connection_types->readonly = !$oper->system_access['connection_types'];
$doc->page->contents['connection_types'] = new PMyAccess($connection_types,array(
	'title'=>getResource('connection.types.title'),
	'icon'=>HREF.'images/hpro.gif',
	'grid_boot'=>BOOT.'v/connection_types/grid.php',
	'form_boot'=>BOOT.'v/connection_types/form.php',
));


if($connection_types->isOn()){
	$ct = $connection_types->active_record;
	$cmenu = new PNamedMenu($nil,BOOT.'v/connection_types/menu.php');
	$doc->page->contents['connection_type_menu'] = $cmenu;
	switch($cmenu->selected){
		case 'rt':
			$connection_type_resources = new PTable($db,BOOT.'v/connection_type_resources/table.php');
			$connection_type_resources->readonly = 1;
			$doc->page->contents['connection_type_resources'] = new PMyAccess($connection_type_resources, array(
				'title'=>getResource('connection.types.resources.title'),
				'icon'=>HREF.'images/rules.gif',
				'grid_boot'=>BOOT.'v/connection_type_resources/grid.php',
				'form_boot'=>BOOT.'v/connection_type_resources/form.php',
			));
			if($connection_type_resources->isOn()){
				$connection_types_rules = new PTable($db,BOOT.'v/connection_type_rules/table.php');
				$connection_types_rules->readonly = 1;
				$doc->page->contents['connection_types_rules'] = new PMyAccess($connection_types_rules,array(
					'title'=>getResource('connection.type.rules.title'),
					'icon'=>HREF.'images/rules.gif',
					'grid_boot'=>BOOT.'v/connection_type_rules/grid.php',
					'form_boot'=>BOOT.'v/connection_type_rules/form.php',
				));
				if($connection_types_rules->isOn()){
					$doc->page->contents['period'] = $period;
					$r = $connection_types_rules->active_record;
					$hs = $db->Execute(sprintf("SELECT h.id, h.ip FROM hosts h 
						LEFT JOIN clients c ON h.client=c.id
						WHERE c.connection_type='%d'
						ORDER BY h.ip",$ct['id']));
					$s = "<a name=period></a>";
					$d = substr($period->from,0,10);
					while($h = $db->Next($hs)){
						$s .= "<a href=".HREF.sprintf("hosts.php?hts_id=%d>%s</a><br>",$h['id'],$h['ip']);
						$s .= "<img src='".HREF.sprintf("graph/v.php?id=%d&r=%d&day=%s'><br>",$h['id'],$r['rule'],$d);
					}
					$doc->page->contents['graph'] = $s;
				}
			}
			break;
	}

	$clients = new PTable($db,BOOT.'v/clients/table.php');
	$clients->readonly = 1;
	$doc->page->contents['clients'] = new PMyAccess($clients,array(
	        'title'=>getResource('clients.title'),
	        'icon'=>HREF.'images/clients.gif',
	        'grid_boot'=>BOOT.'v/clients/grid.php',
	        'form_boot'=>BOOT.'v/clients/form.php',
	));
}
echo $doc->Paint();
?>
